<?php
/**
* @package		EasyBlog
* @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Restricted access');

class getEasyBlogTab extends cbTabHandler
{
	var $user	= null;
	
	function getEasyBlogTab()
	{
		return $this->cbTabHandler();
	}
	
	function isOwner()
	{
		$my		= JFactory::getUser();
		
		return $my->id == $this->user->id;
	}

	function getDisplayTab( $tab , $user , $ui )
	{	
		if(file_exists(JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'easyblog.php'))
		{
			require_once( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'helpers' . DS . 'helper.php' );
			require_once( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'helpers' . DS . 'loader.php' );
			require_once( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'helpers' . DS . 'router.php' );
			require_once( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'models' . DS .'blog.php' );
			JTable::addIncludePath( JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_easyblog' . DS . 'tables' );
			
			$params = $this->params;
			$mainframe	=& JFactory::getApplication();
			$config		=& EasyBlogHelper::getConfig();
			$my         =& JFactory::getUser();
			
			
			$canComment = $params->get('allowcomment', 0);
			
			//check if jomcomment installed.
			$jcInstalled = false;
			if(file_exists(JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_jomcomment' . DS . 'config.jomcomment.php' ) )
			{
			    $jcInstalled = true;
			}

		    $idebateCode    = $config->get('comment_intensedebate_code');
			$disqusCode     = $config->get('comment_disqus_code');

			if( ($config->get('comment_intensedebate') && !empty( $idebateCode )) || ($config->get('comment_disqus') && !empty( $disqusCode )) || ($config->get('comment_jomcomment', false) && $jcInstalled) )
			{
			    $canComment = false;
			}
			
			
			//setting limit
			$limit		= ($mainframe->getCfg('list_limit') == 0) ? 5 : $mainframe->getCfg('list_limit');
			$limitstart = JRequest::getVar('easybloglimitstart', 0, 'REQUEST');
	    	
			// In case limit has been changed, adjust it
			$limitstart = ($limit != 0 ? (floor($limitstart / $limit) * $limit) : 0);
			
			$itemidDashboard	= EasyBlogRouter::getItemId('dashboard');
			$itemidProfile		= EasyBlogRouter::getItemId('profile');
			$itemidTags			= EasyBlogRouter::getItemId('tags');
			
			$document = JFactory::getDocument();
			$document->addScript( JURI::root() . 'components/com_comprofiler/plugin/user/plug_easyblog/assets/easyblog.js' );
			$document->addStyleSheet( JURI::root() . 'components/com_comprofiler/plugin/user/plug_easyblog/assets/style.css' );
			
			EjaxLoader::_('ej,ejax,eblog','js');
			
			$author	=& JTable::getInstance( 'Profile', 'Table' );
			$author->setUser( $user );
			
			$this->user	= $user;
			
			ob_start();			
			if( $this->isOwner( $user ) )
			{
	?>
			<div id="easyblog-app-wrapper" class="ezb-postToWall">
	
			<div id="dashboard-actions">
				<span class="dashboard"><a href="<?php echo JRoute::_('index.php?option=com_easyblog&view=dashboard&Itemid='.$itemidDashboard); ?>"><?php echo JText::_('Dashboard');?></a></span>
				<span class="write"><a href="<?php echo JRoute::_('index.php?option=com_easyblog&view=dashboard&layout=write&Itemid='.$itemidDashboard); ?>"><?php echo JText::_('Write Entry');?></a></span>
				<span class="settings"><a href="<?php echo JRoute::_('index.php?option=com_easyblog&view=dashboard&layout=profile&Itemid='.$itemidDashboard); ?>"><?php echo JText::_('Settings');?></a></span>
			</div>
			<div style="clear:both;"></div>
	<?php
			}
			
			$model		= new EasyBlogModelBlog();
			
			$model->setState('limitstart', $limitstart);
			
			$blogs		= $model->getBlogsBy( 'blogger', $user->id );
			
			$pagination = $model->getPagination();
			$pagingParams =	$this->_getPaging( array(), array( '' ) );		
			$paging = $this->_writePaging( $pagingParams, '', $pagination->limit, $pagination->total );
			
	?>
			<div>
				<div><h2><?php echo JText::_('Biography'); ?> : </h2></div>
				<div><?php echo empty($author->biography)? JText::_($author->getName().' has not set his/her biography yet.') : $author->biography; ?></div>
			</div>
		
			<h2><?php echo JText::_('Recent blog entries');?> : </h2>
			
	<?php
			if(!empty($blogs))
			{
	?>
			
				<ul class="ezul">
	<?php
				foreach( $blogs as $blog )
				{
					$permalink = EasyBlogRouter::getEntryRoute( $blog->id );
					
					$EasyBlogDateHelper	= EasyBlogDateHelper::dateWithOffSet($blog->created);
					$date		= $EasyBlogDateHelper->toFormat( $config->get('layout_dateformat', '%A, %d %B %Y') );
					$blogText	= (!empty($blog->introtext)) ? $blog->introtext : $blog->content;
					$limitText  = $params->get('limit', 250);
					$blogText	= strip_tags( $blogText );

					if(JString::strlen($blogText) > $limitText)
					{
						$blogText = strip_tags( $blogText );
						$blogText = JString::substr($blogText, 0, $limitText);
	                    $blogText = $blogText . '...';
					}
					

		            $blog->comments		= array();
					if($params->get('allowcomment' , true ))
					{
		                $blog->comments	= $this->getComments( $blog->id, $config->get('layout_showcommentcount', 3) );
					}
					
					$blog->totalComments  = $this->getTotalComment( $blog->id );
					
	?>
				    <li>
						<div class="blog-entries">
					        <div class="blog-title"><a href="<?php echo $permalink;?>"><?php echo $blog->title;?></a></div>
							<div class="blog-content mleft">

								<div class="item-container" style="display: <?php if( $params->get( 'expanded' ) ){ ?>block<?php } else { ?>none<?php }?>;">
									<?php echo $blogText; ?>
									<div class="post-date small"><?php echo JText::sprintf('Posted on %1s', $date);?></div>
								</div>
								<a href="javascript:void(0);" onclick="easyblogApp.blog.toggle(this)" class="toggle-item">Show / Hide</a>
							</div>
							<div class="blog-ratings"><?php echo EasyBlogHelper::getHelper( 'ratings' )->getHTML( $blog->id , 'entry' , JText::_( 'Rating' ) , 'blog-rating-' . $blog->id );?></div>
							<div class="blog-tools">
								<?php if( $params->get( 'allowhits' , true ) ): ?>
								<span class="blog-hits">
									<a href="<?php echo $permalink;?>"><?php echo JText::sprintf( 'Hits (%1s)' , $blog->hits ); ?></a>
								</span>
								<?php endif; ?>

								<?php if($canComment) : ?>
								<span class="blog-comments">
									<a href="javascript:void(0);" onclick="easyblogApp.comment.show('<?php echo $blog->id; ?>');" class="small"><?php echo JText::sprintf('Comments (%1s)' , $blog->totalComments ); ?></a>
								</span>
								<?php endif; ?>

								<?php if( $params->get( 'allowreadon' , true ) ): ?>
								<span class="blog-readon">
									<a href="<?php echo $permalink; ?>"><?php echo JText::_( 'Read on' ); ?></a>
								</span>
								<?php endif; ?>
							</div>
							<div style="clear: both;"></div>

						    <?php if( $canComment ): ?>
							<div id="comment-notify-<?php echo $blog->id;?>" class="comment-notify"></div>
							<div id="comment-add-form-<?php echo $blog->id; ?>" style="display:none;"></div>
						    <ul id="comments-wrapper<?php echo $blog->id;?>" class="ezb-blogComment ezul">
								<?php if( !empty( $blog->comments ) ): ?>
									<?php foreach( $blog->comments as $comment ): ?>
									<li>
										<div class="blog-comment-avatar">
											<a href="<?php echo $comment->creator->profileLink; ?>"><img src="<?php echo $comment->creator->avatar; ?>" width="32" class="avatar" /></a>
										</div>
										<div class="blog-comment-item eztc">
											<div class="small">
												<a href="<?php echo $comment->creator->profileLink; ?>"><?php echo $comment->creator->getName(); ?></a>
												<?php echo JText::_( 'on' );?>
												<span><?php echo $comment->formattedDate; ?></span>
											</div>
											<?php echo JString::strlen( $comment->comment ) > 50 ? JString::substr( strip_tags( $comment->comment ) , 0 , 50 ) . '...' : strip_tags( $comment->comment ); ?>
										</div>
										<div style="clear: both;"></div>
									</li>
									<?php endforeach; ?>
								<?php endif; ?>
							</ul>
							<?php endif; ?>
						    <div style="clear: both;"></div>
					    </div>
					</li>
	<?php
				}
	?>
				</ul>
				
				<div id="comment-separator" class="clear"></div>
				<?php if ( $canComment) : ?>
				<div id="comment-form" class="comment-form" style="display:none;">
					<a name="commentform" id="commentform"></a>
					<form id="frmComment" name="frmComment">
						<div id="err-msg"></div>
						<div id="comment-loading" style="display: none;"><img src="<?php echo rtrim(JURI::root(),'/') . '/components/com_comprofiler/plugin/user/plug_easyblog/assets/loading.gif' ?>" alt="Loading" border="0" /></div>
						<h3 class="add-comment"><?php echo JText::_( 'Add Comment' );?></h3>
						<textarea name="comment" id="comment" width="100%"></textarea>
	          			<?php if ( $my->id != 0 ) : ?>
	          				<input type="hidden" id="esname" name="esname" value="<?php echo $my->name; ?>" />
	          				<input type="hidden" id="esemail" name="esemail" value="<?php echo $my->email; ?>" />
	          			<?php endif; ?>
						<input type="hidden" name="id" id="blog_id" value="" />
						<input type="hidden" name="parent_id" id="parent_id" value="" />
						<input type="hidden" name="comment_depth" id="comment_depth" value="0" />
						<input type="hidden" name="tnc" id="tnc" value="y" />
						<div class="comment-actions">
							<input class="button" type="button" id="btnSubmit" onclick="easyblogApp.comment.cancel(); return false;" value="<?php echo JText::_('Cancel') ; ?>" />
							<input class="button" type="button" id="btnSubmit" onclick="easyblogApp.comment.submit(); return false;" value="<?php echo JText::_('Add') ; ?>" />
						</div>
					</form>
				</div>
				<?php endif; ?>
				
	<?php
										
			}
			else
			{
	?>	
				<div><?php echo JText::_('There are no blog entry from ' . $author->getName() . ' yet.'); ?></div>
	<?php
			}
	?>
	        </div>
			<div style="margin-top:20px">
				<?php echo ($pagination->limit >= $pagination->total)? '' : $paging; ?>
			</div>
	<?php
			
			$html	= ob_get_contents();
			ob_end_clean();
		}
		else
		{
			$html = JText::_('Easy Blog is not install, please contact the site administrator for further assistance.');
		}
		
		return $html;
	}
	
	function getComments( $blogId, $max = 0 )
	{
		$config	= EasyBlogHelper::getConfig();
		$db		=& JFactory::getDBO();

		$query	= 'SELECT a.*, (count(b.id) - 1) AS `depth` FROM `#__easyblog_comment` a,';
		$query	.= ' `#__easyblog_comment` b';
		$query	.= ' WHERE a.`post_id` = '.$db->Quote($blogId);
		$query	.= ' AND b.`post_id` = '.$db->Quote($blogId);
		$query	.= ' AND a.`published` = 1';
		$query	.= ' AND b.`published` = 1';
		$query	.= ' AND a.`lft` BETWEEN b.`lft` AND b.`rgt`';
		$query	.= ' GROUP BY a.`id`';
		$query	.= ' ORDER BY a.`lft` DESC';

		if( $max > 0)
			$query  .= ' LIMIT ' . $max;

		$db->setQuery( $query );

		if($db->getErrorNum() > 0)
		{
			JError::raiseError( $db->getErrorNum() , $db->getErrorMsg() . $db->stderr());
		}
		$result	= $db->loadObjectList();

		if( !$result )
		{
			return $result;
		}

		$profile	= JTable::getInstance( 'Profile' , 'Table' );
		require_once( EBLOG_HELPERS . DS . 'integrate.php' );

		foreach( $result as $row )
		{
			$date	= EasyBlogDateHelper::dateWithOffSet( $row->created );
			$row->formattedDate	= $date->toFormat( $config->get('layout_dateformat', '%A, %d %B %Y') );
			$row->creator	= $profile->load( $row->created_by );
			$row->creator	= EasyBlogIntegrate::integrate( $row->creator );
		}

		return $result;
	}
	
	function getBlogTags( $id )
	{
		require_once( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS .'models' . DS .'posttag.php' );
		$model	= new EasyBlogModelPostTag();
		return $model->getBlogTags( $id );
	}
	
	function getTotalComment( $id )
	{
		require_once( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS .'helpers' . DS .'helper.php' );
		return EasyBlogHelper::getCommentCount( $id );
	}
}