<?php
/**
 * @package		plg_easyblog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once( JPATH_ROOT . DS . 'components' . DS . 'com_community' . DS . 'libraries' . DS . 'core.php');

class plgCommunityEasyBlog extends CApplications
{
	var $name 		= "EasyBlog Application";
	var $_name		= 'easyblog';
	var $_path		= '';
	var $_user		= '';
	var $err        = null;

    function plgCommunityEasyBlog(& $subject, $config)
    {
		$this->_path	= JPATH_ROOT . DS . 'components' . DS . 'com_easyblog';
		$this->_user	= CFactory::getRequestUser();
		
		parent::__construct($subject, $config);
    }
    
	function _trim(&$text)
	{
		$text = JString::trim($text);
	}
	
	function _validateFields( $post )
	{
	    $ajax	= new JAXResponse();

		if(JString::strlen($post['comment']) == 0)
		{
			$ajax->addScriptCall( 'easyblogApp.comment.notify' , $post[ 'id' ] , JText::_( 'PLG_EASYBLOG_COMMENT_IS_EMPTY' ) , 'error' );
			$ajax->addScriptCall( 'easyblogApp.spinner.hide');
			$ajax->addScriptCall( 'easyblogApp.element.focus', 'comment');
			return $ajax->sendResponse();
		}
	}
    
    function savecomment( $ajax , $post )
    {
        JPlugin::loadLanguage( 'plg_easyblog', JPATH_ADMINISTRATOR );
        
        include_once ( $this->_path . DS . 'helpers' . DS . 'helper.php' );
        include_once ( $this->_path . DS . 'helpers' . DS . 'string.php' );

		$mainframe		=& JFactory::getApplication();
		$my				=& JFactory::getUser();
		$config 		=& EasyBlogHelper::getConfig();

		$this->_validateFields( $post );
		
		// We don't require a title here.
		$post[ 'title' ]	= '';
		
		//real work start here.
		$isModerate		= false;
		$parentId		= "0";
		$commentDepth	= $post['comment_depth'];
		$blogId			= $post['id'];
		
		//we need to rename the esname and esemail back to name and email.
		$post['url']	= '';
		$post['name']	= $post['esname'];
		$post['email']	= $post['esemail'];

		unset($post['esname']);
		unset($post['esemail']);
		
        JTable::addIncludePath( EBLOG_TABLES );
		$db     	=& JFactory::getDBO();
        $comment	= JTable::getInstance( 'Comment' , 'Table' );
        $comment->bindPost($post);
          
        $now                	=& JFactory::getDate();
		$totalComment			= (empty($post['totalComment'])) ? 1 : $post['totalComment'];
		$comment->created		= $now->toMySql();
		$comment->modified		= $now->toMySql();
		$comment->published		= 1;
		$comment->parent_id		= $parentId;
		$comment->created_by	= $my->id;

		if(($my->id != 0 && $config->get( 'comment_moderatecomment') == 1) || ($my->id == 0 && $config->get( 'comment_moderateguestcomment') == 1))
		{
		     $comment->published	= 0;
		     $isModerate			= true;
		}
		
		jimport( 'joomla.application.component.model' );
		JLoader::import( 'comment' , EBLOG_ROOT . DS . 'models' );
		$model			=& JModel::getInstance( 'Comment' , 'EasyBlogModel' );
		$latestComment	= $model->getLatestComment( $blogId , $parentId );
		$left			= 1;
		$right			= 2;
		
		if( !empty( $latestComment ) )
		{
			$left		= $latestComment->rgt + 1;
			$right		= $latestComment->rgt + 2;
			
			$model->updateCommentSibling( $blogId , $latestComment->rgt );
		}
		$comment->lft	= $left;
		$comment->rgt	= $right;
		
		if( !$comment->store() )
		{
			$ajax->addScriptCall( 'easyblogApp.comment.notify' , $post[ 'id' ] , JText::_( 'PLG_EASYBLOG_FAILED_TO_SAVE_COMMENT' ) , 'error' );
			$ajax->addScriptCall( 'easyblogApp.spinner.hide');
			$ajax->addScriptCall( 'easyblogApp.element.focus', 'comment');
			return $ajax->sendResponse();
		}
		$profile	= JTable::getInstance( 'Profile' , 'Table' );
		require_once( EBLOG_HELPERS . DS . 'integrate.php' );
		
		$profile->load( $comment->created_by );
		$profile->setUser( $my );
		$comment->creator	= EasyBlogIntegrate::integrate( $profile );

		$date	= EasyBlogDateHelper::dateWithOffSet( $comment->created );
		$comment->formattedDate	= $date->toFormat( $config->get('layout_dateformat', '%A, %d %B %Y') );
		$text		= (JString::strlen( $comment->comment) > 50) ? JString::substr( strip_tags( $comment->comment), 0, 50) . '...' : strip_tags($comment->comment);

		$commentText	= '
				<li>
					<div class="blog-comment-avatar">
						<a href="' . $comment->creator->profileLink . '"><img src="'  . $comment->creator->avatar . '" width="32" /></a>
					</div>
					<div class="blog-comment-item">
						<div class="small">
							<a href="' . $comment->creator->profileLink . '">' . $comment->creator->getName() . '</a>
							' . JText::_( 'PLG_EASYBLOG_ON' ) . '
							<span class="small">' . $comment->formattedDate . '</span>
						</div>
						' . $text . '
					</div>
					<div style="clear: both;"></div>					
				</li>';

		$ajax->addScriptCall( 'easyblogApp.comment.add', $blogId , $commentText );
		$ajax->addScriptCall( 'easyblogApp.comment.cancel', $blogId );
		$ajax->addScriptCall( 'easyblogApp.spinner.hide');
		$ajax->addScriptCall( 'easyblogApp.comment.notify' , $blogId , JText::_( 'PLG_EASYBLOG_COMMENT_ADDED' ) , 'success' );

		return $ajax->sendResponse();
    }
    
	function onProfileDisplay()
	{
	    JPlugin::loadLanguage( 'plg_easyblog', JPATH_ADMINISTRATOR );

		if( !file_exists( $this->_path . DS . 'constants.php' ) )
		{
			return '';
		}

		include_once ( $this->_path . DS . 'constants.php' );
		include_once ( $this->_path . DS . 'helpers' . DS . 'router.php' );
		include_once ( $this->_path . DS . 'helpers' . DS . 'helper.php' );
		include_once ( $this->_path . DS . 'helpers' . DS . 'date.php' );
		include_once ( $this->_path . DS . 'helpers' . DS . 'acl.php' );
		
		$easyBlogItemid	= EasyBlogRouter::getItemId('easyblog');
		$bloggerItemid	= EasyBlogRouter::getItemId('blogger');
		$config 		= EasyBlogHelper::getConfig();
		$acl			= EasyBlogACLHelper::getRuleSet();
		
		$document		=& JFactory::getDocument();
		$mainframe      =& JFactory::getApplication();
	    $my				= CFactory::getUser();
		$userId 		= $this->_user->id;
		$userName 		= $this->_user->getDisplayName();
		$isOwner		= ($my->id == $userId ) ? true : false;
		
		
		// Attach myblog.js to this page so that the editor can load up nicely.
		$j16pluginPath  = EasyBlogHelper::getJoomlaVersion() >= '1.6' ? '/easyblog' : '';
		
		$document->addScript( JURI::root() . 'plugins/community'.$j16pluginPath.'/easyblog/assets/easyblog.js' );
		$document->addStyleSheet( JURI::root() . 'plugins/community'.$j16pluginPath.'/easyblog/assets/style.css' );
		
		$this->loadUserParams();

		$config		=& EasyBlogHelper::getConfig();
		$maxComment = 3;
		
		$rows	    = $this->_getLatestPost($this->_user->id, $this->userparams->get('count', 5) , $this->params->get('order_by', 'created') , $this->params->get('order', 'DESC') );

      	foreach ($rows as $blog)
		{
      		$row				=& $blog;
			$row->totalComments	= EasyBlogHelper::getCommentCount( $row->id );
			$row->isFeatured    = EasyBlogHelper::isFeatured('post', $row->id);
			$row->category      = (empty($row->category)) ? JText::_('PLG_EASYBLOG_UNCATEGORIZED') : $row->category;
			$row->text			= empty( $row->intro ) ? $row->content : $row->intro;

			//onPrepareContent trigger start
			$row->introtext		= $row->intro;
			$row->excerpt		= $row->introtext;
			$row->content		= $row->text;

			//comments
            $row->comments		= array();
			if($this->params->get('allowcomment' , true ))
			{
                $row->comments	= $this->_getComments( $row->id, $config->get('layout_showcommentcount', 3) );
			}
		}

		$cache		= JFactory::getCache('plgCommunityEasyBlog');
		$cache->setCaching( $this->params->get( 'cache' ) ? $mainframe->getCfg( 'caching' ) : false );
		$contents = $cache->call( array( 'plgCommunityEasyBlog' , '_getHTML' ) , $isOwner, $userId, $easyBlogItemid, $bloggerItemid, $my, $rows, $this->params);
		
	    return $contents;
	}
	
	function _getHTML( $isOwner, $userId, $easyBlogItemid, $bloggerItemid, $my, $rows, $params)
	{
	    JPlugin::loadLanguage( 'plg_easyblog', JPATH_ADMINISTRATOR );
		JPlugin::loadLanguage( 'com_easyblog', JPATH_ROOT );
		
		$config		=& EasyBlogHelper::getConfig();
		$canComment = $params->get('allowcomment', 0);
		
		$j16pluginPath  = EasyBlogHelper::getJoomlaVersion() >= '1.6' ? '/easyblog' : '';
		
		//check if jomcomment installed.
		$jcInstalled = false;
		if(file_exists(JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_jomcomment' . DS . 'config.jomcomment.php' ) )
		{
		    $jcInstalled = true;
		}
		
	    $idebateCode    = $config->get('comment_intensedebate_code');
		$disqusCode     = $config->get('comment_disqus_code');
		
		if( ($config->get('comment_intensedebate') && !empty( $idebateCode )) || ($config->get('comment_disqus') && !empty( $disqusCode )) || ($config->get('comment_jomcomment', false) && $jcInstalled) )
		{
		    $canComment = false;
		}

          ob_start();
      ?>
          <div id="easyblog-app-wrapper" class="ezb-postToWall">
      <?php

		if(empty($rows))
		{
	?>
			<div class="blog-icon" style="float: left; width: 20px;"><img src="<?php echo JURI::root(); ?>plugins/community<?php echo $j16pluginPath; ?>/easyblog/assets/icon-easyblog.png" alt="" /></div>
	        <div><?php echo JText::_('PLG_EASYBLOG_NO_BLOG_CREATED_YET'); ?></div>
	<?php
		}
		else
		{
		?>
		<ul class="ezul">
		<?php
			for($i = 0; $i < count($rows); $i++)
			{
				$row    = $rows[$i];
				
				$EasyBlogDateHelper	= EasyBlogDateHelper::dateWithOffSet($row->created);
				$date		= $EasyBlogDateHelper->toFormat( $config->get('layout_dateformat', '%A, %d %B %Y') );
				$blogText	= (!empty($row->introtext)) ? $row->introtext : $row->content;
				$limitText  = $params->get('limit', 250);
				$blogText	= strip_tags( $blogText );

				if(JString::strlen($blogText) > $limitText)
				{
					$blogText = strip_tags( $blogText );
					$blogText = JString::substr($blogText, 0, $limitText);
                    $blogText = $blogText . '...';
				}	
	?>
	    <li class="joms-newsfeed-item">
			<div class="blog-entries">
		        <div class="blog-title"><a href="<?php echo JRoute::_('index.php?option=com_easyblog&view=entry&id=' . $row->id . '&Itemid=' . $easyBlogItemid );?>"><?php echo $row->title;?></a></div>
				<div class="blog-content mleft">
					
					<div class="item-container" style="display: <?php if( $params->get( 'expanded' ) ){ ?>block<?php } else { ?>none<?php }?>;">
						<?php echo $blogText; ?>
						<div class="post-date small"><?php echo JText::sprintf('PLG_EASYBLOG_POSTED_ON', $date);?></div>
					</div>
					<a href="javascript:void(0);" onclick="easyblogApp.blog.toggle(this)" class="toggle-item">Show / Hide</a>
				</div>
				<div class="blog-ratings"><?php echo EasyBlogHelper::getHelper( 'ratings' )->getHTML( $row->id , 'entry' , JText::_( 'PLG_EASYBLOG_RATING' ) , 'blog-rating-' . $row->id );?></div>
				<div class="blog-tools">
					<?php if( $params->get( 'allowhits' , true ) ): ?>
					<span class="blog-hits">
						<a href="<?php echo JRoute::_('index.php?option=com_easyblog&view=entry&id=' . $row->id . '&Itemid=' . $easyBlogItemid );?>"><?php echo JText::sprintf( 'PLG_EASYBLOG_TOTAL_HITS' , $row->hits ); ?></a>
					</span>
					<?php endif; ?>
				
					<?php if($canComment) : ?>
					<span class="blog-comments">
						<a href="javascript:void(0);" onclick="easyblogApp.comment.show('<?php echo $row->id; ?>');" class="small"><?php echo JText::sprintf('PLG_EASYBLOG_TOTAL_COMMENTS' , $row->totalComments ); ?></a>
					</span>
					<?php endif; ?>
					
					<?php if( $params->get( 'allowreadon' , true ) ): ?>
					<span class="blog-readon">
						<a href="<?php echo JRoute::_('index.php?option=com_easyblog&view=entry&id=' . $row->id . '&Itemid=' . $easyBlogItemid );?>"><?php echo JText::_( 'PLG_EASYBLOG_READ_ON' ); ?></a>
					</span>
					<?php endif; ?>
				</div>
				<div style="clear: both;"></div>
				
			    <?php if( $canComment ): ?>
				<div id="comment-notify-<?php echo $row->id;?>" class="comment-notify"></div>
				<div id="comment-add-form-<?php echo $row->id; ?>" style="display:none;"></div>
			    <ul id="comments-wrapper<?php echo $row->id;?>" class="ezb-blogComment ezul">
					<?php if( !empty( $row->comments ) ): ?>
						<?php foreach( $row->comments as $comment ): ?>
						<li>
							<div class="blog-comment-avatar">
								<a href="<?php echo $comment->creator->profileLink; ?>"><img src="<?php echo $comment->creator->avatar; ?>" width="32" class="avatar" /></a>
							</div>
							<div class="blog-comment-item eztc">
								<div class="small">
									<a href="<?php echo $comment->creator->profileLink; ?>"><?php echo $comment->creator->getName(); ?></a>
									<?php echo JText::_( 'PLG_EASYBLOG_ON' );?>
									<span><?php echo $comment->formattedDate; ?></span>
								</div>
								<?php echo JString::strlen( $comment->comment ) > 50 ? JString::substr( strip_tags( $comment->comment ) , 0 , 50 ) . '...' : strip_tags( $comment->comment ); ?>
							</div>
							<div style="clear: both;"></div>
						</li>
						<?php endforeach; ?>
					<?php endif; ?>
				</ul>
				<?php endif; ?>
			    <div style="clear: both;"></div>
		    </div>
		    </li>
	<?php	} ?>
	    </ul>
	<?php } ?>
			<div id="comment-separator" class="clear"></div>
			<?php if ( $canComment) : ?>
			<div id="comment-form" class="comment-form" style="display:none;">
				<a name="commentform" id="commentform"></a>
				<form id="frmComment" name="frmComment">
					<div id="err-msg"></div>
					<div id="comment-loading" style="display: none;"><img src="<?php echo rtrim(JURI::root(),'/') . '/plugins/community'.$j16pluginPath.'/easyblog/assets/loading.gif' ?>" alt="Loading" border="0" /></div>
					<h3 class="add-comment"><?php echo JText::_( 'PLG_EASYBLOG_ADD_COMMENT' );?></h3>
					<textarea name="comment" id="comment" width="100%"></textarea>
          			<?php if ( $my->id != 0 ) : ?>
          				<input type="hidden" id="esname" name="esname" value="<?php echo $my->getDisplayName(); ?>" />
          				<input type="hidden" id="esemail" name="esemail" value="<?php echo $my->email; ?>" />
          			<?php endif; ?>
					<input type="hidden" name="id" id="blog_id" value="" />
					<input type="hidden" name="parent_id" id="parent_id" value="" />
					<input type="hidden" name="comment_depth" id="comment_depth" value="0" />
					<input type="hidden" name="tnc" id="tnc" value="y" />
					<div class="comment-actions">
						<input class="button" type="button" id="btnSubmit" onclick="easyblogApp.comment.cancel(); return false;" value="<?php echo JText::_('PLG_EASYBLOG_CANCEL_BUTTON') ; ?>" />
						<input class="button" type="button" id="btnSubmit" onclick="easyblogApp.comment.submit(); return false;" value="<?php echo JText::_('PLG_EASYBLOG_ADD_BUTTON') ; ?>" />
					</div>
				</form>
			</div>
			<?php endif; ?>
		</div>
	<?php
	
	    $content = ob_get_contents();
	    ob_end_clean();

	    return $content;
	}
	
	function _getComments( $blogId, $max = 0 )
	{
		$config	= EasyBlogHelper::getConfig();
		$db		=& JFactory::getDBO();

		$query	= 'SELECT a.*, (count(b.id) - 1) AS `depth` FROM `#__easyblog_comment` a,';
		$query	.= ' `#__easyblog_comment` b';
		$query	.= ' WHERE a.`post_id` = '.$db->Quote($blogId);
		$query	.= ' AND b.`post_id` = '.$db->Quote($blogId);
		$query	.= ' AND a.`published` = 1';
		$query	.= ' AND b.`published` = 1';
		$query	.= ' AND a.`lft` BETWEEN b.`lft` AND b.`rgt`';
		$query	.= ' GROUP BY a.`id`';
		$query	.= ' ORDER BY a.`lft` DESC';
		
		if( $max > 0)
			$query  .= ' LIMIT ' . $max;
		
		$db->setQuery( $query );

		if($db->getErrorNum() > 0)
		{
			JError::raiseError( $db->getErrorNum() , $db->getErrorMsg() . $db->stderr());
		}
		$result	= $db->loadObjectList();
		
		if( !$result )
		{
			return $result;
		}
		
		$profile	= JTable::getInstance( 'Profile' , 'Table' );
		require_once( EBLOG_HELPERS . DS . 'integrate.php' );
		
		foreach( $result as $row )
		{
			$date	= EasyBlogDateHelper::dateWithOffSet( $row->created );
			$row->formattedDate	= $date->toFormat( $config->get('layout_dateformat', '%A, %d %B %Y') );
			$row->creator	= $profile->load( $row->created_by );
			$row->creator	= EasyBlogIntegrate::integrate( $row->creator );
		}
		
		return $result;
	}
	
	function _getLatestPost($bloggerId, $max, $order_by, $order_dir)
	{
	
		$db 		=& JFactory::getDBO();
	    $my			= CFactory::getUser();
	    $config 	=& EasyBlogHelper::getConfig();
	    
		$query  = 'select a.*, b.`title` AS `category` from `#__easyblog_post` as a';
		$query	.= ' LEFT JOIN `#__easyblog_category` AS b';
		$query	.= ' 	ON a.`category_id` = b.`id`';
		$query  .= ' where a.`created_by` = ' . $db->Quote($bloggerId);
		$query  .= ' and a.`published` = 1';
		
		
		if( $config->get( 'main_jomsocial_privacy' ) )
		{
			$jsFriends	= CFactory::getModel( 'Friends' );
			$friends	= $jsFriends->getFriendIds( $my->id );

			// Insert query here.
			$query	.= ' AND (';
			$query	.= ' (a.`private`= 0 ) OR';
			$query	.= ' ( (a.`private` = 20) AND (' . $db->Quote( $my->id ) . ' > 0 ) ) OR';

			if( empty( $friends ) )
			{
				$query	.= ' ( (a.`private` = 30) AND ( 1 = 2 ) ) OR';
			}
			else
			{
				$query	.= ' ( (a.`private` = 30) AND ( a.' . $db->nameQuote( 'created_by' ) . ' IN (' . implode( ',' , $friends ) . ') ) ) OR';
			}

			$query	.= ' ( (a.`private` = 40) AND ( a.' . $db->nameQuote( 'created_by' ) .'=' . $my->id . ') )';
			$query	.= ' )';
		}
		else
		{
			if( $my->id == 0)
			{
				$query .= ' AND a.`private` = ' . $db->Quote(BLOG_PRIVACY_PUBLIC);
			}
		}

		
		if($order_by == 'title')
			$query  .= ' order by a.`title`';
		else
			$query  .= ' order by a.`created`';
			
	    $query  .= ' ' . $order_dir;
	    
		if($max > 0)
		    $query  .= ' LIMIT ' . $max;
		
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		return $result;
	}
    
}