<?php
/**
* @package		Eblog
* @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Eblog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Restricted access');

require_once( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'constants.php' );
require_once( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'helpers' . DS . 'helper.php' );

if(EasyBlogHelper::getJoomlaVersion() < '1.6')
{
    JPlugin::loadLanguage( 'plg_search_easyblog_comment' );
}

class plgSearchEasyblogComment extends JPlugin
{
	function plgSearchEasyblogComment( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}
	
	//joomla 1.5
	function onSearchAreas()
	{
		return plgSearchEasyblogComment::getAreas();
	}
	
	//joomla 1.6
	function onContentSearchAreas()
	{
		return plgSearchEasyblogComment::getAreas();
	}
	
	//joomla 1.5
	function onSearch( $text, $phrase='', $ordering='', $areas=null )
	{
	 	return plgSearchEasyblogComment::commentSearch( $text, $phrase, $ordering, $areas );
	}
	
	//joomla 1.6
	function onContentSearch( $text, $phrase='', $ordering='', $areas=null )
	{
		return plgSearchEasyblogComment::commentSearch( $text, $phrase, $ordering, $areas );
	}
	
	function getAreas()
	{
		static $areas = array(
			'comments' => 'Comments'
		);
		
		return $areas;
	}
	
	function exists()
	{
		$path	= JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_easyblog' . DS . 'easyblog.xml';
		
		jimport( 'joomla.filesystem.file' );
		return JFile::exists( $path );		
	}
	
	function commentSearch( $text, $phrase='', $ordering='', $areas=null )
	{
	 	$plugin	=& JPluginHelper::getPlugin('search', 'easyblogcomment');
	 	$params	= new JParameter( $plugin->params );
	 	
		if( !plgSearchEasyblogComment::exists() )
		{
			return array();
		}
		
		$text = trim( $text );
		if ($text == '') {
			return array();
		}

		$result	= plgSearchEasyblogComment::getResult( $text , $phrase );

		if( !$result )
			return array();

		require_once( EBLOG_HELPERS . DS . 'router.php' );
		JTable::addIncludePath(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_easyblog'.DS.'tables');
		
		$mainframe	=& JFactory::getApplication();
		$limit		= ($mainframe->getCfg('list_limit') == 0) ? 5 : $mainframe->getCfg('list_limit');
		
		for( $i = 0; $i < count($result); $i++)
		{
		    $row    =& $result[ $i ];
		
		    $post	=& JTable::getInstance( 'Blog', 'Table' );
			$post->load($row->post_id);
			
			$link = $params->get('link', '1');
			
			//check if link to comment or link to post
			if($link)
			{
				$comments = plgSearchEasyblogComment::getAllComments($row->post_id);
				
				$total = count($comments);
				
				$counter = 0;
				while($comments[$counter]->id != $row->id)
				{
					$counter++;
				}
				
				$limitstart = !empty($counter)? (floor($counter / $limit) * $limit) : 0;
								
				$row->href	= EasyBlogRouter::getEntryRoute( $row->post_id ).'&limitstart='.$limitstart.'#comments';
			}
			else
			{
				$row->href		= EasyBlogRouter::getEntryRoute( $row->post_id ).'#comments';
			}
			
			$row->section	= $post->title;
			
			if( empty($row->title) )
			{
				$row->title	= JString::substr( $row->comment, 0, 30 ) . '...';
			}
		}
		
		return $result;
	}
	
	function getResult( $text , $phrase)
	{
		$db		=& JFactory::getDBO();
		$where	= array();

		switch ($phrase)
		{
			case 'exact':
				$where[]	= 'title LIKE ' . $db->Quote( '%'.$db->getEscaped( $text, true ).'%', false );
				$where[]	= 'comment LIKE ' . $db->Quote( '%'.$db->getEscaped( $text, true ).'%', false );
				
				$where 		= '(' . implode( ') OR (', $where ) . ')';
				break;
			case 'all':
			case 'any':
			default:
				$words		= explode( ' ', $text );
				$wheres		= array();
				
				foreach ($words as $word)
				{
					$word		= $db->Quote( '%'.$db->getEscaped( $word, true ).'%', false );
					
					$where[]	= 'title LIKE ' . $word;
					$where[]	= 'comment LIKE ' . $word;
					$wheres[] 	= implode( ' OR ', $where );					
				}
				$where = '(' . implode( ($phrase == 'all' ? ') AND (' : ') OR ('), $wheres ) . ')';
				break;
		}
	
		$query	= 'SELECT *, `comment` AS text, "2" as browsernav '
				. 'FROM #__easyblog_comment '
				. 'WHERE ' . $where;

		$db->setQuery( $query );
		return $db->loadObjectList();
	}
	
	function getAllComments($blogId)
	{
		$db	=& JFactory::getDBO();
		
		$query  = '';
		
		$query	= 'SELECT a.*, (count(b.id) - 1) AS `depth` FROM `#__easyblog_comment` a,';
		$query	.= ' `#__easyblog_comment` b'; 
		$query	.= ' WHERE a.`post_id` = '.$db->Quote($blogId);
		$query	.= ' AND b.`post_id` = '.$db->Quote($blogId);
		$query	.= ' AND a.`published` = 1';
		$query	.= ' AND b.`published` = 1';
		$query	.= ' AND a.`lft` BETWEEN b.`lft` AND b.`rgt`';
		$query	.= ' GROUP BY a.`id`';
		
		// prepare the query to get total comment
		$queryTotal  	= 'SELECT COUNT(1) FROM (';
		$queryTotal		.= $query;
		$queryTotal		.= ') AS x';
		
		$query	.= ' ORDER BY a.`lft`';
		
		$db->setQuery( $queryTotal );
		$this->_total	= $db->loadResult();
				
		// the actual content sql
		$db->setQuery($query);
		if($db->getErrorNum() > 0)
		{
			JError::raiseError( $db->getErrorNum() , $db->getErrorMsg() . $db->stderr());
		}
		
		$result	= $db->loadObjectList();  
		return $result;
	}
}