<?php
/**
 * @package		mod_easyblograndompost
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once (JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'helper.php');

class modEasyBlogRandomPostHelper
{
	function getRandomPost(& $params )
	{
		if( !class_exists( 'EasyBlogModelBlog' ) )
		{
			jimport( 'joomla.application.component.model' );
			JLoader::import( 'blog' , EBLOG_ROOT . DS . 'models' );
		}
		
		$config	= EasyBlogHelper::getConfig();	
		$count	= (int) trim($params->get('total', 5));
			
		$model	= JModel::getInstance( 'Blog' , 'EasyBlogModel' );
		$posts	= $model->getBlogsBy('', '', 'random' , $count , EBLOG_FILTER_PUBLISHED, null, true);
		
		for($i = 0; $i < count($posts); $i++)
		{
		    $row    =& $posts[$i];
			$author =& JTable::getInstance( 'Profile', 'Table' );
			$row->author		= $author->load( $row->created_by );
			$row->commentCount 	= EasyBlogHelper::getCommentCount($row->id);
			
			$requireVerification = false;
			if($config->get('main_password_protect', true) && !empty($row->blogpassword))
			{
				$row->title	= JText::sprintf('COM_EASYBLOG_PASSWORD_PROTECTED_BLOG_TITLE', $row->title);
				$requireVerification = true;
			}
			
			if($requireVerification && !EasyBlogHelper::verifyBlogPassword($row->blogpassword, $row->id))
			{
				$theme = new CodeThemes();
				$theme->set('id', $row->id);
				$theme->set('return', base64_encode(EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$row->id)));
				$row->intro			= $theme->fetch( 'blog.protected.php' );
				$row->content		= $row->intro;
				$row->showRating	= false;
				$row->protect		= true;
			}
			else
			{
				$row->intro			= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->intro );
				$row->content		= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->content );
				$row->showRating	= true;
				$row->protect		= false;
			}
		}
		
		return $posts;
	}
}
