<?php
/*
 * @package		mod_easyblogmostcommentedpost
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');

require_once( JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'constants.php' );
require_once( EBLOG_HELPERS . DS . 'helper.php' );

class modEasyBlogMostCommentedPostHelper
{
	function getMostCommentedPost(&$params)
	{
		$mainframe	=& JFactory::getApplication();
		$db         =& JFactory::getDBO();
		$my         =& JFactory::getUser();

		$config     	=& EasyBlogHelper::getConfig();
		$count			= (INT)trim($params->get('count', 0));
		$showprivate	= $params->get('showprivate', true);
		$showcomment	= $params->get('showlatestcomment', true);
		
	    $queryExclude   = '';
		$excludeCats	= array();
		
	    //get teamblogs id.
	    if( $config->get( 'main_includeteamblogpost' ) )
	    {
	        if( $my->id == 0)
	        {
	            //get team id with access == 3
	            $query  = 'select `id` FROM `#__easyblog_team` where `access` = ' . $db->Quote( '3' );
	            $query  .= ' and `published` = ' . $db->Quote( '1' );
	            $db->setQuery($query);

	            $result 		= $db->loadResultArray();
	            if( count( $result ) > 0 )
	            	$teamBlogIds    = implode( ',' , $result);

	        }
	        else
	        {
	            // get the teamid from this user.
                $query  = 'select distinct `id` from `#__easyblog_team` as t left join `#__easyblog_team_users` as tu on t.id = tu.team_id';
                $query  .= ' where t.`published` = ' . $db->Quote( '1' );
                $query  .= ' and (tu.`user_id` = ' . $db->Quote( $my->id );
                $query  .= ' OR t.`access` = ' . $db->Quote( '3' ) . ')';
                $db->setQuery($query);

	            $result 		= $db->loadResultArray();
	            if( count( $result ) > 0 )
	            	$teamBlogIds    = implode( ',' , $result);
	        }
	    }


		// getTaggedBlogs
		if($my->id == 0)
		{
			// get all private categories id
		    $query	= 	'select a.`id`, a.`private`';
			$query	.=  ' from `#__easyblog_category` as a';
			$query	.=  ' where a.`private` = ' . $db->Quote('1');

		    $db->setQuery($query);
		    $result = $db->loadObjectList();

		    for($i=0; $i < count($result); $i++)
		    {
		        $item   =& $result[$i];
	            $item->childs = null;

	            EasyBlogHelper::buildNestedCategories($item->id, $item);

				$catIds     = array();
				$catIds[]   = $item->id;
				EasyBlogHelper::accessNestedCategoriesId($item, $catIds);

				$excludeCats    = array_merge($excludeCats, $catIds);
		    }
	    }
		
		if(! empty($excludeCats))
		{
		    $queryExclude .= ' AND a.`category_id` NOT IN (' . implode(',', $excludeCats) . ')';
		}
		

		$query  = 'SELECT a.`id`, a.`title`, a.`intro`, a.`content`, a.`permalink`, a.`hits`, a.`created_by`, a.`created`, count(b.`id`) as `comment_count`, a.`blogpassword`';
		if($showcomment)
			$query	.= ', c.`id` as `comment_id`, c.`comment`, c.`created_by` as commentor, c.`title` as `comment_title`';
			
		if($config->get( 'main_includeteamblogpost' ) && !empty($teamBlogIds) )
			$query  .= ' ,u.`team_id`';
			
		$query	.= ' FROM `#__easyblog_post` AS a';
		$query	.= '  LEFT JOIN `#__easyblog_comment` AS b ON a.`id` = b.`post_id`';
		if($showcomment)
		{
			$query	.= '  LEFT JOIN `#__easyblog_comment` AS c ON a.`id` = c.`post_id`';
			$query	.= '    AND c.`id` = (SELECT MAX(d.`id`) FROM `#__easyblog_comment` AS d WHERE c.`post_id` = d.`post_id`)';
		}
		
		if($config->get( 'main_includeteamblogpost' ) && !empty($teamBlogIds) )
		{
		    $query  .= ' LEFT JOIN `#__easyblog_team_post` AS u ON a.id = u.post_id';
		}
		
		
		$query	.= ' WHERE a.`published` = ' . $db->Quote('1');
		
	    if( $config->get( 'main_includeteamblogpost' ) && !empty($teamBlogIds))
	    {
			$query	.= ' AND (u.team_id IN ('.$teamBlogIds.') OR a.`issitewide` = ' . $db->Quote('1') . ')';
		}
		else
		{
		    $query	.= ' AND a.`issitewide` = ' . $db->Quote('1');
		}
		
		if(! $showprivate)
		    $query .= ' AND a.`private` = ' . $db->Quote('0');


		$query	.= $queryExclude;
		$query	.= ' GROUP BY a.`id`';
		$query	.= ' HAVING (`comment_count` > 0)';
		$query	.= ' ORDER BY `comment_count` DESC';
		
		if($count > 0)
			$query  .= ' LIMIT ' . $count;
			

		$db->setQuery($query);

		$posts   = $db->loadObjectList();
		return $posts;
	}
}
