<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class modEasyBlogCategoriesHelper
{
	function getCategories(&$params)
	{
		//blog privacy setting
		$db =& JFactory::getDBO();
		$my =& JFactory::getUser();
		
		$mainframe		= &JFactory::getApplication();
		$order			= $params->get('order', 'popular');
		$sort			= $params->get('sort', 'desc');
		$count			= (INT)trim($params->get('count', 0));
		$hideEmptyPost 	= $params->get('hideemptypost', '0');
		
		$query	= 'SELECT a.`id`, a.`title`, a.`alias`, a.`avatar`, COUNT(b.`id`) AS `cnt`'
				. ' FROM ' . $db->nameQuote( '#__easyblog_category' ) . ' AS `a`'
				. ' LEFT JOIN '. $db->nameQuote( '#__easyblog_post' ) . ' AS b'
				. ' ON a.`id` = b.`category_id`'
				. ' AND b.`published` = ' . $db->Quote('1');
				
		if($my->id == 0)
		{
		    $query .= ' AND b.`private` = ' . $db->Quote(BLOG_PRIVACY_PUBLIC);
		}
		
		$query	.= ' WHERE a.`published` = 1';
		
		if($my->id == 0)
			$query	.= ' AND a.`private` = 0';
		
		if(!$hideEmptyPost)
		{
			$query	.= ' GROUP BY a.`id`';
		}
		else
		{
			$query	.= ' GROUP BY a.`id` HAVING (COUNT(b.`id`) > 0)';		
		}
		
		switch($order)
		{
			case 'popular' :
				$orderBy	= ' ORDER BY `cnt` ';
				break;
			case 'alphabet' :
				$orderBy = ' ORDER BY a.`title` ';
				break;
			case 'latest' :																				
			default	:	
				$orderBy = ' ORDER BY a.`created` ';			
				break;
		}
		$query	.= $orderBy.$sort;
		
		if(!empty($count))
		{
			$query	.= ' LIMIT ' . $count;
		}
		
		
		$db->setQuery($query);
		$result = $db->loadObjectList();
				
		return $result;
	}
	
	function getAvatar($category)
	{
		JTable::addIncludePath( JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_easyblog' . DS . 'tables' );
		
		$categorytable = JTable::getInstance('ECategory', 'Table');		
		$categorytable->bind($category);
		
		return $categorytable->getAvatar();
	}
}
