<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');

require_once(JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'models'.DS.'tags.php');

class modTopBlogsHelper
{
	function getPosts( $params )
	{
		$mainframe		= &JFactory::getApplication();
		$db 			= &JFactory::getDBO();
		$order			= trim($params->get('order', 'postcount_desc'));
		$count			= (int) trim($params->get('count', 0));
		$showprivate	= $params->get('showprivate', true);
		$showcmmtCount	= $params->get('showcommentcount', 0);
		$config			= EasyBlogHelper::getConfig();
		
		$query			= 'SELECT a.* , SUM( b.value ) AS ratings FROM ' . $db->nameQuote( '#__easyblog_post' ) . ' AS a '
						. 'LEFT JOIN ' . $db->nameQuote( '#__easyblog_ratings' ) . ' AS b '
						. 'ON a.id=b.uid '
						. 'AND b.type=' . $db->Quote( 'entry' ) . ' '
						. 'WHERE a.' . $db->nameQuote( 'published' ) .'=' . $db->Quote( 1 );

		if(!$showprivate)
		{
			$query .= ' AND a.' . $db->nameQuote('private') . '=' . $db->Quote( 0 );
		}
		
		$query .= ' AND a.' . $db->nameQuote('issitewide') . '=' . $db->Quote('1');
		$query .= 'AND a.' . $db->nameQuote('ispending') . '=' . $db->Quote('0') . ' ';
		$query .= 'GROUP BY b.uid ';
		$query .= 'ORDER BY ' . $db->nameQuote('ratings') . ' DESC ';
		
		if(!empty($count))
		{
			$query .= ' LIMIT ' . $count;
		}
		
		$db->setQuery( $query );
		$result		= $db->loadObjectList();
		
		if(count($result) > 0)
		{
			for($i = 0; $i < count($result); $i++ )
			{
				$row	=& $result[$i];
				$author =& JTable::getInstance( 'Profile', 'Table' );
				$row->author		= $author->load( $row->created_by );
				$row->date			= EasyBlogDateHelper::toFormat( JFactory::getDate( $row->created ) , $config->get('layout_dateformat', '%A, %d %B %Y') );
			
				$requireVerification = false;
				if($config->get('main_password_protect', true) && !empty($row->blogpassword))
				{
					$row->title	= JText::sprintf('COM_EASYBLOG_PASSWORD_PROTECTED_BLOG_TITLE', $row->title);
					$requireVerification = true;
				}
				
				if($requireVerification && !EasyBlogHelper::verifyBlogPassword($row->blogpassword, $row->id))
				{
					$theme = new CodeThemes();
					$theme->set('id', $row->id);
					$theme->set('return', base64_encode(EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$row->id)));
					$row->intro			= $theme->fetch( 'blog.protected.php' );
					$row->content		= $row->intro;
					$row->showRating	= false;
					$row->protect		= true;
				}
				else
				{
					$row->intro			= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->intro );
					$row->content		= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->content );
					$row->showRating	= true;
					$row->protect		= false;
				}
			}
		}
		
		return $result;
	}
}
