<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

require_once (JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'helper.php');

class modEasyBlogLatestPostByBloggerHelper
{
	function getBloggers(&$params)
	{
		$mainframe	=& JFactory::getApplication();
		$db         =& JFactory::getDBO();
		
		$my 		=& JFactory::getUser();
		
		$showprivate	= $params->get('showprivate', true);
		$bloggerList    = $params->get('bloggerlist','');
		
		$bloggers       = explode(',', $bloggerList);
		$arrBloggers    = '';
		
		for($i = 0; $i < count($bloggers); $i++)
		{
		    $blogger    = $bloggers[$i];
		    $blogger 	= trim($blogger);
		    
		    if(is_numeric($blogger))
		    {
		        $arrBloggers[]  = $blogger;
		    }
		}
		
		$exQuery    = '';
		if(count($arrBloggers) <= 1)
		{
		    $exQuery	= ' where a.id = ' . $db->Quote($arrBloggers[0]);
		}
		else
		{
		    $exQuery	= ' where a.id IN (' . implode(',', $arrBloggers) . ')';
		}
		
		
		$query	= 'select a.`id`, count(c.`id`) as `postcount`';
		$query	.= ' from `#__easyblog_users` as a';
		$query	.= '   inner join `#__users` as b';
		$query	.= '     on a.`id` = b.`id`';
		$query	.= '   left join `#__easyblog_post` as c';
		$query	.= '     on c.`created_by` = a.`id`';
		$query	.= '     and c.`published` = ' . $db->Quote('1');
		$query	.= '     and c.`issitewide` = ' . $db->Quote('1');
		if(empty($my->id))
			$query	.= '     and c.`private` = ' . $db->Quote('0');
		$query	.= $exQuery;
		$query	.= ' group by a.`id`';
		
		$db->setQuery($query);
		$result = $db->loadObjectList();
		
		return $result;
	}


	function getLatestPost(&$params, $bloggerId)
	{
	    $config	= EasyBlogHelper::getConfig();
	    
		if( !class_exists( 'EasyBlogModelBlog' ) )
		{
			jimport( 'joomla.application.component.model' );
			JLoader::import( 'blog' , EBLOG_ROOT . DS . 'models' );
		}
		
		$count = (INT)trim($params->get('count', 0));
			
		$model = JModel::getInstance( 'Blog' , 'EasyBlogModel' );
		$posts = $model->getBlogsBy('blogger', $bloggerId, 'latest' , $count , EBLOG_FILTER_PUBLISHED, null, true);
		
		for($i = 0; $i < count($posts); $i++)
		{
		    $row    =& $posts[$i];
		    
			$row->commentCount 	= EasyBlogHelper::getCommentCount($row->id);
			
			$requireVerification = false;
			if($config->get('main_password_protect', true) && !empty($row->blogpassword))
			{
				$row->title	= JText::sprintf('COM_EASYBLOG_PASSWORD_PROTECTED_BLOG_TITLE', $row->title);
				$requireVerification = true;
			}
			
			if($requireVerification && !EasyBlogHelper::verifyBlogPassword($row->blogpassword, $row->id))
			{
				$theme = new CodeThemes();
				$theme->set('id', $row->id);
				$theme->set('return', base64_encode(EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$row->id)));
				$row->intro			= $theme->fetch( 'blog.protected.php' );
				$row->content		= $row->intro;
				$row->showRating	= false;
				$row->protect		= true;
			}
			else
			{
				$row->intro			= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->intro );
				$row->content		= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->content );
				$row->showRating	= true;
				$row->protect		= false;
			}
		}
		
		return $posts;
    }
}
