<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

class modEasyBlogLatestBloggerHelper
{
	function getLatestBlogger(&$params)
	{
	    if(file_exists(JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'helper.php'))
	    	require_once (JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'helper.php');
	
		$mainframe	=& JFactory::getApplication();
		$db         =& JFactory::getDBO();

		$count		= (INT)trim($params->get('count', 0));
		$emptyPost  = $params->get('excludeemptypost', 0);

		$query	= 'SELECT x.*, count(p.`id`) as `post_count` FROM (';
		$query	.= ' (SELECT a.`id`, a.`registerDate`';
		$query	.= ' FROM `#__users` AS `a`';
		$query	.= '  INNER JOIN `#__easyblog_users` AS `b` ON a.`id` = b.`id`';

		if(EasyBlogHelper::getJoomlaVersion() >= '1.6'){
			$query	.= '  INNER JOIN `#__user_usergroup_map` AS `d` ON a.`id` = d.`user_id`';
		} else {
			$query	.= '  INNER JOIN `#__core_acl_aro` AS `c` ON a.`id` = c.`value`';
			$query	.= '    AND c.`section_value` = ' . $db->Quote('users');
			$query	.= '  INNER JOIN `#__core_acl_groups_aro_map` AS `d` ON c.`id` = d.`aro_id`';
		}
		
		$query	.= '  INNER JOIN `#__easyblog_acl_group` AS `e` ON d.`group_id`  = e.`content_id`';
		$query	.= '    AND e.`type` = ' . $db->Quote('group') . ' AND e.`status` = 1';
		$query	.= '  INNER JOIN `#__easyblog_acl` as `f` ON e.`acl_id` = f.`id`';
		$query	.= '    AND f.`action` = ' . $db->Quote('add_entry') . ')';
		$query	.= ' UNION ';
		$query	.= ' (SELECT a1.`id`, a1.`registerDate`';
		$query	.= ' FROM `#__users` AS `a1`';
		$query	.= '  INNER JOIN `#__easyblog_users` AS `b1` ON a1.`id` = b1.`id`';
		$query	.= '  INNER JOIN `#__easyblog_acl_group` AS `c1` ON a1.`id`  = c1.`content_id`';
		$query	.= '    AND c1.`type` = ' . $db->Quote('assigned') . ' AND c1.`status` = 1';
		$query	.= '  INNER JOIN `#__easyblog_acl` as `d1` ON c1.`acl_id` = d1.`id`';
		$query	.= '    AND d1.`action` = ' . $db->Quote('add_entry') . ')';
		$query  .= ' ) as x LEFT JOIN `#__easyblog_post` AS p ON x.`id` = p.`created_by`';
		$query  .= ' WHERE p.`issitewide` = ' . $db->Quote('1');
		if($emptyPost)
		{
		    $query  .= ' GROUP BY x.`id` HAVING (count(p.`id`) > 0)';
		}
		else
		{
			$query  .= ' GROUP BY x.`id`';
		}
		$query	.= ' ORDER BY x.`registerDate` DESC';
		
		
		
		
		
		if($count > 0)
			$query  .= ' LIMIT ' . $count;

		$db->setQuery($query);

		$bloggers   = $db->loadObjectList();
		return $bloggers;
	}
}
