<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.filesystem.file' );

if (!defined('ModEasyBlogLatestPostByBloggerImgUriPath')) {
    define('ModEasyBlogLatestPostByBloggerImgUriPath', JURI::root() . 'modules/mod_easybloglatestpostbyblogger/assets/');
}

$path	= JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers' . DS . 'helper.php';

if( !JFile::exists( $path ) )
{
	return;
}

// Include the syndicate functions only once
require_once (dirname(__FILE__).DS.'helper.php');
require_once ($path);
require_once (JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'date.php');
require_once (JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_easyblog'.DS.'tables'.DS.'profile.php');

EasyBlogHelper::loadModuleCss();
  
$bloggerList    = $params->get('bloggerlist','');

if(empty($bloggerList))
{
    echo JText::_('MOD_EASYBLOGLATESTPOSTBYBLOGGER_SELECT_BLOGGER');
}
else
{
    $bloggers		= modEasyBlogLatestPostByBloggerHelper::getBloggers($params);
	$config 		=& EasyBlogHelper::getConfig();

	if(! empty($bloggers))
	{
	    for($i = 0; $i < count($bloggers); $i++)
	    {
	        $row    	=& $bloggers[$i];
	
		    $profile		=& JTable::getInstance( 'Profile', 'Table' );
			$row->details   =& $profile->load($row->id);
			
			if($row->postcount > 0)
			{
				$row->posts = modEasyBlogLatestPostByBloggerHelper::getLatestPost($params, $row->id);
			}
			else
			{
	            $row->posts = '';
			}
			
	    }//end foreach
	}
}

require(JModuleHelper::getLayoutPath('mod_easybloglatestpostbyblogger'));