<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

if (!defined('ModEasyBlogLatestPostByCategoryImgUriPath')) {
    define('ModEasyBlogLatestPostByCategoryImgUriPath', JURI::root() . 'modules/mod_easybloglatestpostbycategory/assets/');
}

$helper = JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'helper.php';

jimport( 'joomla.filesystem.file' );

if( !JFile::exists( $helper ) )
{
	return;
}

// Include the syndicate functions only once
require_once (dirname(__FILE__).DS.'helper.php');
require_once ($helper);
require_once (JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'date.php');
require_once (JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_easyblog'.DS.'tables'.DS.'profile.php');
  
EasyBlogHelper::loadModuleCss();

$categoryId    = $params->get('id','');

if(empty($categoryId))
{
    echo JText::_('MOD_EASYBLOGLATESTPOSTBYCATEGORY_SELECT_CATEGORY');
}
else
{
  	$my 			=& JFactory::getUser();
	$category		=& JTable::getInstance( 'ECategory', 'Table' );
	$category->load($categoryId);

    if($category->private && $my->id == 0)
    {
        echo JText::_('MOD_EASYBLOGLATESTPOSTBYCATEGORY_IS_CURRENTLY_SET_TO_PRIVATE');
	return;
    }

    $posts			= modEasyBlogLatestPostByCategoryHelper::getLatestPost($params, $categoryId);
	$config 		=& EasyBlogHelper::getConfig();

	$category->thumb_width  = 45;
	if($params->get('showcount', true))
	{
		$category->postcount    = modEasyBlogLatestPostByCategoryHelper::getTotalPost($params, $categoryId);
	}
	else
	{
    	$category->postcount    = 0;
	}

	if(! empty($posts))
	{
	    for($i = 0; $i < count($posts); $i++)
	    {
	        $row    	=& $posts[$i];
	        $author 	=& JTable::getInstance( 'Profile', 'Table' );
	        $row->author		= $author->load( $row->created_by );
	        $row->commentCount 	= EasyBlogHelper::getCommentCount($row->id);
			$row->date			= EasyBlogDateHelper::toFormat( JFactory::getDate( $row->created ) , $config->get('layout_dateformat', '%A, %d %B %Y') );
			
			$requireVerification = false;
			if($config->get('main_password_protect', true) && !empty($row->blogpassword))
			{
				$row->title	= JText::sprintf('COM_EASYBLOG_PASSWORD_PROTECTED_BLOG_TITLE', $row->title);
				$requireVerification = true;
			}
			
			if($requireVerification && !EasyBlogHelper::verifyBlogPassword($row->blogpassword, $row->id))
			{
				$theme = new CodeThemes();
				$theme->set('id', $row->id);
				$theme->set('return', base64_encode(EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$row->id)));
				$row->intro			= $theme->fetch( 'blog.protected.php' );
				$row->content		= $row->intro;
				$row->showRating	= false;
				$row->protect		= true;
			}
			else
			{
				$row->intro			= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->intro );
				$row->content		= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->content );			
				$row->showRating	= true;
				$row->protect		= false;
			}
	    }//end foreach
	}
}

$easyblogInstalled = true;

require(JModuleHelper::getLayoutPath('mod_easybloglatestpostbycategory'));