<?php
/*
 * @package		mod_easyblogmostcommentedpost
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');

$path	= JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers' . DS . 'helper.php';

jimport( 'joomla.filesystem.file' );

if( !JFile::exists( $path ) )
{
	return;
}

require_once (dirname(__FILE__).DS.'helper.php');
require_once (JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'constants.php');
require_once (JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'router.php');
require_once (JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'date.php');
require_once (JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'integrate.php');
require_once (JPATH_ROOT.DS.'administrator'.DS.'components'.DS.'com_easyblog'.DS.'tables'.DS.'profile.php');

EasyBlogHelper::loadModuleCss();

$config     	=& EasyBlogHelper::getConfig();

$posts			= modEasyBlogMostCommentedPostHelper::getMostCommentedPost($params);

if($params->get('showavatar', true))
{
	for($i = 0; $i < count($posts); $i++ )
	{
	    $row    =& $posts[$i];

	    $profile	=& JTable::getInstance( 'Profile', 'Table' );

		$row->author	= $profile->load( $row->created_by );
		if($params->get('showlatestcomment', true))
		{
			$row->commentor	= $profile->load( $row->commentor );
		}
		
		$requireVerification = false;
		if($config->get('main_password_protect', true) && !empty($row->blogpassword))
		{
			$row->title	= JText::sprintf('COM_EASYBLOG_PASSWORD_PROTECTED_BLOG_TITLE', $row->title);
			$requireVerification = true;
		}
		
		if($requireVerification && !EasyBlogHelper::verifyBlogPassword($row->blogpassword, $row->id))
		{
			$theme = new CodeThemes();
			$theme->set('id', $row->id);
			$theme->set('return', base64_encode(EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$row->id)));
			$row->intro			= $theme->fetch( 'blog.protected.php' );
			$row->content		= $row->intro;
			$row->showRating	= false;
			$row->protect		= true;
		}
		else
		{
			$row->intro			= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->intro );
			$row->content		= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->content );
			$row->showRating	= true;
			$row->protect		= false;
		}
	}
}

$textcount 			= $params->get( 'textcount' , 150 );

require(JModuleHelper::getLayoutPath('mod_easyblogmostcommentedpost'));