<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

$path	= JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'helpers' . DS . 'helper.php';

jimport( 'joomla.filesystem.file' );

if( !JFile::exists( $path ) )
{
	return false;
}

require_once(dirname(__FILE__).DS.'helper.php');
require_once(JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'constants.php');
require_once(JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'router.php');
require_once(JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'image.php');
require_once(JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'models'.DS.'tags.php');
	
EasyBlogHelper::loadModuleCss();

if( !class_exists( 'EasyBlogModelBlog' ) )
{
	jimport( 'joomla.application.component.model' );
	JLoader::import( 'blog' , EBLOG_ROOT . DS . 'models' );
}

$model		= JModel::getInstance( 'Blog' , 'EasyBlogModel' );
$config		= EasyBlogHelper::getConfig();
JTable::addIncludePath( EBLOG_TABLES );
$tag		= JTable::getInstance( 'Tag' , 'Table' );
$tag->load( $params->get( 'tagid' , 0 ) );

if( $tag->id == 0 )
{
	return false;
}
$posts			= $model->getTaggedBlogs( $tag->id );

$lang			= JFactory::getLanguage();
$lang->load( 'com_easyblog' , JPATH_ROOT );

if(! empty($posts))
{
    for($i = 0; $i < count($posts); $i++)
    {
        $row    	=& $posts[$i];
        $author 	=& JTable::getInstance( 'Profile', 'Table' );
        $row->author		= $author->load( $row->created_by );
        $row->commentCount 	= EasyBlogHelper::getCommentCount($row->id);
		$row->date			= EasyBlogDateHelper::toFormat( JFactory::getDate( $row->created ) , $config->get('layout_dateformat', '%A, %d %B %Y') );
		
		$requireVerification = false;
		if($config->get('main_password_protect', true) && !empty($row->blogpassword))
		{
			$row->title	= JText::sprintf('COM_EASYBLOG_PASSWORD_PROTECTED_BLOG_TITLE', $row->title);
			$requireVerification = true;
		}
		
		if($requireVerification && !EasyBlogHelper::verifyBlogPassword($row->blogpassword, $row->id))
		{
			$theme = new CodeThemes();
			$theme->set('id', $row->id);
			$theme->set('return', base64_encode(EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$row->id)));
			$row->intro			= $theme->fetch( 'blog.protected.php' );
			$row->content		= $row->intro;
			$row->showRating	= false;
			$row->protect		= true;
		}
		else
		{
			$row->intro			= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->intro );
			$row->content		= EasyBlogHelper::getHelper( 'Videos' )->strip( $row->content );			
			$row->showRating	= true;
			$row->protect		= false;
		}
    }//end foreach
}

$itemid			= EasyBlogRouter::getItemId('easyblog');
$bloggeritemid	= EasyBlogRouter::getItemId('blogger');
require( JModuleHelper::getLayoutPath( 'mod_easyblogpostsbytag') );