<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.filesystem.file' );
$path	= JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'constants.php';

if( !JFile::exists( $path ) )
{
	return;
}

// Include constants
require_once( $path );
require_once( EBLOG_HELPERS . DS . 'helper.php' );

EasyBlogHelper::loadHeaders();
JTable::addIncludePath( EBLOG_TABLES );
$document	=& JFactory::getDocument();
$document->addStyleSheet( rtrim(JURI::root(), '/') . '/components/com_easyblog/assets/css/module.css' );
$config		=& EasyblogHelper::getConfig();
$posttype = $params->get( 'showposttype' , 'featured' );


if( !class_exists( 'EasyBlogModelBlog' ) )
{
	jimport( 'joomla.application.component.model' );
	JLoader::import( 'blog' , EBLOG_ROOT . DS . 'models' );
}

$model		= JModel::getInstance( 'Blog' , 'EasyBlogModel' );

if($posttype == 'latest')
{
	if( $params->get( 'catid' ) )
	{
	    $entries	= $model->getBlogsBy( 'category', $params->get( 'catid' ) , 'latest' , 10 , EBLOG_FILTER_PUBLISHED, null, true, array(), false, false, false);
	}
	else
	{
	    $entries	= $model->getBlogsBy( '', '', 'latest' , 10 , EBLOG_FILTER_PUBLISHED, null, true, array(), false, false, false);
	}
}
else
{
	$entries	= $model->getFeaturedBlog( array( $params->get( 'catid' )  ) );
}


for( $i = 0; $i < count( $entries ); $i++ )
{
	$row        =& $entries[$i];

	$row->featuredImage = EasyBlogHelper::getFeaturedImage( $row->content );
	
	if( $row->featuredImage === false)
	    $row->featuredImage = EasyBlogHelper::getFeaturedImage( $row->intro );
	
	JTable::addIncludePath( EBLOG_TABLES );
	$author 			=& JTable::getInstance( 'Profile', 'Table' );
	$row->author		= $author->load( $row->created_by );
	$row->date			= EasyBlogDateHelper::toFormat( JFactory::getDate( $row->created ) , $config->get('layout_dateformat', '%A, %d %B %Y') );
}

require( JModuleHelper::getLayoutPath( 'mod_showcase' ) );