<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');

require_once( EBLOG_HELPERS . DS .'helper.php' );

class EasyBlogGoogleAdsense
{
	function getHTML( $bloggerId )
	{
		$config =& EasyBlogHelper::getConfig();

		$adsenseObj = new stdClass;
		$adsenseObj->header			= '';
		$adsenseObj->beforecomments	= '';
		$adsenseObj->footer			= '';
		
		$defaultCode    	= '';
		$defaultDisplay		= '';
		$my					= JFactory::getUser();
					
		if( $config->get( 'integration_google_adsense_display_access' ) == 'members' && $my->id == 0 )
		{
			return $adsenseObj;
		}

		if( $config->get( 'integration_google_adsense_display_access' ) == 'guests' && $my->id > 0 )
		{
			return $adsenseObj;
		}
				
		if(! $config->get( 'integration_google_adsense_enable' ))
		{
		    return $adsenseObj;
		}
		
		if($config->get('integration_google_adsense_centralized'))
		{
		    $adminAdsenseCode		= $config->get('integration_google_adsense_code');
		    $adminAdsenseDisplay	= $config->get('integration_google_adsense_display');
		
		    if(! empty($adminAdsenseCode))
		    {
				$defaultCode		= $adminAdsenseCode;
				$defaultDisplay		= $adminAdsenseDisplay;
			}
		}
		else
		{
		    //blogger adsense
			//now we check whether user enabled adsense or not.
			$bloggerAdsense =& JTable::getInstance( 'Adsense', 'Table' );
	  		$bloggerAdsense->load($bloggerId);
	  		
			if( !empty($bloggerAdsense->code) && $bloggerAdsense->published )
			{
				$defaultCode	= $bloggerAdsense->code;
				$defaultDisplay	= $bloggerAdsense->display;
		    }
		}
		
		if(! empty($defaultCode))
		{
			$adTheme	= new CodeThemes();
		    $adTheme->set( 'adsense'	, $defaultCode);
		    $adsenseHTML = $adTheme->fetch( 'blog.adsense.php' );

			switch( $defaultDisplay )
			{
			    case 'beforecomments':
			        $adsenseObj->beforecomments = $adsenseHTML;
			        break;
				case 'header':
					$adsenseObj->header = $adsenseHTML;
					break;
				case 'footer':
					$adsenseObj->footer = $adsenseHTML;
					break;
				case 'both':
				default :
					$adsenseObj->header = $adsenseHTML;
					$adsenseObj->footer = $adsenseHTML;
					break;
			}
		}//end if

		return $adsenseObj;
	}
}