<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.component.controller');

class EasyBlogControllerEntry extends JController
{
	var $err	= null;

	function display()
	{
        parent::display();
	}

	function _trim(&$text)
	{
		$text = JString::trim($text);
	}
	
	function setProtectedCredentials()
	{
		$id = JRequest::getVar('id', '');
		
		if(!empty($id))
		{
			$password = JRequest::getVar('blogpassword_'.$id, '');
			
			$jSession 	=& JFactory::getSession();
			$jSession->set('PROTECTEDBLOG_'.$id, $password, 'EASYBLOG');
		}
		
		$return = JRequest::getVar('return');
		
		$this->setRedirect(base64_decode($return));
	}

	/*
	 * @since 2.0.3300
	 * Responsible to update an existing comment
	 * 	 
	 * @param	null
	 * @return	null
	 */	 
	public function updateComment()
	{
		$mainframe	=& JFactory::getApplication();
		$my			=& JFactory::getUser();
	    $acl		= EasyBlogACLHelper::getRuleSet();
		$id			= JRequest::getInt( 'commentId' );
		$post		= JRequest::get( 'POST' );

		//add here so that other component with the same comment.php jtable file will not get reference.
		JTable::addIncludePath( EBLOG_TABLES );
		$comment	= JTable::getInstance( 'Comment', 'Table' );
		$comment->load( $id );
		$redirect	= EasyBlogRouter::_( 'index.php?option=com_easyblog&view=entry&id=' . $comment->post_id , false );

		if( $my->id != $comment->created_by && !EasyBlogHelper::isSiteAdmin() || $my->id == 0 )
		{
			EasyBlogHelper::setMessageQueue( JText::_('COM_EASYBLOG_NO_PERMISSION_TO_UPDATE_COMMENT') , 'error' );
			$mainframe->redirect( $redirect );
			$mainframe->close();
		}
		$comment->bindPost( $post );

		if( !$comment->validate( 'title' ) )
		{
			EasyBlogHelper::setMessageQueue( JText::_('COM_EASYBLOG_COMMENT_TITLE_IS_EMPTY') , 'error' );
			$mainframe->redirect( $redirect );
			$mainframe->close();	
		}

		if( !$comment->validate( 'comment' ) )
		{
			EasyBlogHelper::setMessageQueue( JText::_('COM_EASYBLOG_COMMENT_IS_EMPTY') , 'error' );
			$mainframe->redirect( $redirect );
			$mainframe->close();	
		}	
		
		$comment->modified	= JFactory::getDate()->toMySQL();
		
		if( !$comment->store() )
		{
			EasyBlogHelper::setMessageQueue( JText::_('COM_EASYBLOG_COMMENT_FAILED_TO_SAVE') , 'error' );
			$mainframe->redirect( $redirect );
			$mainframe->close();
		}
		
		EasyBlogHelper::setMessageQueue( JText::_('COM_EASYBLOG_COMMENT_UPDATED_SUCCESS') , 'success' );
		$mainframe->redirect( $redirect );
		$mainframe->close();
	}

	/*
	 * @since 2.0.3300
	 * Responsible to update an existing comment
	 * 	 
	 * @param	null
	 * @return	null
	 */	
	public function deleteComment()
	{
		$mainframe	=& JFactory::getApplication();
		$my			=& JFactory::getUser();
	    $acl		= EasyBlogACLHelper::getRuleSet();
		$id			= JRequest::getInt( 'commentId' );
		$post		= JRequest::get( 'POST' );

		//add here so that other component with the same comment.php jtable file will not get reference.
		JTable::addIncludePath( EBLOG_TABLES );
		$comment	= JTable::getInstance( 'Comment', 'Table' );
		$comment->load( $id );
		$redirect	= EasyBlogRouter::_( 'index.php?option=com_easyblog&view=entry&id=' . $comment->post_id , false );

		if( !EasyBlogHelper::isSiteAdmin() || $my->id == 0 )
		{
			EasyBlogHelper::setMessageQueue( JText::_('COM_EASYBLOG_NO_PERMISSION_TO_UPDATE_COMMENT') , 'error' );
			$mainframe->redirect( $redirect );
			$mainframe->close();
		}

		if( !$comment->delete() )
		{
			EasyBlogHelper::setMessageQueue( JText::_('COM_EASYBLOG_COMMENT_FAILED_TO_SAVE') , 'error' );
			$mainframe->redirect( $redirect );
			$mainframe->close();
		}
		
		EasyBlogHelper::setMessageQueue( JText::_('COM_EASYBLOG_COMMENT_DELETED_SUCCESS') , 'success' );
		$mainframe->redirect( $redirect );
		$mainframe->close();
	}

}