<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.filesystem.file' );
jimport( 'joomla.filesystem.folder' );

require_once( JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_media' . DS . 'helpers' . DS . 'media.php' );

class EasyBlogImageDataHelper
{
	public function getObject( $folder , $file )
	{
		$tmp				= new stdClass();
		$tmp->name			= $file;
		$tmp->path			= str_ireplace( DS , '/' , JPath::clean( $folder . DS . $file ) );
		$tmp->path_relative	= $file;
		$tmp->size			= filesize( $tmp->path );
		$extension			= JString::strtolower( JFile::getExt( $file ) );
		
		switch( $extension )
		{
			// Image
			case 'jpg':
			case 'png':
			case 'gif':
			case 'xcf':
			case 'odg':
			case 'bmp':
			case 'jpeg':
				$info			= @getimagesize($tmp->path);
				$tmp->width		= @$info[0];
				$tmp->height	= @$info[1];
				$tmp->type		= @$info[2];
				$tmp->mime		= @$info['mime'];
				$filesize		= MediaHelper::parseSize($tmp->size);

				if (($info[0] > 60) || ($info[1] > 60))
				{
					$dimensions = MediaHelper::imageResize($info[0], $info[1], 60);
					$tmp->width_60 = $dimensions[0];
					$tmp->height_60 = $dimensions[1];
				}
				else
				{
					$tmp->width_60 = $tmp->width;
					$tmp->height_60 = $tmp->height;
				}

				if (($info[0] > 16) || ($info[1] > 16))
				{
					$dimensions = MediaHelper::imageResize($info[0], $info[1], 16);
					$tmp->width_16 = $dimensions[0];
					$tmp->height_16 = $dimensions[1];
				}
				else
				{
					$tmp->width_16 = $tmp->width;
					$tmp->height_16 = $tmp->height;
				}
			break;
		}
		
		return $tmp;
	}
}