<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');

require_once( EBLOG_HELPERS . DS . 'helper.php' );

class EasyBlogPaginationHelper
{
	public function getLimit()
	{
		$menus	= &JSite::getMenu();
		$menu	= $menus->getActive();
		$limit  = -1;
		
		if( is_object( $menu ) )
		{
		    $params 	= new JParameter( $menu->params );
		    $limit      = $params->get( 'limit' , '-1' );
		    
		    if( $limit == '-1' )
		    {
		        // Use default configurations.
		        $config		= EasyBlogHelper::getConfig();
				$limit      = $config->get( 'layout_listlength' );
				
				// Revert to joomla's pagination if configured to inherit from Joomla
				if( $limit == '0' )
				{
				    $jConfig    = JFactory::getConfig();
					$limit		= $jConfig->getValue( 'list_limit' );
				}
			}
		}
		
		return $limit;
	}
}