<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
jimport( 'joomla.filter.filteroutput');
jimport( 'joomla.application.router');

require_once( JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'constants.php' );
require_once( EBLOG_HELPERS . DS . 'helper.php' );

//include table path to make sure it gets the right table.
JTable::addIncludePath( JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_easyblog' . DS . 'tables' );

class EasyBlogRouter extends JRouter
{
	function generatePermalink( $string )
	{
	    $config 	=& EasyBlogHelper::getConfig();
	    $permalink  = '';
	    
	    if( $config->get( 'main_sef_unicode' ) )
	    {
	        //unicode support.
	        $permalink  = EasyBlogRouter::permalinkUnicodeSlug($string);
	    }
	    else
	    {
	        // no unicode supported.
			$permalink	= JFilterOutput::stringURLSafe( $string );

			// check if anything return or not. If not, then we give a date as the alias.
			if(trim(str_replace('-','',$permalink)) == '')
			{
				$datenow	=& JFactory::getDate();
				$permalink 	= $datenow->toFormat("%Y-%m-%d-%H-%M-%S");
			}
	    }

		return $permalink;
	}
	
	function permalinkUnicodeSlug( $string )
	{
	    $str    = '';
	    if( EasyBlogHelper::getJoomlaVersion() >= '1.6')
	    {
	        $str	= JFilterOutput::stringURLUnicodeSlug($string);
	    }
	    else
	    {
			//replace double byte whitespaces by single byte (Far-East languages)
			$str = preg_replace('/\xE3\x80\x80/', ' ', $string);


			// remove any '-' from the string as they will be used as concatenator.
			// Would be great to let the spaces in but only Firefox is friendly with this

			$str = str_replace('-', ' ', $str);

			// replace forbidden characters by whitespaces
			$str = preg_replace( '#[:\#\*"@+=;!&\.%()\]\/\'\\\\|\[]#',"\x20", $str );

			//delete all '?'
			$str = str_replace('?', '', $str);

			//trim white spaces at beginning and end of alias, make lowercase
			$str = trim(JString::strtolower($str));

			// remove any duplicate whitespace and replace whitespaces by hyphens
			$str =preg_replace('#\x20+#','-', $str);
		}
		return $str;
	}

	function _($url, $xhtml = true, $ssl = null , $search = false )
	{
	    static $eUri = array();
	    $mainframe 	 =& JFactory::getApplication();

	    $blogger		= JRequest::getVar( 'blogger' , '' );
	    
	    if( !empty($blogger) )
	    {
	    	$url	.= '&blogger=' . $blogger;
		}

	    //$jURL	= JRoute::_($url, false);
	    $jURL   = $url;
	    
	    // convert the string to variable so that we can access it.
	    parse_str($jURL, $post);

		$view   = isset( $post['view'] ) ? $post['view'] : 'latest';
		$Itemid = isset( $post['Itemid'] ) ? $post['Itemid'] : '';


		$exItemid   = '';
		$findItemId = false;
		switch( $view )
		{
			case 'entry':
				$blogId = $post['id'];
				$teamId = isset( $post['team'] ) ? $post['team'] : '';
				
				if( empty($teamId) )
				{
				    //try to get it from session.
// 					$team = JRequest::getVar('team','');
//
// 					if( !empty($team))
// 					{
// 					    $teamId = $team;
// 					}

// 					if(empty($team))
// 					{
// 					    //try get from session.
// 					    $team	= EasyBlogHelper::getSession('EASYBLOG_TEAMBLOG_ID');
//
// 					    if(! empty($team))
// 					    {
// 					        $teamId = $team;
// 					        EasyBlogHelper::storeSession($team, 'EASYBLOG_TEAMBLOG_ID');
// 					    }
// 					}
// 					else
// 					{
// 					    $teamId = $team;
// 						EasyBlogHelper::storeSession($team, 'EASYBLOG_TEAMBLOG_ID');
// 					}
				}
				
				if( !empty( $teamId ) )
				{
				    $exItemid 	= EasyBlogRouter::getItemIdByTeamBlog( $teamId );
				}
				else
				{
		            $blog	=& JTable::getInstance( 'Blog', 'Table' );
					$blog->load( $blogId );

					$author 	= $blog->created_by;
					if( !empty( $author ) )
					{
						$exItemid 	= EasyBlogRouter::getItemIdByBlogger( $author );
					}
				}
				
				if( !empty( $exItemid ) )
				{
				    $view       = 'latest';
				    $findItemId = true;
				}
				break;
			case 'blogger':
			    if( isset( $post['layout'] ) && isset( $post['id'] ) )
			    {
			        $exItemid = EasyBlogRouter::getItemIdByBlogger( $post['id'] );
			    }
			    
				if( !empty( $exItemid ) )
				{
				    $view       = 'latest';
				    $findItemId = true;
				}
			    break;
			case 'categories':
			    if( isset( $post['layout'] ) && isset( $post['id'] ) )
			    {
			        $exItemid = EasyBlogRouter::getItemIdByCategories( $post['id'] );
			    }
			    
				if( !empty( $exItemid ) )
				{
				    $view       = 'latest';
				    $findItemId = true;
				}
				    
			    break;
			case 'teamblog':
			    if( isset( $post['layout'] ) && isset( $post['id'] ) )
			    {
			        $exItemid = EasyBlogRouter::getItemIdByTeamBlog( $post['id'] );
			    }
			    
				if( !empty( $exItemid ) )
				{
				    $view       = 'latest';
				    $findItemId = true;
				}
			    break;
			case 'tags':
				if( isset( $post['layout'] ) )
				{
				    //now check the active menu whether a blogger isolation mode or not.
                    $bloggerId	= EasyBlogRouter::isBloggerMode();
                    
                    if( $bloggerId !== false )
                    {
                        $exItemid = EasyBlogRouter::getItemIdByBlogger( $bloggerId );
                    }
                    else
                    {
						$view       = 'latest';
						$findItemId = true;
					}
				}
			    break;
			case 'dashboard':
				$findItemId = true;
			    break;
			default:
			    break;
			
		}
		
		
		if( !empty($exItemid) )
		{
			//check if there is any anchor in the link or not.
			$pos = JString::strpos($url, '#');
			if ($pos === false)
			{
				$url .= '&Itemid='.$exItemid;
			}
			else
			{
				$url = JString::str_ireplace('#', '&Itemid='.$exItemid.'#', $url);
			}

		    return JRoute::_($url, $xhtml, $ssl);
		}
		
		//fall back to previous style if getting the Itemid

	    if(empty($Itemid) || $findItemId)
	    {
	        $tmpId  = '';
	        $useDefaultWay  = false;
	        
			if ( $mainframe->isAdmin())
			{
			    //from backend.
                $useDefaultWay  = true;
			}
			else
			{
			    //from frontend.
		        //lets try to get from the default itemId.
			    $menu =& JSite::getMenu();
			    $item =& $menu->getActive();

			    if( !$findItemId && isset($item->id) && ($item->component == 'com_easyblog' ) && !$search )
			    {
					$tmpId  = $item->id;
			    }
			    else
			    {
			        $useDefaultWay  = true;
			    }
			}
			
			if($useDefaultWay)
			{
			    if(empty($eUri[$view]))
			    {
	                $tmpId			= EasyBlogRouter::getItemId($view);
	                $eUri[$view]	= $tmpId;
			    }
			    else
				{
				    $tmpId = $eUri[$view];
				}
			}
			
			//check if there is any anchor in the link or not.
			$pos = JString::strpos($url, '#');
			if ($pos === false)
			{
				$url .= '&Itemid='.$tmpId;
			}
			else
			{
				$url = JString::str_ireplace('#', '&Itemid='.$tmpId.'#', $url);
			}
			
			return JRoute::_($url, $xhtml, $ssl);
			
		}
		else
		{
		    //Itemid exists. Just use it.
		    return JRoute::_($url, $xhtml, $ssl);
		}
	}
	
	function isSefEnabled()
	{
	    $jConfig	= JFactory::getConfig();
	    $isSef      = false;
	    
	    //check if sh404sef enabled or not.
	    if(JFile::exists(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_sh404sef'.DS.'sh404sef.class.php'))
		{
            require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_sh404sef'.DS.'sh404sef.class.php');
            if( class_exists( 'shRouter' ) )
            {
	            $sefConfig =& shRouter::shGetConfig();

	            if ($sefConfig->Enabled)
	                $isSef  = true;
            }
		}
		
		// if sh404sef not enabled, we check on joomla
		if(! $isSef)
		{
		    $isSef = $jConfig->getValue( 'sef' );
		}
		
		return $isSef;
	}

	function getTagPermalink( $id )
	{
	    $config 	=& EasyBlogHelper::getConfig();
	
		JTable::addIncludePath( EBLOG_TABLES );
		$table	=& JTable::getInstance( 'Tag' , 'Table' );
		$table->load( $id );
		
		if( $config->get( 'main_sef_unicode' ) )
		{
			return $table->id . '-' . $table->alias;
		}
		else
		{
			return $table->alias;
		}
		
	}
	
	function getTeamBlogPermalink( $id )
	{
	    $config 	=& EasyBlogHelper::getConfig();
	    
		JTable::addIncludePath( EBLOG_TABLES );
		$team	=& JTable::getInstance( 'TeamBlog' , 'Table' );
		$team->load( $id );
		
		if( $config->get( 'main_sef_unicode' ) )
		{
			return $team->id . '-' . $team->alias;
		}
		else
		{
			return $team->alias;
		}
	}
	
	function getBloggerPermalink( $id )
	{
		$config =& EasyBlogHelper::getConfig();
		
		JTable::addIncludePath( EBLOG_TABLES );
	    
	    $user		=& JFactory::getUser($id);
	    $profile	=& JTable::getInstance( 'Profile' , 'Table' );
	    $profile->load($id);
	    $profile->setUser($user);
	    
	    $bloggerPermalink        = $profile->permalink;
	    if( empty( $bloggerPermalink ) )
	    {
	    
	        $bloggerPermalink    = EasyBlogRouter::generatePermalink( $user->username );
	        
            $db     =& JFactory::getDBO();
			$query	= 'UPDATE `#__easyblog_users` SET `permalink` =' . $db->Quote( $bloggerPermalink ) . ' '
					. 'WHERE ' . $db->nameQuote( 'id' ) . '=' . $db->Quote( $profile->id );
			$db->setQuery( $query );
			$db->query();
		}
	    
		if( $config->get( 'main_sef_unicode' ) )
		{
			return $profile->id . '-' . $bloggerPermalink;
		}
		else
		{
			return $bloggerPermalink;
		}

	}
	
	function getCategoryPermalink( $id )
	{
		$config =& EasyBlogHelper::getConfig();
		
		JTable::addIncludePath( EBLOG_TABLES );
		$table	=& JTable::getInstance( 'ECategory' , 'Table' );
		$table->load( $id );
		
		if( $config->get( 'main_sef_unicode' ) )
		{
			return $table->id . '-' . $table->alias;
		}
		else
		{
			return $table->alias;
		}

	}
	
	function getBlogSefPermalink( $id , $external = false )
	{
	    $config =& EasyBlogHelper::getConfig();
	    
		static $permalinks	= null;
		
		if( !isset( $permalinks[ $id ] ) )
		{
			JTable::addIncludePath( EBLOG_TABLES );
			$db		=& JFactory::getDBO();
			$query	= 'SELECT * FROM #__easyblog_post WHERE id=' . $db->Quote( $id );
			$db->setQuery( $query );
			$data	= $db->loadObject();
			$config =& EasyBlogHelper::getConfig();
			
			// Empty permalinks needs to be regenerated.
			if( empty($data->permalink) )
			{
				$data->permalink	= EasyBlogHelper::getPermalink( $data->title );
				
				$query	= 'UPDATE #__easyblog_post SET permalink=' . $db->Quote( $data->permalink ) . ' '
						. 'WHERE ' . $db->nameQuote( 'id' ) . '=' . $db->Quote( $id );
				$db->setQuery( $query );
				$db->Query();
			}
			
			if( $config->get( 'main_sef_unicode' ) )
			{
			    $data->permalink    = $data->id . '-' . $data->permalink;
			}
		
			switch( $config->get( 'main_sef' ) )
			{		
				// Date based SEF mode
				case 'date':
					$date				= JFactory::getDate( $data->created );
					$data->permalink	= $date->toFormat('%Y') . '/' . $date->toFormat( '%m' ) . '/' . $date->toFormat('%d') . '/' . $data->permalink;
				break;
				
				case 'datecategory':
					$date				= JFactory::getDate( $data->created );
					$catPermalink   	= EasyBlogRouter::getCategoryPermalink( $data->category_id );
					
					$data->permalink	= $catPermalink . '/' . $date->toFormat('%Y') . '/' . $date->toFormat( '%m' ) . '/' . $date->toFormat('%d') . '/' . $data->permalink;
				break;
				
				case 'category':
					$catPermalink   	= EasyBlogRouter::getCategoryPermalink( $data->category_id );
					$data->permalink	= $catPermalink . '/' . $data->permalink;
				break;
		
				// Default SEF mode leave it unchanged
				default:
				break;
			}
	
			if( $external )
			{
				$uri		=& JURI::getInstance();
				return $uri->toString( array('scheme', 'host', 'port')) . '/' . $data->permalink;
			}
			
			$permalinks[ $id ] = $data->permalink;
		}
		return $permalinks[ $id ];
	}
	
	function getRoutedURL( $url , $xhtml = false , $external = false )
	{
		if( !$external )
		{
			return EasyBlogRouter::_( $url , $xhtml );
		}
		
		$mainframe 	=& JFactory::getApplication();
		$uri		=& JURI::getInstance();
		
		$isDashboard    = false;
		if ( !$mainframe->isAdmin() )
		{
		    $menu =& JSite::getMenu();
		    $item =& $menu->getActive();

		    if( isset($item->link) )
		    {
		        $pos = strpos($item->link, 'view=dashboard');
				if( $pos !== false)
				{
				    $isDashboard    = true;
				}
		    }
	    }
		
		//To fix 1.6 Jroute issue as it will include the administrator into the url path.
		$url = str_replace('/administrator/', '/', EasyBlogRouter::_( $url  , $xhtml, null, $isDashboard ));
		
		if( $mainframe->isAdmin() )
		{
		    if( EasyBlogHelper::getJoomlaVersion() >= '1.6')
		    {
		        JFactory::$application = JApplication::getInstance('site');
		    }
		
		    jimport( 'joomla.application.router' );
			require_once (JPATH_ROOT . DS . 'includes' . DS . 'router.php');
			require_once (JPATH_ROOT . DS . 'includes' . DS . 'application.php');

			$router = new JRouterSite(array('mode'=>JROUTER_MODE_SEF));
			$urls	= $router->build($url)->toString(array('path', 'query', 'fragment'));
			$urls	= JURI::root().str_replace('/administrator/', '', $urls);

		    if( EasyBlogHelper::getJoomlaVersion() >= '1.6')
		    {
				JFactory::$application = JApplication::getInstance('administrator');
			}

			return $urls;
		}
		else
		{
			return $uri->toString( array('scheme', 'host', 'port')) . '/' . ltrim( $url , '/' );
		}
	}
	
	function _isBlogPermalinkExists( $permalink )
	{
		$db		=& JFactory::getDBO();
		
		$query	= 'SELECT COUNT(1) FROM ' . $db->nameQuote( '#__easyblog_post' ) . ' '
				. 'WHERE ' . $db->nameQuote( 'permalink' ) . '=' . $db->Quote( $permalink );
		
		$db->setQuery( $query );
		
		return $db->loadResult() > 0 ? true : false; 
	}
	
	function getEntryRoute( $id )
	{
		$url	= 'index.php?option=com_easyblog&view=entry&id=' . $id;
		$url	.= '&Itemid=' . EasyBlogRouter::getItemId('entry');

		return $url;
	}
	
// 	function getCurrentItemid()
// 	{
//         //lets try to get from the default itemId.
// 	    $menu =& JSite::getMenu();
// 	    $item =& $menu->getActive();
// 	    $tmpId  = null;
//
// 	    if(isset($item->id))
// 	    {
// 	        $tmpId  = $item->id;
// 	    }
// 	    else
// 	    {
// 	        //now try to get it from system _menu
// 	    }
// 	}

	function getItemIdByTeamBlog( $teamId )
	{
	    static $teamblogItems	= null;

	    if( !isset( $teamblogItems[ $teamId ] ) )
	    {
		    $db	=& JFactory::getDBO();

			$query	= 'SELECT ' . $db->nameQuote('id') . ' FROM ' . $db->nameQuote( '#__menu' ) . ' '
					. 'WHERE ' . $db->nameQuote( 'link' ) . '=' . $db->Quote( 'index.php?option=com_easyblog&view=teamblog&layout=listings&id='.$teamId ) . ' '
					. 'AND ' . $db->nameQuote( 'published' ) . '=' . $db->Quote( '1' ) . ' LIMIT 1';

			$db->setQuery( $query );
			$itemid = $db->loadResult();

			$teamblogItems[ $teamId ]    = $itemid;

			return $itemid;
		}
		else
		{
			return $teamblogItems[ $teamId ];
		}
	}

	function getItemIdByCategories( $categoryId )
	{
	    static $categoryItems	= null;

	    if( !isset( $categoryItems[ $categoryId ] ) )
	    {
		    $db	=& JFactory::getDBO();

			$query	= 'SELECT ' . $db->nameQuote('id') . ' FROM ' . $db->nameQuote( '#__menu' ) . ' '
					. 'WHERE ' . $db->nameQuote( 'link' ) . '=' . $db->Quote( 'index.php?option=com_easyblog&view=categories&layout=listings&id='.$categoryId ) . ' '
					. 'AND ' . $db->nameQuote( 'published' ) . '=' . $db->Quote( '1' ) . ' LIMIT 1';

			$db->setQuery( $query );
			$itemid = $db->loadResult();

			$categoryItems[ $categoryId ]    = $itemid;

			return $itemid;
		}
		else
		{
			return $categoryItems[ $categoryId ];
		}
	}

	function getItemIdByBlogger( $bloggerId )
	{
	    static $bloggerItems	= null;

	    if( !isset( $bloggerItems[ $bloggerId ] ) )
	    {
		    $db	=& JFactory::getDBO();

			$query	= 'SELECT ' . $db->nameQuote('id') . ' FROM ' . $db->nameQuote( '#__menu' ) . ' '
					. 'WHERE ' . $db->nameQuote( 'link' ) . '=' . $db->Quote( 'index.php?option=com_easyblog&view=blogger&layout=listings&id='.$bloggerId ) . ' '
					. 'AND ' . $db->nameQuote( 'published' ) . '=' . $db->Quote( '1' ) . ' LIMIT 1';

			$db->setQuery( $query );
			$itemid = $db->loadResult();

			$bloggerItems[ $bloggerId ]    = $itemid;

			return $itemid;
		}
		else
		{
			return $bloggerItems[ $bloggerId ];
		}
	}
	
	function getItemId( $view='' )
	{
		static $items	= null;
		
		if( !isset( $items[ $view ] ) )
		{
			$db	=& JFactory::getDBO();
	
			switch($view)
			{
				case 'archive':
					$view='archive';
					break;
				case 'blogger':
					$view='blogger';
					break;
				case 'calendar':
					$view='calendar';
					break;
				case 'categories':
					$view='categories';
					break;
				case 'dashboard':
					$view='dashboard';
					break;
				case 'myblog':
					$view='myblog';
					break;
				case 'profile';
					$view='dashboard&layout=profile';
					break;
				case 'subscription':
					$view='subscription';
					break;
				case 'tags':
					$view='tags';
					break;
				case 'teamblog':
					$view='teamblog';
					break;
				case 'search':
					$view='search';
					break;
				case 'latest':
				default:
					$view='latest';
					break;
			}
			
			$query	= 'SELECT ' . $db->nameQuote('id') . ' FROM ' . $db->nameQuote( '#__menu' ) . ' '
					. 'WHERE ' . $db->nameQuote( 'link' ) . '=' . $db->Quote( 'index.php?option=com_easyblog&view='.$view ) . ' '
					. 'AND ' . $db->nameQuote( 'published' ) . '=' . $db->Quote( '1' ) . ' LIMIT 1';
			$db->setQuery( $query );
			$itemid = $db->loadResult();
			
			if(empty($itemid))
			{
				$query	= 'SELECT ' . $db->nameQuote('id') . ' FROM ' . $db->nameQuote( '#__menu' ) . ' '
						. 'WHERE ' . $db->nameQuote( 'link' ) . '=' . $db->Quote( 'index.php?option=com_easyblog&view=latest' ) . ' '
						. 'AND ' . $db->nameQuote( 'published' ) . '=' . $db->Quote( '1' ) . ' LIMIT 1';
				$db->setQuery( $query );
				$itemid = $db->loadResult();
			}
			
			//last try. get anything view that from easyblog.
			if(empty($itemid))
			{
				$query	= 'SELECT ' . $db->nameQuote('id') . ' FROM ' . $db->nameQuote( '#__menu' ) . ' '
						. 'WHERE ' . $db->nameQuote( 'link' ) . ' LIKE ' . $db->Quote( 'index.php?option=com_easyblog&view=%' ) . ' '
						. 'AND ' . $db->nameQuote( 'published' ) . '=' . $db->Quote( '1' ) . ' ORDER BY `id` LIMIT 1';
				$db->setQuery( $query );
				$itemid = $db->loadResult();
			}
			
			$items[ $view ]	= !empty($itemid)? $itemid : 1;
		}
		return $items[ $view ];
	}
	
	function _encodeSegments($segments) 
	{
        return parent::_encodeSegments($segments);
    }
    
    function _getBloggerId($itemId)
	{
	    $db     =& JFactory::getDBO();
	    
	    $query  = 'select `link` from `#__menu` where `id` = ' . $db->Quote($itemId);
		$db->setQuery($query);
		
		$link   = $db->loadResult();
		parse_str($link);
		
		return $id;
	}
    
    function isBloggerMode()
    {
		static $itemIds	= null;
		
		$itemId = JRequest::getInt('Itemid', 0);
		
		$blogger	= JRequest::getVar( 'blogger' , '' );
		
		if( !empty( $blogger ) )
		{
			return $blogger;
		}
		
		if(empty($itemId))
		{
			return false;
		}
		
		if( !isset( $itemIds[ $itemId ] ) )
		{
		    $isBloggerMode  = false;
		    $menu 			= JSite::getMenu();
    		$menuparams 	= $menu->getParams( $itemId );
    		
    		if($menuparams->get('standalone_blog', false))
    		{
    		    $isBloggerMode  = EasyBlogRouter::_getBloggerId($itemId);
    		}
    		
    		$itemIds[$itemId]   = $isBloggerMode;
		}
		
		return $itemIds[$itemId];
    }
}