<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
 
defined('_JEXEC') or die('Restricted access');

require_once( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'constants.php' );
require_once( EBLOG_HELPERS . DS . 'helper.php' );
require_once( EBLOG_HELPERS . DS . 'router.php' );
JTable::addIncludePath( EBLOG_TABLES );

function EasyBlogBuildRoute(&$query)
{
	$segments	= array();
	$config		= EasyBlogHelper::getConfig();

	if(isset($query['view']) && $query['view'] == 'entry' && isset($query['id']) )
	{
		if( $config->get( 'main_sef' ) != 'simple' )
		{
			$segments[] = $query['view'];
		}
		$segments[]	= EasyBlogRouter::getBlogSefPermalink( $query['id'] );

		unset($query['id']);
		unset($query['view']);
	}

	if(isset($query['view']) && $query['view'] == 'categories' && isset($query['id']))
	{
		$segments[] = $query['view'];
		
		if(isset($query['layout']))
			$segments[]	= $query['layout'];
			
		$segments[]	= EasyBlogRouter::getCategoryPermalink( $query['id'] );

		unset($query['id']);
		unset($query['view']);
		unset($query['layout']);
	}

	if(isset($query['view']) && $query['view'] == 'tags' && isset($query['id']) && isset($query['layout']) )
	{
		$segments[] = $query['view'];
		$segments[]	= $query['layout'];
		$segments[]	= EasyBlogRouter::getTagPermalink( $query['id'] );

		unset($query['id']);
		unset($query['view']);
		unset($query['layout']);
	}

	if(isset($query['view']) && $query['view'] == 'teamblog' && isset($query['id'])  )
	{
		$segments[] = $query['view'];

		if( isset( $query['layout'] ) )
		{
		
			if($query['layout'] == "statistic")
			{
				$segments[]	= EasyBlogRouter::getTeamBlogPermalink( $query['id'] );
				$segments[]	= $query['layout'];
				$segments[]	= $query['stat'];
				
				if($query['stat'] == 'category')
				{
					$segments[]	= EasyBlogRouter::getCategoryPermalink( $query['catid'] );
					unset($query['catid']);
				}
				
				if($query['stat'] == 'tag')
				{
					$segments[]	= EasyBlogRouter::getTagPermalink( $query['tagid'] );
					unset($query['tagid']);
				}
			}
			else
			{
				$segments[]	= $query['layout'];
				$segments[]	= EasyBlogRouter::getTeamBlogPermalink( $query['id'] );
			}
		}
		else
		{
			$segments[]	= EasyBlogRouter::getTeamBlogPermalink( $query['id'] );
		}

		unset($query['id']);
		unset($query['stat']);
		unset($query['layout']);
		unset($query['view']);
	}
		
	if(isset($query['view']) && $query['view'] == 'blogger' && isset($query['id']))
	{
		$segments[] = $query['view'];
		if(isset($query['layout']))
		{
			if($query['layout'] == "statistic")
			{
				$segments[]	= EasyBlogRouter::getBloggerPermalink( $query['id'] );
				$segments[]	= $query['layout'];
				$segments[]	= $query['stat'];
				
				if($query['stat'] == 'category')
				{
					$segments[]	= EasyBlogRouter::getCategoryPermalink( $query['catid'] );
					unset($query['catid']);
				}
				
				if($query['stat'] == 'tag')
				{
					$segments[]	= EasyBlogRouter::getTagPermalink( $query['tagid'] );
					unset($query['tagid']);
				}
			}
			else
			{
				$segments[]	= $query['layout'];
				$segments[]	= EasyBlogRouter::getBloggerPermalink( $query['id'] );
			}
		}
		else
		{
			$segments[]	= EasyBlogRouter::getBloggerPermalink( $query['id'] );
		}
		
		unset($query['id']);
		unset($query['stat']);
		unset($query['view']);
		unset($query['layout']);
	}

	if(isset($query['view']) && $query['view'] == 'dashboard' && isset($query['layout']) )
	{
		$segments[] = $query['view'];
		$segments[]	= $query['layout'];
		
		if( isset($query['filter']) )
		{
			$segments[]	= $query['filter'];
			unset( $query['filter'] );
		}
		unset($query['view']);
		unset($query['layout']);
	}
	
	/**
	 * Route for archive links
	 **/
	if(isset($query['view']) && $query['view'] == 'archive' )
	{
		$segments[]		= $query[ 'view' ];
		unset( $query[ 'view' ] );
		
		if( isset( $query['archiveyear'] ) )
		{
			$segments[]	= $query[ 'archiveyear' ];
			unset( $query[ 'archiveyear' ] );
		}
	
		if( isset( $query['archivemonth'] ) )
		{
			$segments[]	= $query[ 'archivemonth' ];
			unset( $query[ 'archivemonth' ] );
		}
		
		if( isset( $query['archiveday'] ) )
		{
			$segments[]	= $query[ 'archiveday' ];
			unset( $query[ 'archiveday' ] );
		}
	}
	
	if(isset($query['view']) && $query['view'] == 'search' )
	{
		$segments[]		= $query[ 'view' ];
		unset( $query[ 'view' ] );
		
		if( isset( $query['layout'] ) )
		{
			$segments[]	= $query[ 'layout' ];
			unset( $query[ 'layout' ] );
		}
		
		if( isset( $query['query'] ) )
		{
			$segments[]	= $query[ 'query' ];
			unset( $query[ 'query' ] );
		}
	}
	
	if( isset( $query['view'] ) )
	{
		$segments[] = $query['view'];
		unset( $query['view'] );	
	}
	
	if( isset($query['type'] ) )
	{
		if(!isset($query['format']) && !isset($query['controller']))
		{
			$segments[]	= $query['type'];
			unset( $query['type'] );
		}
	}
	
	if( !isset($query['Itemid'] ) )
	{
		$query['Itemid']	= EasyBlogRouter::getItemId();
	}
	return $segments;
}

function EasyBlogParseRoute( $segments )
{
	$vars	= array();
	$menu	=& JSite::getMenu();
	$item	=& $menu->getActive();
	$config	=& EasyBlogHelper::getConfig();

	//feed view
	if(isset($segments[1]))
	{
		if( $segments[1] == 'rss' || $segments[1] == 'atom' )
		{
			$vars['view']	= $segments[0];
			unset( $segments );
			return $vars;
		}
	}
	
	// If user chooses to use the simple sef setup, we need to add the proper view
	if( $config->get( 'main_sef' ) == 'simple' && count( $segments ) == 1 )
	{
		$views	= JFolder::folders( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'views' );
		
		if( !in_array( $segments[0] , $views ) )
		{
			array_unshift( $segments , 'entry' );
		}
	}

	if( isset($segments[0]) && $segments[0] == 'entry' )
	{
		$count	= count($segments);
		
		$entryId    = '';
		if( $config->get( 'main_sef_unicode' ) )
		{
		    // perform manual split on the string.
		    $permalinkSegment   = $segments[ ( $count - 1 ) ];
		    $permalinkArr    	= explode( ':', $permalinkSegment);
		    $entryId            = $permalinkArr[0];
		}
		else
		{
			$table			=& JTable::getInstance( 'Blog' , 'Table' );
			$table->load( $segments[ ( $count - 1 ) ] , true );
			$entryId        = $table->id;
		}
		
		if( $entryId )
		{
			$vars[ 'view' ]	= $segments[0];
			$vars[ 'id' ]	= $entryId;
		}
	}

	if( isset( $segments[ 0 ] ) && $segments[ 0 ] == 'archive' )
	{
		$vars[ 'view' ]	= $segments[ 0 ];
		
		// First segment is always the year
		if( isset( $segments[ 1 ] ) )
		{
			$vars[ 'archiveyear' ]	= $segments[ 1 ];
		}
		
		// Second segment is always the month
		if( isset( $segments[ 2 ] ) )
		{
			$vars[ 'archivemonth' ]	= $segments[ 2 ];
		}
		
		// Third segment is always the day
		if( isset( $segments[ 3 ] ) )
		{
			$vars[ 'archiveday' ]	= $segments[ 3 ];
		}
	}
	
	if( isset($segments[0]) && $segments[0] == 'categories' )
	{
		$count	= count($segments);
		if( $count > 1 )
		{
		    $categoryId = '';
			if( $config->get( 'main_sef_unicode' ) )
			{
			    // perform manual split on the string.
			    $permalinkSegment   = $segments[ ( $count - 1 ) ];
			    $permalinkArr    	= explode( ':', $permalinkSegment);
			    $categoryId         = $permalinkArr[0];
			}

		    $segments   	= EasyBlogRouter::_encodeSegments($segments);

		    if( empty( $categoryId ) )
		    {
				$table			=& JTable::getInstance( 'ECategory' , 'Table' );
				$table->load( $segments[ ( $count - 1 ) ] , true );
				$categoryId = $table->id;
			}

			$vars[ 'id' ]	= $categoryId;

			if($count > 2)
				$vars['layout']	= $segments[1];
		}
		$vars[ 'view' ]	= $segments[0];
	}
	
	if( isset($segments[0]) && $segments[0] == 'tags' )
	{
		$count	= count($segments);
		if( $count > 1 )
		{
		
		    $tagId = '';
			if( $config->get( 'main_sef_unicode' ) )
			{
			    // perform manual split on the string.
			    $permalinkSegment   = $segments[ ( $count - 1 ) ];
			    $permalinkArr    	= explode( ':', $permalinkSegment);
			    $tagId         = $permalinkArr[0];
			}
		
		    $segments   	= EasyBlogRouter::_encodeSegments($segments);
			if( empty( $tagId ) )
			{
				$table	=& JTable::getInstance( 'Tag' , 'Table' );
				$table->load( $segments[ ( $count - 1 ) ] , true);
				$tagId  = $table->id;
			}
			
			$vars[ 'id' ]	= $tagId;
			$vars['layout']	= $segments[1];
		}
		$vars[ 'view' ]	= $segments[0];
	}

	if( isset($segments[0]) && $segments[0] == 'blogger' )
	{
		$count	= count($segments);
		
		if( $count > 1 )
		{
			$user			= 0;
			$rawSegments	= $segments;
			$segments		= EasyBlogRouter::_encodeSegments($segments);
			
			if( $config->get( 'main_sef_unicode' ) )
			{
			    // perform manual split on the string.
			    if( isset($segments[2]) && $segments[2] == 'statistic' )
			    {
					$permalinkSegment   = $rawSegments[1];
				}
				else
				{
			    	$permalinkSegment   = $rawSegments[ ( $count - 1 ) ];
			    }
			    
				$permalinkArr    	= explode( ':', $permalinkSegment);
			    $bloggerId         	= $permalinkArr[0];
			}
			else
			{
				if( isset($segments[2]) && $segments[2] == 'statistic' )
			    {
					$permalink   = $segments[1];
				}
				else
				{
					$permalink	= $segments[$count - 1];
				}

				if( $id	= EasyBlogHelper::getUserId( $permalink ) )
				{
					$user			= JFactory::getUser( $id );
				}

				if( !$user )
				{
					// For usernames with spaces, we might need to replace with dashes since SEF will rewrite it.
					$id			= EasyBlogHelper::getUserId( JString::str_ireplace( '-' , ' ' , $permalink ) );
					$user		= JFactory::getUser( $id );
				}
				$bloggerId  = $user->id;
			}

			$vars['id']		= $bloggerId;

			if($count > 2)
			{
				if($segments[2] == 'statistic')
				{
					$vars['layout']	= $segments[2];
					
					if($count == 5)
					{
						if(isset($segments[3]))
						{
							$vars['stat'] = $segments[3];
							
							switch($segments[3])
							{
								case 'category':	
									if( $config->get( 'main_sef_unicode' ) )
									{
									    // perform manual split on the string.
									    $permalinkSegment   = $rawSegments[4];
									    $permalinkArr    	= explode( ':', $permalinkSegment);
									    $categoryId         = $permalinkArr[0];
									}
									else
								    {
										$table =& JTable::getInstance( 'ECategory' , 'Table' );
										$table->load( $segments[4] , true );
										$categoryId = $table->id;
									}
									$vars['catid'] = $categoryId;
									break;
								case 'tag':
									if( $config->get( 'main_sef_unicode' ) )
									{
									    // perform manual split on the string.
									    $permalinkSegment   = $segments[4];
									    $permalinkArr    	= explode( ':', $permalinkSegment);
									    $tagId         		= $permalinkArr[0];
									}
									else
								    {
										$table	=& JTable::getInstance( 'Tag' , 'Table' );
										$table->load( $segments[4] , true);
										$tagId  = $table->id;
									}
									$vars['tagid'] = $tagId;
									break;
								default:
									// do nothing.
							}
						}
					}
				}
				else
				{
					$vars['layout']	= $segments[1];
				}
			}
		}
		$vars[ 'view' ]	= $segments[0];
	}

	if( isset($segments[0]) && $segments[0] == 'dashboard' )
	{
		$count	= count($segments);

		if( $count > 1 )
		{
			$vars['layout']	= $segments[1];
			
			if( isset($segments[2]) )
			{
				$vars['filter']	= $segments[2];
			}
		}
		$vars[ 'view' ]	= $segments[0];
	}
	
	if( isset($segments[0]) && $segments[0] == 'teamblog' )
	{
		$count	= count($segments);

		if( $count > 1 )
		{
			$rawSegments	= $segments;
		    $segments   	= EasyBlogRouter::_encodeSegments($segments);
			
			
			if( $config->get( 'main_sef_unicode' ) )
			{
			    // perform manual split on the string.
			    
			    if( isset($segments[2]) && $segments[2] == 'statistic' )
			    {
					$permalinkSegment   = $rawSegments[1];
				}
				else
				{
					$permalinkSegment   = $rawSegments[ ( $count - 1 ) ];
				}
			    
			    $permalinkArr    	= explode( ':', $permalinkSegment);
			    $teamId         	= $permalinkArr[0];
			}
			else
			{
				if( isset($segments[2]) && $segments[2] == 'statistic' )
			    {
					$permalink = $segments[1];
				}
				else
				{
					$permalink = $segments[ ( $count - 1 ) ];
				}
			
				$table	=& JTable::getInstance( 'TeamBlog'  , 'Table' );
				$loaded = $table->load( $permalink , true);

				if( !$loaded )
				{
					$name = $segments[ ($count - 1 ) ];
					$name = JString::str_ireplace( ':' , ' ' , $name );
					$name = JString::str_ireplace( '-', ' ' , $name );
					$table->load( $name , true );
				}
				
				$teamId = $table->id;
			}
			
			$vars['id']		= $teamId;
			
			if(isset($segments[2]) && $segments[2] == 'statistic')
			{
				$vars['layout']	= $segments[2];
				
				if($count == 5)
				{
					if(isset($segments[3]))
					{
						$vars['stat'] = $segments[3];
						
						switch($segments[3])
						{
							case 'category':	
								if( $config->get( 'main_sef_unicode' ) )
								{
								    // perform manual split on the string.
								    $permalinkSegment   = $rawSegments[4];
								    $permalinkArr    	= explode( ':', $permalinkSegment);
								    $categoryId         = $permalinkArr[0];
								}
								else
							    {
									$table =& JTable::getInstance( 'ECategory' , 'Table' );
									$table->load( $segments[4] , true );
									$categoryId = $table->id;
								}
								$vars['catid'] = $categoryId;
								break;
							case 'tag':
								if( $config->get( 'main_sef_unicode' ) )
								{
								    // perform manual split on the string.
								    $permalinkSegment   = $segments[4];
								    $permalinkArr    	= explode( ':', $permalinkSegment);
								    $tagId         		= $permalinkArr[0];
								}
								else
							    {
									$table	=& JTable::getInstance( 'Tag' , 'Table' );
									$table->load( $segments[4] , true);
									$tagId  = $table->id;
								}
								$vars['tagid'] = $tagId;
								break;
							default:
								// do nothing.
						}
					}
				}
			}
			else
			{
				$vars['layout']	= $segments[1];
			}
			
		}
		$vars[ 'view' ]	= $segments[0];
	}
	
	if( isset($segments[0]) && $segments[0] == 'search' )
	{
		$count	= count($segments);
		if( $count == 2 )
		{
			if($segments[1] == "parsequery")
			{
				$vars[ 'layout' ] = $segments[1];
			}
			else
			{
				$vars[ 'query' ] = $segments[1];
			}
			
		}
		$vars['view']	= $segments[0];
	}
	
	$count	= count($segments);
	if( $count == 1 )
	{
		$vars['view']	= $segments[0];
	}
	
	unset( $segments );
	return $vars;
}