<?php
/**
 * sh404SEF support for com_easyblog
 * Author : StackIdeas Private Limited
 * contact : support@stackideas.com
 */
defined( '_JEXEC' ) or die( 'Direct Access to this location is not allowed.' );

require_once( JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'helper.php' );

global $sh_LANG;
$config			= EasyBlogHelper::getConfig();
$sefConfig		= & shRouter::shGetConfig();  
$shLangName		= '';
$shLangIso 		= '';
$title 			= array();
$shItemidString = '';
$dosef 			= shInitializePlugin( $lang, $shLangName, $shLangIso, $option);

if ($dosef == false)
{
	return;
}

// remove common URL from GET vars list, so that they don't show up as query string in the URL
shRemoveFromGETVarsList('option');
shRemoveFromGETVarsList('lang');

// Load language file
$language =& JFactory::getLanguage();
$language->load( 'com_easyblog' , JPATH_ROOT );

// start by inserting the menu element title (just an idea, this is not required at all)
$task 	= isset($task) ? @$task : null;
$Itemid	= isset($Itemid) ? @$Itemid : null;		

if(!empty($view) && file_exists(JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'router.php'))
{
	require_once( JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'helper.php' );
	require_once (JPATH_ROOT.DS.'components'.DS.'com_easyblog'.DS.'helpers'.DS.'router.php');
	
	if(!empty($id))
	{
		JTable::addIncludePath( JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_easyblog' . DS . 'tables' );
	
		switch($view)
		{
			case 'entry':
				$idname = EasyBlogRouter::getBlogSefPermalink($id);
				break;
			case 'blogger':
				$idname = EasyBlogRouter::getBloggerPermalink($id);
				break;
			case 'categories':
				$idname = EasyBlogRouter::getCategoryPermalink($id);
				break;
			case 'tags':
				$idname = EasyBlogRouter::getTagPermalink($id);
				break;
			case 'teamblog':
				$idname = EasyBlogRouter::getTeamBlogPermalink($id);
				break;
			default:
				$idname ='';
		}
	}
	
	if(empty($Itemid))
	{
		$Itemid = EasyBlogRouter::getItemId($view);
		shAddToGETVarsList('Itemid' , $Itemid);
	}
}

$easyblogName	= shGetComponentPrefix($option);
$easyblogName	= empty($easyblogName) ?  getMenuTitle($option, $task, $Itemid, null, $shLangName) : $easyblogName;
$easyblogName	= (empty($easyblogName) || $easyblogName == '/') ? 'EasyBlog':$easyblogName;


$title[] = $easyblogName;

$add_idname = true;

if(isset($view))
{
	if( $config->get( 'main_sef' ) != 'simple' || $view != 'entry' )
	{
		$title[] = JText::_( 'COM_EASYBLOG_SH404_VIEW_' . JString::strtoupper( $view ) );
	}
	
	shRemoveFromGETVarsList('view');
}

if(isset($layout))
{
	if($layout == 'statistic')
	{
		if(!empty($idname))
		{
			$title[]	= $idname;
			$add_idname = false;
			shRemoveFromGETVarsList('id');
		}
		
		$title[] = JText::_( 'COM_EASYBLOG_SH404_LAYOUT_' . JString::strtoupper( $layout ) );
		
		if(!empty($stat))
		{
			$title[]	= $stat;
			shRemoveFromGETVarsList('stat');
		}
		
		if(!empty($catid))
		{
			$title[]	= EasyBlogRouter::getCategoryPermalink($catid);
			shRemoveFromGETVarsList('catid');
		}
		
		if(!empty($tagid))
		{
			$title[]	= EasyBlogRouter::getTagPermalink($tagid);
			shRemoveFromGETVarsList('tagid');
		}
	}
// 	else if( $layout == 'tag' )
// 	{
// 	    shRemoveFromGETVarsList('tag');
// 	}
	else
	{
		$title[] = JText::_( 'COM_EASYBLOG_SH404_LAYOUT_' . JString::strtoupper( $layout ) );
	}
	
	shRemoveFromGETVarsList('layout');
}

// minor fix when id shouldn't get remove. @2011-06-16 - sam.
if(isset($controller))
{
	//when there is a controller here, most likely we need the id for processing.
	$add_idname = false;
}

if(!empty($id) && $add_idname)
{
	if(!empty($idname))
	{
		$title[] = $idname;
	}
	shRemoveFromGETVarsList('id');
}

if(!empty($format))
{
	$title[] = $format;
	shRemoveFromGETVarsList('format');
}

if(!empty($type))
{
	$title[] = $type;
	shRemoveFromGETVarsList('type');
}

if(!empty($query))
{
	$title[] = $query;
	shRemoveFromGETVarsList('query');
}

if(!empty($Itemid))
{
	shRemoveFromGETVarsList('Itemid');
}

if(!empty($limit))
{
	shRemoveFromGETVarsList('limit');
}

if(isset($limitstart))
{
	shRemoveFromGETVarsList('limitstart'); // limitstart can be zero}
}

// ------------------  standard plugin finalize function - don't change ---------------------------  
if ($dosef){ 
   $string = shFinalizePlugin( $string, $title, $shAppendString, $shItemidString, 
      (isset($limit) ? @$limit : null), (isset($limitstart) ? @$limitstart : null), 
      (isset($shLangName) ? @$shLangName : null));
}      
// ------------------  standard plugin finalize function - don't change ---------------------------