<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div id="dashboard-categories" class="stackSelectGroup">
	<div class="ptl clearfix">
		<div class="page_title categories_title fleft reset fsx fwb"><?php echo JText::_('COM_EASYBLOG_CATEGORIES_PAGE_HEADING'); ?></div>
		<?php if( $this->acl->rules->create_category ){ ?>
		<button class="ui-button fright" onclick="eblog.dashboard.categories.create();return false;"><span class="ico btn-add"><?php echo JText::_( 'COM_EASYBLOG_ADD_NEW_CATEGORY_BUTTON' );?></span></button>
		<?php } ?>
	</div>
	<?php if( $this->acl->rules->create_category ){ ?>
	<div class="ui-modbox" id="widget-create-category">
	    <div class="ui-modhead">
	    	<div class="ui-modtitle"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_CATEGORIES_CREATE_NEW'); ?></div>
	    </div>
	    <div class="ui-modbody clearfix">
	        <div id="add_category">
	        	<form id="frmNewCat" name="frmNewCat" enctype="multipart/form-data" action="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&controller=dashboard&task=addCategory');?>" method="post">
	        	<table width="100%" border="0" cellpadding="0" cellspacing="0" class="tablerest">
	        		<tr>
	                	<td>
	                        <label category" class="label"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_CATEGORIES_NAME'); ?></label>
	        			</td>
	        			<td>
	                        <input type="text" id="category" name="category" style="width: 250px;" />
	        			</td>
	        		</tr>
	        		<tr>
	                	<td>
	        				<label for="category" class="label"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_CATEGORIES_PARENT'); ?></label>
	        			</td>
	        			<td>
	        				<?php echo $parentList; ?>
	        			</td>
	        		</tr>
	
	        		<tr>
	                	<td>
	        				<label for="category" class="label"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_CATEGORIES_PRIVACY'); ?></label>
	        			</td>
	        			<td>
	        				<?php echo JHTML::_( 'select.genericlist' , EasyBlogHelper::getHelper( 'Privacy' )->getOptions() , 'private' , 'size="1" class="inputbox"' , 'value' , 'text' );?>
	        			</td>
	        		</tr>
	
					<?php if($system->config->get('layout_categoryavatar', true) && $this->acl->rules->upload_cavatar) : ?>
	        		<tr>
	                	<td>
	                	    <label for="Filedata" class="label"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_CATEGORIES_AVATAR'); ?></label>
	        			</td>
	        			<td>
	        				<input id="file-upload" type="file" name="Filedata" size="33"/>
	        			</td>
	        		</tr>
	        		<?php endif; ?>
	        	</table>
	            <div class="ui-inputbutton clearfix">
	                <input type="submit" value="<?php echo JText::_('COM_EASYBLOG_SAVE_BUTTON'); ?>" class="ui-button fright mlm" name="save-draft">
	                <input type="reset" value="<?php echo JText::_('COM_EASYBLOG_RESET_BUTTON'); ?>" class="ui-button fright" name="reset-form">
	            </div>
	        	</form>
	        </div>
	    </div>
	</div>
	<?php } ?>
<form>
<div class="ui-optbox clearfix mbs mts fsm">
	<ul class="entries-filter blog-navi-01 ulrest flist fright">
        <li class="<?php echo $order == 'count' ? 'active' : ''; ?>"><a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=dashboard&layout=categories&order=count' );?>"><?php echo JText::_('COM_EASYBLOG_SORT_BY_TOTAL_POSTS'); ?></a></li>
        <li class="<?php echo $order == 'latest' ? 'active' : ''; ?>"><a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=dashboard&layout=categories&order=latest' );?>"><?php echo JText::_('COM_EASYBLOG_SORT_BY_DATE_CREATED'); ?></a></li>
	</ul>
</div>
<?php
if( $categories )
{
?>
<ul class="item_list no-cbox ulrest mtm mbm">
	<li id="td-header" class="prel">
        <div class="ui-content">
			<div class="item_title"><?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_CATEGORIES_TITLE' ); ?></div>
			<div class="clear"></div>
        </div>
		<span class="ui-count-post pabs"><?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_CATEGORIES_POST_COUNT' ); ?></span>
		<span class="ui-count-cats pabs"><?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_CATEGORIES_CHILD_COUNT' ); ?></span>
	</li>
	
	<?php
		foreach( $categories as $category )
		{
			$created	= EasyBlogDateHelper::dateWithOffSet($category->created);
	?>
		<li id="td-<?php echo $category->id; ?>" class="prel">
			<?php if($system->config->get('layout_categoryavatar' ) ){ ?>
            <div class="ui-avatar fleft">
                <a class="title mlm" href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id='.$category->id);?>">
					<img src="<?php echo $category->getAvatar();?>" class="avatar fleft" width="48" height="48" />
				</a>
            </div>
            <?php } ?>
            <div class="ui-content">
    			<div class="item_title">
    				<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id='.$category->id);?>">
    					<span id="lbl-<?php echo $category->id; ?>" class="fsl fwb"><?php echo $category->title;?></span>
    				</a>
    			</div>
                <div class="item_content mbs"><?php echo JText::sprintf('COM_EASYBLOG_DASHBOARD_CATEGORIES_CREATED_ON' , $this->formatDate( JText::_( 'DATE_FORMAT_LC1' ) , $category->created ) );?></div>
    			<div class="item_actions">
                    <ul class="ulrest flist">
                        <li>
            				<a href="javascript:void(0)" onclick="eblog.dashboard.categories.edit('<?php echo $category->id;?>');"><?php echo JText::_('COM_EASYBLOG_EDIT'); ?></a>
                        </li>
        				<?php if($category->getPostCount() <= 0 && $category->getChildCount() <= 0 && $this->acl->rules->delete_category ) { ?>
                        <li>
            				<a href="javascript:eblog.dashboard.categories.remove('index.php?option=com_easyblog&view=dashboard&layout=categories','<?php echo $category->id;?>');"><?php echo JText::_('COM_EASYBLOG_DELETE'); ?></a>
                        </li>
        				<?php } ?>
                    </ul>
    			</div>
    			<div class="clear"></div>
            </div>
			<span class="ui-count-post pabs"><?php echo $category->getPostCount(); ?></span>
			<span class="ui-count-cats pabs"><?php echo $category->getChildCount(); ?></span>
		</li>
	<?php
		}
	?>
</ul>
<?php
}
else
{
?>
<div class="eblog-message info">
	<?php echo JText::_('COM_EASYBLOG_DASHBOARD_CATEGORIES_NO_CATEGORY_AVAILABLE'); ?>
</div>
<?php 
}
?>
</form>
<?php if ( $categories ) : ?>
<div class="pagination"><?php echo $pagination->getPagesLinks(); ?></div>
<?php endif; ?>
</div>