<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
?>
<form name="comment-form" id="comment-form">
<?php
if( $comments )
{
	$i	= 0;
?>
<ul class="item_list ulrest mtm mbm">
	<?php foreach( $comments as $comment ) { ?>
	<li id="eblog-comment-item<?php echo $comment->id; ?>" class="prel">
        <div class="ui-avatar fleft">
            <?php if( $comment->created_by != 0 ) { ?>
    		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $comment->created_by); ?>">
    		<?php } ?>
    			<img class="avatar" src="<?php echo $comment->author->getAvatar(); ?>" width="48" height="48" alt="<?php echo $comment->author->getName(); ?>" />
    		<?php if( $comment->created_by != 0 ) { ?></a><?php } ?>
            <?php echo EasyBlogTooltipHelper::getBloggerHTML( $comment->created_by, array('my'=>'left bottom','at'=>'left top','of'=>array('traverseUsing'=>'prev')) ); ?>
        </div>
        <div class="ui-content">
            <div class="ui-comment-meta mbs">
                <?php
                    $blogLink 		= EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$comment->post_id);
        			$blogTitle 		= $comment->blog_title;
        			$submitterLink 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$comment->created_by);
        			$submitterName	= $comment->name;
        			$dateSubmitted	= EasyBlogDateHelper::toFormat( EasyBlogDateHelper::dateWithOffSet($comment->created) , $system->config->get('layout_dateformat', '%A, %d %B %Y') );
                    echo JText::sprintf('COM_EASYBLOG_DASHBOARD_COMMENTS_COMMENTED_ON_BLOG', $submitterName , $blogLink, $blogTitle);
                ?>
            </div>
            <p class="ui-comment-content" id="comment-content-<?php echo $comment->id; ?>">
                <b class="ui-comment-title">
                <?php
        			$commentLink 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $comment->post_id . '#comment-' . $comment->id);
        			$commentTitle 	= !empty( $comment->title ) ? $comment->title : JText::_('COM_EASYBLOG_COMMENT_NO_TITLE');
        			echo JText::sprintf('COM_EASYBLOG_DASHBOARD_COMMENTS_COMMENT_TITLE', $commentLink, $commentTitle);
        		?>
                </b>
                <?php echo $comment->comment; ?>
            </p>
            
			<?php if ( $comment->published == 2 ) : ?>
			<div class="ispending" id="moderate-publishing-<?php echo $comment->id;?>">
				<?php echo JText::_('COM_EASYBLOG_DASHBOARD_COMMENTS_COMMENT_UNDER_MODERATION'); ?>
				<span class="ico-publish">
				    &middot;
					<a href="javascript:eblog.dashboard.comments.publishModerated( '<?php echo $comment->id;?>', 'publish' );" class="icon-published"><?php echo JText::_( 'COM_EASYBLOG_PUBLISHED' );?></a>
					&middot;
					<a href="javascript:eblog.dashboard.comments.publishModerated( '<?php echo $comment->id;?>', 'unpublish' );" class="icon-unpublished"><?php echo JText::_( 'COM_EASYBLOG_UNPUBLISHED' );?></a>
				</span>
			</div>
			<?php endif; ?>
            
            <div class="ui-entry-meta clearfix mts">
                <?php if(!empty($this->acl->rules->manage_comment)) { ?>
                <span class="ico-publish" id="publishing-<?php echo $comment->id;?>">
					<?php if($comment->published == 1) : ?>
						<a href="javascript:eblog.dashboard.comments.publish( '<?php echo $comment->id;?>' );" class="icon-published"><?php echo JText::_( 'COM_EASYBLOG_PUBLISHED' );?></a>
					<?php elseif($comment->published != 2) : ?>
						<a href="javascript:eblog.dashboard.comments.publish( '<?php echo $comment->id;?>' );" class="icon-unpublished"><?php echo JText::_( 'COM_EASYBLOG_UNPUBLISHED' );?></a>
					<?php endif; ?>
                </span>
                <?php } ?>
                <span><a href="<?php echo $blogLink.'#comment-'.$comment->id; ?>"><?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_COMMENTS_COMMENT_PERMALINK');?></a></span>
            </div>
            <div class="clearfix mtm">
                <?php if( !empty($this->acl->rules->edit_comment) || !empty($this->acl->rules->delete_comment) ) { ?>
                <div id="eblog-comment-toolbar<?php echo $comment->id; ?>" class="item_actions fleft">
					<ul class="ulrest flist">
					    <?php if( !empty($this->acl->rules->edit_comment) ) : ?>
        				<li><a href="javascript:eblog.dashboard.comments.edit( '<?php echo $comment->id;?>' );"><?php echo JText::_('COM_EASYBLOG_EDIT'); ?></a></li>
        				<?php endif; ?>
        				
        				<?php if( !empty($this->acl->rules->delete_comment) ) : ?>
        				<li><a href="javascript:eblog.dashboard.comments.remove('index.php?option=com_easyblog&view=dashboard&layout=comments','<?php echo $comment->id;?>');"><?php echo JText::_('COM_EASYBLOG_DELETE'); ?></a></li>
        				<?php endif; ?>
					</ul>
				</div>
				<span class="ui-inmsg mlm"></span>
				<span class="fright"><?php echo $dateSubmitted;?></span>
                <?php } ?>
			</div>
        </div>
        <?php if( $showCheckbox ){ ?>
		<span class="ui-list-select pabs"><input type="checkbox" class="stackSelect" value="<?php echo $comment->id;?>" name="cid[]" id="cb<?php echo $i;?>" /></span>
        <?php } ?>
	</li>
	<?php
		$i++; 
	}
	?>
</ul>
<?php
}
else
{
?>
	<div class="eblog-message info">
		<?php echo JText::_('COM_EASYBLOG_DASHBOARD_COMMENTS_NO_RECENT_COMMENTS'); ?>
	</div>
<?php
	}
?>
</form>
<?php if( $comments && isset( $pagination ) ) : ?>
	<div class="pagination"><?php echo $pagination->getPagesLinks();?></div>
<?php endif; ?>