<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
(function($){
	$(document).ready(function(){
		eblog.dashboard.lists.init( 'entries' );
	});
})(sQuery);
</script>
<div id="dashboard-entries" class="prel stackSelectGroup">
	<div class="ptl clearfix">
		<div class="page_title drafts_title fleft reset fsx fwb"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_DRAFTS_PAGE_HEADING'); ?></div>
		<?php if( count($entries) > 0) : ?>
		<a class="ui-button fright" href="javascript:void(0);" onclick="eblog.dashboard.drafts.discardAll();"><span class="ico btn-del"><?php echo JText::_( 'COM_EASYBLOG_DISCARD_DRAFTS_BUTTON' );?></span></a>
		<?php endif; ?>
	</div>
	<div class="ui-optbox clearfix mbs mts fsm">
		<div class="entries-select fleft">
			<?php if(!empty($this->acl->rules->publish_entry) || !empty($this->acl->rules->delete_entry) ) { ?>
			<ul class="ui-list-select-actions ulrest flist clearfix">
				<li>
					<input type="checkbox" class="stackSelectAll fleft" name="toggle" id="toggle"/>
					<label for="toggle" class="fleft mls mts"><?php echo JText::_( 'COM_EASYBLOG_SELECT_ALL' );?></label>
	            </li>
				<li id="select-actions">
					<select name="entries-action" id="entries-action">
						<option value="default"><?php echo JText::_('COM_EASYBLOG_WITH_SELECTED');?></option>
						<option value="discardDraft"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_DRAFTS_DISCARD');?></option>
					</select>
					<input type="button" class="ui-button" value="<?php echo JText::_('COM_EASYBLOG_APPLY_BUTTON');?>" onclick="eblog.dashboard.action( 'entries', 'index.php?option=com_easyblog&view=dashboard&layout=drafts' );"/>
				</li>
			</ul>
			<?php } ?>
		</div>
	</div>
	<form name="entries-form" id="entries-form">
		<?php if ( $entries ) : ?>
		<ul class="item_list ulrest mtm mbm">
			<?php $i = 0; ?>
			<?php foreach( $entries as $entry ): ?>
			<li id="eb-entry-<?php echo $entry->id; ?>" class="prel">
				<div class="listing">
					<div class="item_title reset mbs">
						<a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=dashboard&layout=write&draft_id=' . $entry->id );?>">
						<?php if( $entry->title == JText::_( 'COM_EASYBLOG_DASHBOARD_WRITE_DEFAULT_TITLE' ) || empty( $entry->title) ){ ?>
							<?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_DRAFTS_NO_TITLE' ); ?>
						<?php } else { ?>
							<?php echo $entry->title; ?>
						<?php } ?>
						</a>
					</div>
					<?php
					$rejected	= $entry->getRejected();
					
					if( $rejected )
					{
					?>
					
					<div class="eblog-message warning clearfix">
						<div>
							<?php echo JText::sprintf( 'COM_EASYBLOG_DASHBOARD_DRAFTS_REJECTED' , $rejected->author->getName() );?>
							<a href="javascript:void(0);" onclick="eblog.dashboard.toggle(this);" class="fright ui-toggle"><?php echo JText::_( 'COM_EASYBLOG_SHOW_MESSAGE' );?></a>
						</div>
						<div class="reject-message mtm" style="display: none;">
							<img class="fleft avatar mrs" src="<?php echo $rejected->author->getAvatar();?>" width="32" height="32" />
							<div class="tablecell">
								<?php echo $rejected->message; ?>
							</div>
						</div>
					</div>
					<?php 
					}
					?>
					<p class="ui-draft-content">
						<?php if( strip_tags( $entry->content ) != '' ){ ?>
							<?php echo JString::substr( strip_tags( $entry->content ) , 0 , 300 ); ?>
						<?php } else { ?>
							<?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_DRAFTS_NO_CONTENT' );?>
						<?php } ?>	
					</p>
					
					<span class="ui-list-select pabs"><input type="checkbox" class="stackSelect" value="<?php echo $entry->id; ?>" name="cid[]" id="cb<?php echo $i;?>" /></span>
	            	<div class="ui-entry-meta clearfix mts">
						<span class="ico-tags">
							<?php if (count($entry->tags)>0): ?>
								<a href="javascript: void(0);"><?php echo $this->getNouns( 'COM_EASYBLOG_TAGS_COUNT' , count( $entry->tags ) , true ); ?></a>
								<?php echo EasyBlogTooltipHelper::getTagsHTML( $entry->_tags, array('my'=>'left bottom','at'=>'left top','of'=>array('traverseUsing'=>'parent')) ); ?>
							<?php else: ?>
								<?php echo $this->getNouns( 'COM_EASYBLOG_TAGS_COUNT' , count( $entry->tags ) , true ); ?>
							<?php endif; ?>
						</span>
						<span class="ico-category"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id=' . $entry->category_id); ?>" class="fsm"><?php echo $entry->category; ?></a></span>
	                </div>
					<div class="clearfix mts">
	                    <div class="item_actions fleft" id="eblog-comment-toolbar<?php echo $entry->id; ?>">
	    					<ul class="ulrest flist">
	    						<?php if( $this->acl->rules->add_entry ) : ?>
	    						<li><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=write&draft_id='.$entry->id);?>"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_DRAFTS_CONTINUE_EDITING'); ?></a> </li>
	    						<?php endif; ?>
	    						<li><a href="javascript:eblog.dashboard.drafts.discard( '<?php echo $entry->id;?>' );"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_DRAFTS_DISCARD'); ?></a></li>
	    					</ul>
	    				</div>
	    				<span class="ui-inmsg mlm"></span>
						<span class="fright"><?php echo $this->formatDate( JText::_( 'DATE_FORMAT_LC1' ) ,  $entry->created); ?></span>
					</div>
				</div>
			</li>
			<?php $i++; ?>
			<?php endforeach; ?>
		</ul>
			<?php if ( !empty($pagination) ) : ?>
				<div class="pagination"><?php echo $pagination->getPagesLinks(); ?></div>
			<?php endif; ?>
		<?php else: ?>
			<div class="eblog-message info">
				<?php echo JText::_('COM_EASYBLOG_DASHBOARD_ENTRIES_EMPTY'); ?>
			</div>
		<?php endif; ?>
	</form>
	<div class="clearfix"></div>
</div>