<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
(function($){
	$(document).ready(function(){
		eblog.dashboard.lists.init( 'entries' );
	});
})(sQuery);
</script>
<div id="dashboard-entries" class="prel stackSelectGroup">
	<div class="ptl clearfix">
		<div class="page_title entries_title fleft reset fsx fwb"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_ENTRIES_PAGE_HEADING'); ?></div>
		<form name="search-entries" method="post" class="fright">
			<input type="text" name="post-search" class="search-input" id="post-search" style="width: 150px;" value="<?php echo $search;?>" />
			<input type="submit" name="post-search" class="ui-button" value="<?php echo JText::_('COM_EASYBLOG_SEARCH');?>" />
		</form>
	</div>
	<div class="ui-optbox clearfix mbs mts fsm">
		<ul class="entries-filter blog-navi-01 ulrest flist fright">
			<li class="<?php echo $filter == 'all' ? 'active' : ''; ?>"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=entries&filter=all');?>"><?php echo JText::_('COM_EASYBLOG_FILTER_ALL'); ?></a></li>
			<li class="<?php echo $filter == 'published' ? 'active' : ''; ?>"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=entries&filter=published');?>"><?php echo JText::_('COM_EASYBLOG_FILTER_PUBLISHED'); ?></a></li>
			<li class="<?php echo $filter == 'unpublished' ? 'active' : ''; ?>"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=entries&filter=unpublished');?>"><?php echo JText::_('COM_EASYBLOG_FILTER_UNPUBLISHED'); ?></a></li>
			<li class="<?php echo $filter == 'scheduled' ? 'active' : ''; ?>"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=entries&filter=scheduled');?>"><?php echo JText::_('COM_EASYBLOG_FILTER_SCHEDULED'); ?></a></li>
		</ul>
		<div class="entries-select fleft">
			<?php if(!empty($this->acl->rules->publish_entry) || !empty($this->acl->rules->delete_entry) ) { ?>
			<ul class="ui-list-select-actions ulrest flist clearfix">
				<li>
					<input type="checkbox" class="stackSelectAll fleft" name="toggle" id="toggle"/>
					<label for="toggle" class="fleft mls mts"><?php echo JText::_( 'COM_EASYBLOG_SELECT_ALL' );?></label>
	            </li>
				<li id="select-actions">
					<select name="entries-action" id="entries-action">
						<option value="default"><?php echo JText::_('COM_EASYBLOG_WITH_SELECTED');?></option>
						<?php if( $this->acl->rules->publish_entry ){ ?>
							<option value="publishBlog"><?php echo JText::_('COM_EASYBLOG_PUBLISH');?></option>
							<option value="unpublishBlog"><?php echo JText::_('COM_EASYBLOG_UNPUBLISH');?></option>
						<?php } ?>
						<?php if( $this->acl->rules->delete_entry ){ ?>
							<option value="deleteBlog"><?php echo JText::_('COM_EASYBLOG_DELETE');?></option>
						<?php } ?>
					</select>
					<input type="button" class="ui-button" value="<?php echo JText::_('COM_EASYBLOG_APPLY_BUTTON');?>" onclick="eblog.dashboard.action( 'entries', 'index.php?option=com_easyblog&view=dashboard&layout=entries' );"/>
				</li>
			</ul>
			<?php } ?>
		</div>
	</div>
	<form name="entries-form" id="entries-form">
		<?php if ( $entries ) : ?>
		<ul class="item_list ulrest mtm mbm">
			<?php $i = 0; ?>
			<?php foreach( $entries as $entry ):

			$blogAuthor =& JTable::getInstance( 'Profile', 'Table' );
			$blogAuthor->load( $entry->created_by );

			$team   	= '';
			$teamBlog   = null;

			if( isset($entry->team_id) )
			{
			    if( !empty( $entry->team_id ) )
				{
					$team		= '&team=' . $entry->team_id;
					$teamBlog   =& JTable::getInstance( 'TeamBlog', 'Table');
					$teamBlog->load( $entry->team_id );
				}
 			}

			?>
			<li id="eb-entry-<?php echo $entry->id; ?>">
				<div class="listing">
					<div class="item_title reset mbs">
						<a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=entry'.$team.'&id=' . $entry->id );?>" class="fsl fwb"><?php echo $entry->title;?></a>
						<?php if( $entry->isFeatured ){ ?><sup class="featured-item"><?php echo JText::_( 'COM_EASYBLOG_FEATURED_FEATURED' );?></sup><?php } ?>
					</div>
					
					<span class="ui-list-select pabs"><input type="checkbox" class="stackSelect" value="<?php echo $entry->id; ?>" name="cid[]" id="cb<?php echo $i;?>" /></span>
	            	<div class="ui-entry-meta clearfix mts">
						<span id="publishing-<?php echo $entry->id?>" class="ico-publish">
							<?php if ( $entry->published == 1 ) : ?>
								<a class="icon-published" href="javascript:void(0);" onclick="eblog.blog.togglePublish( '<?php echo $entry->id;?>' );"><?php echo JText::_('COM_EASYBLOG_PUBLISHED'); ?></a>
							<?php elseif($entry->published == 0) : ?>
								<a class="icon-unpublished" href="javascript:void(0);" onclick="eblog.blog.togglePublish( '<?php echo $entry->id;?>' );"><?php echo JText::_('COM_EASYBLOG_UNPUBLISHED'); ?></a>
							<?php elseif($entry->published == 2) : ?>
								<span class="icon-scheduled"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_ENTRIES_POST_IS_SCHEDULED'); ?></span>
		                    <?php elseif($entry->published == 3) : ?>
		                    	<span class="icon-draft"><?php echo JText::_('COM_EASYBLOG_DRAFT');?></span>
							<?php endif; ?>
							<!-- TODO: SHOW SOCIAL SHARING IN TOOLTIP -->
						</span>
						<span class="ico-comments"><a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=entry&id=' . $entry->id );?>"><?php echo $this->getNouns( 'COM_EASYBLOG_COMMENTS_COUNT' , $entry->totalComments , true ); ?></a></span>
						<span class="ico-tags">
							<?php if (count($entry->_tags)>0): ?>
								<a href="javascript: void(0);"><?php echo $this->getNouns( 'COM_EASYBLOG_TAGS_COUNT' , count( $entry->_tags ) , true ); ?></a>
								<?php echo EasyBlogTooltipHelper::getTagsHTML( $entry->_tags, array('my'=>'left bottom','at'=>'left top','of'=>array('traverseUsing'=>'parent')) ); ?>
							<?php else: ?>
								<?php echo $this->getNouns( 'COM_EASYBLOG_TAGS_COUNT' , count( $entry->_tags ) , true ); ?>
							<?php endif; ?>
						</span>
						<span class="ico-category"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id=' . $entry->category_id); ?>" class="fsm"><?php echo $entry->category; ?></a></span>
	                </div>
					<?php if( $this->acl->rules->update_twitter || $this->acl->rules->update_linkedin || $this->acl->rules->update_facebook && $consumers ) { ?>
					<div class="clearfix mts">

					</div>
					<?php } ?>
					<div class="clearfix mts">
	                    <div class="item_actions fleft" id="eblog-comment-toolbar<?php echo $entry->id; ?>">
	    					<ul class="ulrest flist">
	    						<?php if( $this->acl->rules->add_entry ) : ?>
	    						<li><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=write&blogid='.$entry->id);?>"><?php echo JText::_('COM_EASYBLOG_EDIT'); ?></a> </li>
	    						<?php endif; ?>

	    						<?php if( $this->acl->rules->delete_entry ) : ?>
	    						<li><a href="javascript:eblog.blog.confirmDelete('<?php echo $entry->id;?>', '<?php echo 'index.php?option=com_easyblog&view=dashboard&layout=entries'; ?>');"><?php echo JText::_('COM_EASYBLOG_DELETE'); ?></a></li>
	    						<?php endif; ?>
	    						<li><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry'.$team.'&id='.$entry->id);?>"><?php echo JText::_( 'COM_EASYBLOG_PREVIEW' );?></a></li>
	    					</ul>
	    				</div>
	    				<span class="ui-inmsg mlm"></span>
						<span class="fright mls">
							<?php
								foreach( $consumers as $consumer )
								{
									$acl	= 'update_' . $consumer->type;
									if( isset( $this->acl->rules->$acl ) && $this->acl->rules->$acl )
									{
										$shared	= $consumer->isShared( $entry->id );
										$state	= $shared ? '' : '_disabled';
							?>
									<a href="javascript:void(0)" onclick="eblog.socialshare.share('<?php echo $entry->id;?>' , '<?php echo $consumer->type;?>' );" class="fleft">
										<img id="oauth_img_<?php echo $consumer->type;?>_<?php echo $entry->id;?>" src="<?php echo JURI::root();?>/components/com_easyblog/assets/icons/socialshare/<?php echo $consumer->type . $state;?>.png" class="fleft" />
									</a>
									<div class="stackTip tipsA">
										<script type="text/x-json">({ my: 'right top', at: 'left bottom', of: { traverseUsing: 'prev' } })</script>
										<div id="ezttip">
											<div id="ezttip-in">
												<div id="ezttip-in-in">
												<?php if( $shared ){ ?>
										    		<span class="socialshare_<?php echo $consumer->type;?>"><?php echo JText::sprintf( 'COM_EASYBLOG_OAUTH_BLOG_ENTRY_SHARED_ON' , ucfirst( $consumer->type ) , $this->formatDate( $system->config->get('layout_dateformat'), $consumer->getSharedDate( $entry->id ) ) );?></span>
										    	<?php } else { ?>
										    		<span class="socialshare_<?php echo $consumer->type;?>"><?php echo JText::sprintf( 'COM_EASYBLOG_OAUTH_BLOG_ENTRY_NOT_SHARED' , ucfirst( $consumer->type ) );?></span>
										    	<?php } ?>
												</div>
											</div>
										</div>
									</div>
							<?php
									}
								}
							?>
						</span>
						<span class="post_date fright"><?php echo $this->formatDate( JText::_( 'DATE_FORMAT_LC1' ) ,  $entry->created); ?></span>
					</div>

                    <div class="ui-authors ui-avatar pabs">
    				<?php if( !empty($team) ) : ?>
                        <!-- teamblog avatar -->
    			        <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=teamblog&layout=listings&id=' . $teamBlog->id); ?>" title="<?php echo $teamBlog->title; ?>"  class="isTeamBlog pabs">
    						<img src="<?php echo $teamBlog->getAvatar(); ?>" alt="<?php echo $teamBlog->title; ?>" class="avatar" width="40" height="40" />
    					</a>
						<?php echo EasyBlogTooltipHelper::getTeamHTML( $teamBlog->id, array('my'=>'left bottom','at'=>'left top','of'=>array('traverseUsing'=>'prev')) ); ?>
                    <?php endif; ?>
    					<!-- blogger avatar -->
    			        <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $entry->created_by); ?>" title="<?php echo $blogAuthor->getName(); ?>"  class="isBlogger pabs">
    						<img src="<?php echo $blogAuthor->getAvatar(); ?>" alt="<?php echo $blogAuthor->getName(); ?>" width="40" height="40" />
    					</a>
    				</div><!--end: .ui-authors-->
				</div>
			</li>
			<?php $i++; ?>
			<?php endforeach; ?>
		</ul>
			<?php if ( !empty($pagination) ) : ?>
				<div class="pagination"><?php echo $pagination->getPagesLinks(); ?></div>
			<?php endif; ?>
		<?php else: ?>
			<div class="eblog-message info">
				<?php echo JText::_('COM_EASYBLOG_DASHBOARD_ENTRIES_EMPTY'); ?>
			</div>
		<?php endif; ?>
	</form>
</div>