<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div class="ui-modbox" id="widget-profile-blog">
    <div class="ui-modhead">
    	<div class="ui-modtitle"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_BLOGGER_SETTINGS_TITLE'); ?></div>
        <a href="javascript:void(0);" onclick="eblog.dashboard.toggle( this );" class="ui-tog pabs atr ir"><?php echo JText::_( 'COM_EASYBLOG_HIDE' );?></a>
    </div>
    <div class="ui-modbody clearfix">
        <div class="eblog-message info">
            <span><?php echo JText::_('COM_EASYBLOG_DASHBOARD_BLOGGER_SETTINGS_DESC'); ?></span>
        </div>
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="tablerest">
            <tbody>
            	<?php if($this->acl->rules->add_entry) : ?>
            	<tr>
            	    <td class="key" width="100"><label for="title"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_BLOGGER_BLOG_TITLE'); ?></label></td>
            	    <td><input type="text" class="quat" id="title" name="title" value="<?php echo $this->escape( $profile->title );?>" /></td>
            	</tr>
            	<tr>
            		<td class="key"><label><?php echo JText::_('COM_EASYBLOG_DASHBOARD_BLOGGER_BLOG_DESC'); ?></label></td>
            	    <td>
                        <div class="ui-inputfull mts mbs">
                        	<textarea name="description" class="full"><?php echo $profile->getDescription();?></textarea>
                        </div>
                    </td>
            	</tr>
            	<?php endif; ?>
            	<tr>
            		<td class="key"><label><?php echo JText::_('COM_EASYBLOG_DASHBOARD_BLOGGER_BIOGRAPHICAL_INFO'); ?></label></td>
            	    <td>
                        <div class="ui-inputfull mts mbs">
                        	<textarea name="biography" class="full"><?php echo $profile->getBiography();?></textarea>
                        </div>
                    </td>
            	</tr>
            	<tr>
            	    <td class="key"><label for="url"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_BLOGGER_WEBSITE'); ?></label></td>
            	    <td><input class="quat" id="url" type="text" name="url" size="50" value="<?php echo (empty($profile->url)) ? 'http://' : $profile->url; ?>" /></td>
            	</tr>
            	<?php if( $this->acl->rules->add_entry ){?>
            	<tr>
            		<td class="key"><label for="user_permalink"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_BLOGGER_PERMALINK'); ?></label></td>
            		<td>
                        <div class="ui-inputfull mts mbs">
                                <input type="text" id="user_permalink" name="user_permalink" class="half" value="<?php echo $profile->permalink; ?>" />
                    			<div class="mts small"><i><?php echo JText::_('COM_EASYBLOG_DASHBOARD_ACCOUNT_NOTICE_PERMALINK_USAGE')?></i></div>
                        </div>
            		</td>
            	</tr>
            	<?php } ?>
            	<?php if($multithemes->enable){ ?>
            	<tr>
            	    <td class="key"><label for="theme"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_BLOGGER_SELECT_THEME'); ?></label></td>
            	    <td>
            		<?php

            			$options[] = JHTML::_('select.option', 'global', JText::_('COM_EASYBLOG_DASHBOARD_THEMES_THEME_GLOBAL'));

            			if(!empty($multithemes->availableThemes))
            			{
                            foreach($multithemes->availableThemes as $theme)
                			{
                				$options[] = JHTML::_('select.option', $theme, JText::_('COM_EASYBLOG_DASHBOARD_THEMES_THEME_'.$theme));
                			}
                		}
                        echo JHTML::_('select.genericlist', $options, 'theme', 'class="half"', 'value', 'text', $multithemes->selectedTheme );
                        ?>
            		</td>
            	</tr>
            	<?php } ?>
            </tbody>
        </table>
    </div>
</div>