<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<?php if( $this->acl->rules->update_linkedin && $system->config->get( 'integrations_linkedin' ) ){?>
<div class="ui-modbox" id="widget-profile-linkedin">
    <div class="ui-modhead">
    	<div class="ui-modtitle"><?php echo JText::_('COM_EASYBLOG_INTEGRATIONS_LINKEDIN_TITLE'); ?></div>
        <a href="javascript:void(0);" onclick="eblog.dashboard.toggle( this );" class="ui-tog pabs atr ir"><?php echo JText::_( 'COM_EASYBLOG_HIDE' );?></a>
    </div>
    <div class="ui-modbody clearfix">
        <div class="eblog-message info">
            <span><?php echo JText::_('COM_EASYBLOG_INTEGRATIONS_LINKEDIN_SETTINGS_DESC'); ?></span>
        </div>
        <table width="100%" border="0" cellpadding="0" cellspacing="0" class="tablerest">
            <tbody>
            	<tr>
            	    <td class="key" width="120"><label><?php echo JText::_('COM_EASYBLOG_OAUTH_ALLOW_ACCESS'); ?></label></td>
            	    <td>
            	    	<?php if( $linkedin->id ): ?>
            				<div class="mtm mbs">
            					<a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&controller=oauth&task=revoke&type=' . EBLOG_OAUTH_LINKEDIN );?>"><?php echo JText::_( 'COM_EASYBLOG_OAUTH_REVOKE_ACCESS' ); ?></a>
            				</div>
            			<?php else: ?>
            				<div class="mtm mbs"><?php echo JText::_('COM_EASYBLOG_INTEGRATIONS_LINKEDIN_ACCESS_DESC');?></div>
            				<a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&controller=oauth&task=request&type=' . EBLOG_OAUTH_LINKEDIN );?>">
            					<img src="<?php echo JURI::root();?>components/com_easyblog/assets/images/linkedin_signon.png" border="0" alt="here" />
            				</a>
            	    	<?php endif; ?>
            		</td>
            	</tr>
                <tr>
                    <td class="key">
                        <label for="integrations_linkedin_message"><?php echo JText::_( 'COM_EASYBLOG_OAUTH_LINKEDIN_MESSAGE' );?></label>
                    </td>
                    <td>
                        <textarea id="integrations_linkedin_message" name="integrations_linkedin_message" class="full"><?php echo (empty($linkedin->message)) ? $system->config->get('main_linkedin_message' ) : $linkedin->message; ?></textarea>
                    </td>
                </tr>
            	<tr>
            	    <td class="key"><label for="integrations_linkedin_auto"><?php echo JText::_('COM_EASYBLOG_OAUTH_ENABLE_AUTO_UPDATES'); ?></label></td>
            	    <td>
            			<select name="integrations_linkedin_auto" id="integrations_linkedin_auto">
            				<option value="1" <?php echo ($linkedin->auto == true)? 'SELECTED' : ''; ?>><?php echo JText::_('COM_EASYBLOG_YES'); ?></option>
            				<option value="0" <?php echo ($linkedin->auto == false)? 'SELECTED' : ''; ?>><?php echo JText::_('COM_EASYBLOG_NO'); ?></option>
            			</select>
            		</td>
            	</tr>
            	<tr>
            	    <td class="key"><label for="integrations_linkedin_private"><?php echo JText::_('COM_EASYBLOG_INTEGRATIONS_LINKEDIN_PROTECTED_MODE'); ?></label></td>
            	    <td>
            	    	<input type="checkbox" name="integrations_linkedin_private" id="integrations_linkedin_private" value="1"<?php echo $linkedin->private ? ' checked="checked"' : '';?> />
            			<span class="small"><?php echo JText::_( 'COM_EASYBLOG_INTEGRATIONS_LINKEDIN_PROTECTED_MODE_DESC' );?></span>
            		</td>
            	</tr>
            </tbody>
        </table>
    </div>
</div>
<?php } ?>