<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<?php if( $this->acl->rules->add_entry ) { ?>
<script type="text/javascript">
sQuery(document).ready(function(){
	eblog.editor.tag.init('.write-posttags',{
		newTags: <?php echo $this->json_encode($tags); ?>
	});
});
</script>
    <div class="ui-modbox" id="widget-quickpost">
        <div class="ui-modhead">
        	<div class="ui-modtitle"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_QUICK_POST_PAGE_HEADING'); ?></div>
        	<a href="javascript:void(0);" onclick="eblog.dashboard.toggle( this );" class="ui-tog pabs atr ir"><?php echo JText::_( 'COM_EASYBLOG_HIDE' );?></a>
        </div>
        <div class="ui-modbody clearfix">
            <form id="quick-post" name="quick-post" method="post">
                <div id="eblog-message" class="eblog-message"><div></div></div>
                <div class="ui-inputfull">
                    <label for="title" class="ui-postlabel"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_QUICKPOST_TITLE'); ?></label>
                    <div class="ui-inputwrap">
                        <input type="text" value="<?php echo JText::_('COM_EASYBLOG_DASHBOARD_QUICKPOST_TITLE_INSTRUCTIONS'); ?>" onfocus="if (this.value == '<?php echo JText::_('COM_EASYBLOG_DASHBOARD_QUICKPOST_TITLE_INSTRUCTIONS'); ?>') {this.value = '';}" onblur="if (this.value == '') {this.value = '<?php echo JText::_('COM_EASYBLOG_DASHBOARD_QUICKPOST_TITLE_INSTRUCTIONS'); ?>';}" name="title" id="title" class="full fwb">
                    </div>
                </div>
                <div class="ui-inputfull">
                    <label for="category_id" class="ui-postlabel"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_QUICKPOST_CATEGORY'); ?></label>
                    <div class="ui-inputwrap">
						<?php echo $categories; ?>
                    </div>
                </div>
                <?php if( $this->acl->rules->enable_privacy ){ ?>
                <div class="ui-inputfull">
                    <label for="private" class="ui-postlabel"><?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_QUICKPOST_PRIVACY' ); ?></label>
                    <div class="ui-inputwrap">
						<?php echo JHTML::_( 'select.genericlist' , EasyBlogHelper::getHelper( 'Privacy' )->getOptions() , 'private' , 'size="1" class="inputbox"' , 'value' , 'text' );?>
                    </div>
                </div>
                <?php } ?>
                <div class="ui-inputfull">
                    <label for="content" class="ui-postlabel"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_QUICKPOST_CONTENT'); ?></label>
                    <div class="ui-inputwrap">
                        <textarea class="full" rows="6" name="content" id="eblog-post-content"></textarea>
                    </div>
                </div>
                <div class="ui-inputfull write-posttags">
                	<label for="ui-tags" class="ui-postlabel"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_QUICKPOST_TAGS'); ?></label>
					<div class="ui-inputwrap">
					    <?php if($this->acl->rules->create_tag): ?>
					    <div class="write-taginput mbm">
					        <div class="mbs"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_TAGS_INSTRUCTIONS'); ?></div>
					        <input type="text" class="tag-input" id="ui-tags" value="" />
					        <script type="text/x-jquery-tmpl" class="stackSuggest">
						    	<div class="stackSuggest tag-suggestion">
						    		<ul class="stackSuggestList">
						    			{{if dataset.length>0}}<div class="common-tags-label"><?php echo JText::_( 'COM_EASYBLOG_TAG_FREQUENTLY_USED' );?></div>{{/if}}
						        		{{each(i,data) dataset}}<li class="stackSuggestItem" dataid=${data.$dataId}>${data.title}</li>{{/each}}
						    			<li class="stackSuggestItem custom"><ul>{{each(i,title) custom}}<li>${title}</li>{{/each}}</ul></li>
						    		</ul>
						    	</div>
					        </script>
					    </div>
					
					    <?php endif; ?>
						<div id="tag-list-container" class="write-taglist">
						    <ul class="tag-list ul-reset flist">
						    	<script type="text/x-jquery-tmpl" class="tag-list-item">
						    		<li class="tag-item" dataid="${$dataId}">
						    			<a class="remove-tag">X</a>
						    			<span class="tag-title">${title}</span>
						    			<input type="hidden" name="tags[]" value="${title}" />
						    		</li>
						    	</script>
						    	<li class="no-tag"><?php echo JText::_('COM_EASYBLOG_TAG_NO_SELECTED_TAGS'); ?></li>
						    </ul> 
						</div>
					</div>
                </div>
                <div class="ui-inputbutton">
                    <span id="quickpost-loading" class="fright mts ir"></span>
                    <input type="button" onclick="eblog.dashboard.quickpost.save();" value="<?php echo JText::_('COM_EASYBLOG_PUBLISH_NOW_BUTTON'); ?>" class="ui-button fright" name="publish-post" />
                    <div class="ui-highlighter publish-to fright mrs">
						<?php if(
								$this->acl->rules->update_facebook && $system->config->get( 'integrations_facebook' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'FACEBOOK' ) ||
								$this->acl->rules->update_twitter && $system->config->get( 'integrations_twitter' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'TWITTER' ) ||
								$this->acl->rules->update_linkedin && $system->config->get( 'integrations_linkedin' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'LINKEDIN' ) ){
						?>
					    <span><?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_QUICKPOST_ALSO_PUBLISH_TO' );?> : </span>
					    <?php } ?>
					<?php if( $this->acl->rules->update_facebook && $system->config->get( 'integrations_facebook' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'FACEBOOK' ) ){?>
                        <span class="ui-span">
    						<input type="checkbox" name="socialshare[]" value="facebook" id="socialshare-facebook"<?php echo EasyBlogHelper::getHelper( 'SocialShare' )->hasAutoPost( $system->my->id , 'FACEBOOK' ) ? ' checked="checked"' : '';?> onclick="sQuery( this ).parent().toggleClass( 'active' );" />
    						<label for="socialshare-facebook" title="<?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_FACEBOOK' ); ?>"><span class="ir ico-fb"><?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_FACEBOOK' ); ?></span></label>
                        </span>
					<?php } ?>
					<?php if( $this->acl->rules->update_twitter && $system->config->get( 'integrations_twitter' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'TWITTER' ) ){?>
                        <span class="ui-span">
    						<input type="checkbox" name="socialshare[]" value="twitter" id="socialshare-twitter"<?php echo EasyBlogHelper::getHelper( 'SocialShare' )->hasAutoPost( $system->my->id , 'TWITTER' ) ? ' checked="checked"' : '';?> onclick="sQuery( this ).parent().toggleClass( 'active' );" />
    						<label for="socialshare-twitter" title="<?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_TWITTER' ); ?>"><span class="ir ico-tw"><?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_TWITTER' ); ?></span></label>
                        </span>
					<?php } ?>
					<?php if( $this->acl->rules->update_linkedin && $system->config->get( 'integrations_linkedin' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'LINKEDIN' ) ){?>
                        <span class="ui-span">
    						<input type="checkbox" name="socialshare[]" value="linkedin" id="socialshare-linkedin"<?php echo EasyBlogHelper::getHelper( 'SocialShare' )->hasAutoPost( $system->my->id , 'LINKEDIN' ) ? ' checked="checked"' : '';?> onclick="sQuery( this ).parent().toggleClass( 'active' );" />
    						<label for="socialshare-linkedin" title="<?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_LINKEDIN' ); ?>"><span class="ir ico-ln"><?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_LINKEDIN' ); ?></span></label>
                        </span>
					<?php } ?>
                    </div>

                    <input type="button" onclick="eblog.dashboard.quickpost.draft();" value="<?php echo JText::_('COM_EASYBLOG_SAVE_AS_DRAFT_BUTTON'); ?>" class="ui-button" name="save-draft" />
                    <span id="quickdraft-loading" class="fleft mts ir"></span>
                    <input type="reset" value="<?php echo JText::_('COM_EASYBLOG_RESET_FORM_BUTTON'); ?>" class="ui-button" name="reset-form" id="reset-form" />
                </div>
            </form>
        </div>
    </div>
<?php } ?>