<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
?>
<div id="dashboard-entries" class="prel stackSelectGroup">
	<div class="ptl clearfix">
		<div class="page_title teams_title fleft reset fsx fwb"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_TEAMBLOG_PAGE_HEADING'); ?></div>
	</div>
</div>
<div id="write_container">
	<form name="adminForm" id="adminForm">
		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="team-request tablerest">
			<thead>
				<tr class="page_row_white">
					<th class="tdac">#</th>
					<th style="width: 150px;"><?php echo JText::_('COM_EASYBLOG_TEAMBLOG_NAME'); ?></th>
					<th style="width: 150px;"><?php echo JText::_('COM_EASYBLOG_TEAMBLOG_REQUESTOR'); ?></th>
					<th><?php echo JText::_('COM_EASYBLOG_TEAMBLOG_REQUEST_DATE'); ?></th>
					<th style="width: 150px; text-align: center;"><?php echo JText::_('COM_EASYBLOG_TEAMBLOG_APPROVAL'); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php				
				if( count($requests) > 0 )
				{
					for($i = 0; $i< count($requests); $i++)
					{
					    $entry  = $requests[$i];
					
						$requestor	=& JFactory::getUser( $entry->user_id );
						
						$user		=& JTable::getInstance( 'Profile' , 'Table' );
						$user->setUser($requestor);
						
						$created	= EasyBlogDateHelper::dateWithOffSet($entry->created);
	
				?>
				<tr class="entry item-wrapper page_row<?php echo ($i % 2 == 0) ? '_white' : '' ?>" id="td-<?php echo $entry->id; ?>">
					<td class="tdac"><?php echo $i + 1; ?></td>
					<td>
						<?php echo $entry->title; ?>
					</td>
					<td>
						<?php echo $user->getName(); ?>
					</td>
					<td>
					    <?php echo EasyBlogDateHelper::toFormat($created, $system->config->get('layout_dateformat', '%A, %d %B %Y') ); ?>
					</td>
					<td class="tdac">
						<a class="ui-button" href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&controller=dashboard&task=teamApproval&id='.$entry->id.'&team='.$entry->team_id.'&approve=1'); ?>" class="text-green"><?php echo JText::_('COM_EASYBLOG_TEAMBLOG_APPROVE_REQUEST'); ?></a>
						<a class="ui-button" href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&controller=dashboard&task=teamApproval&id='.$entry->id.'&team='.$entry->team_id.'&approve=0'); ?>" class="text-red"><?php echo JText::_('COM_EASYBLOG_TEAMBLOG_REJECT_REQUEST'); ?></a>
					</td>
				</tr>
				<?php
					}//end for
				}
				else
				{
				?>
				<tr>
					<td colspan="5" height="30">
						<div style="text-align: center; height: 30px; line-height: 30px;"><?php echo JText::_('COM_EASYBLOG_TEAMBLOG_NO_REQUEST'); ?>.</div>
					</td>
				</tr>
				<?php
				}
				?>
			</tbody>
			<?php if ( $requests && !empty($pagination) ) : ?>
			<tfoot>
				<td colspan="5" align="center">
					<div class="pagination"><?php echo $pagination->getPagesLinks(); ?></div>
				</td>
			</tfoot>
			<?php endif; ?>
		</table>
	</form>
</div>