<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div class="ui-sectionsep"><div><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_PUBLISHING_OPTIONS_HEADING'); ?></div></div>

<table width="80%" border="0" cellpadding="0" cellspacing="0" class="tablerest">
	<?php if( $teams ) { ?>
	<tr>
		<td class="key" width="120">
			<label><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_PUBLISHING_CONTRIBUTION');?></label>
		</td>
		<td>
            <div class="mbs">
            <div class="blog-contributions mtm">
                <span class="ui-span">
        			<input type="radio" name="blog_contribute" id="team_site" value="0" <?php echo ($isSiteWide) ? 'checked' : ''; ?> onclick="sQuery( this ).parent().toggleClass( 'active' );" />
                    <label for="team_site" class="mls"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_PUBLISHING_CONTRIBUTION_SITE_WIDE'); ?></label>
                </span>
            </div>
			<?php
			if( $teams )
			{
				foreach( $teams as $team )
				{
					$isTeamChecked  = false;
					if( $isDraft )
					{
					    if( isset($draft->blog_contribute) )
					    {
					        $isTeamChecked  = ($team->id == $draft->blog_contribute) ? true : false;
					    }
					}
					else
					{
					    $isTeamChecked  = $team->isPostOwner( $blog->id );
					}
			?>
            <div class="blog-contributions mts">
                <span class="ui-span">
        			<input type="radio" name="blog_contribute" id="team_<?php echo $team->id;?>" value="<?php echo $team->id;?>" onclick="sQuery( this ).parent().toggleClass( 'active' );"<?php echo ($isTeamChecked) ? ' checked="checked"' : ''; ?> />
                    <label for="team_<?php echo $team->id;?>" class="mls">
                        <img src="<?php echo $team->getAvatar();?>" width="30" height="30" class="avatar fleft mrs" />
                        <span style="display:inline-table;vertical-align:middle"><?php echo $team->title;?></span>
                    </label>
                </span>
            </div>
			<?php
				}
			}
			?>
            </div>
		</td>
	</tr>
	<?php } else { ?>
	    <input type="hidden" name="blog_contribute" value="0" />
	<?php } ?>

	<?php if ( $system->config->get('main_comment') && $this->acl->rules->change_setting_comment ) { ?>
	<tr>
		<td class="key" width="120"><label><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_PUBLISHING_ALLOW_COMMENTING'); ?></label></td>
		<td>
            <div class="mts"><?php echo $this->renderCheckbox( 'allowcomment' , $allowComment );?></div>
		</td>
	</tr>
	<?php } ?>

	<?php if ( $this->acl->rules->change_setting_subscription && $system->config->get('main_subscription') ) { ?>
	<tr>
		<td class="key" width="120"><label><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_PUBLISHING_ALLOW_SUBSCRIPTIONS'); ?></label></td>
		<td>
            <div class="mts"><?php echo $this->renderCheckbox( 'subscription' , $subscription );?></div>
		</td>
	</tr>
	<?php } ?>
	<?php if ( $this->acl->rules->contribute_frontpage ) { ?>
	<tr>
		<td class="key" width="120"><label><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_PUBLISHING_DISPLAY_ON_FRONTPAGE'); ?></label></td>
		<td>
			<div class="mts"><?php echo $this->renderCheckbox( 'frontpage' , $frontpage );?></div>
		</td>
	</tr>
	<?php } ?>


	<?php if($system->config->get('main_password_protect') && !$blog->isFeatured() ){ ?>
	<tr>
		<td class="key" width="120"><label><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_PUBLISHING_PROTECTION'); ?></label></td>
		<td>
            <div class="blog-contributions mts">
                <div class="small"><?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_WRITE_PUBLISHING_PROTECTION_INSTRUCTIONS' );?></div>
				<input type="text" name="blogpassword" id="blogpassword" value="<?php echo $blog->blogpassword;?>" class="inputbox" />
            </div>
		</td>
	</tr>
	<?php } ?>

	<tr>
		<td class="key" width="120"><label><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_CREATION_DATE'); ?></label></td>
		<td>
			<?php
				jimport( 'joomla.utilities.date' );
				$date 	= EasyBlogDateHelper::getDate();
				$now 	= EasyBlogDateHelper::toFormat($date);

				if($blog->created != "")
				{
				    $newDate    = EasyBlogDateHelper::getDate($blog->created);
				    $now 		= EasyBlogDateHelper::toFormat($newDate);
				}
				echo EasyBlogHelper::dateTimePicker('created', $now, $now); 
			?>
		</td>
	</tr>

	<tr>
		<td class="key" width="120"><label><?php echo JText::_('COM_EASYBLOG_PUBLISHING_DATE'); ?></label></td>
		<td>
			<?php
				if($blog->publish_up != "")
				{
				    $newDate    = EasyBlogDateHelper::getDate($blog->publish_up);
					$now		= EasyBlogDateHelper::toFormat($newDate);
				}
				else {
					$now 		= EasyBlogDateHelper::toFormat($date);
				}

				echo EasyBlogHelper::dateTimePicker('publish_up', $blog->publish_up != '' ? $now : JText::_('COM_EASYBLOG_IMMEDIATELY'), $now); 
			?>
		</td>
	</tr>

	<tr>
		<td class="key" width="120"><label><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_UNPUBLISH_DATE'); ?></label></td>
		<td>
			<?php
				$notEmpty = true;
				if ( $blog->publish_down == "0000-00-00 00:00:00" || empty($blog->publish_down))
				{
					$now 			= '';
					$notEmpty 		= false;
				}
				else {
					$newDate    = EasyBlogDateHelper::getDate($blog->publish_down);
					$now		= EasyBlogDateHelper::toFormat($newDate);
					$notEmpty 	= true;
				}
				
				echo EasyBlogHelper::dateTimePicker('publish_down', $notEmpty ? $now : JText::_('COM_EASYBLOG_NEVER'), $now, true);
			?>
		</td>
	</tr>

</table>
