<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
var emptyText = "<?php echo JText::_("COM_EASYBLOG_DASHBOARD_WRITE_DEFAULT_TITLE");?>";

sQuery(document).ready( function(){	
	<?php  if ( !$blog->title ) { ?>
		sQuery( '#title' ).val(emptyText);
	<?php } ?>
	
	sQuery("#title").bind("focus", function() {
			if ( sQuery(this).val() == emptyText ) {
				sQuery(this).val("").removeClass("default-text");
			}
	});
		
	sQuery("#title").bind("blur", function() {
			if ( sQuery(this).val() == "" ) {
				sQuery(this).val(emptyText).addClass("default-text");
			}
	});
	
	// Editor initialization so we can use their methods.
	eblog.editor.getContent = function(){
		return <?php echo JFactory::getEditor( $system->config->get( 'layout_editor' ) )->getContent( 'write_content' ); ?>
	}
	
	eblog.editor.setContent = function( value ){
		return <?php echo JFactory::getEditor( $system->config->get( 'layout_editor' ) )->setContent( 'write_content' , 'value' ); ?>
	}

	<?php if( $system->config->get( 'layout_dashboardintro' ) ){ ?>
	eblog.editor.getIntro = function(){
		return <?php echo JFactory::getEditor( $system->config->get( 'layout_editor' ) )->getContent( 'intro' ); ?>
	}
	
	eblog.editor.setIntro = function( value ){
		return <?php echo JFactory::getEditor( $system->config->get( 'layout_editor' ) )->setContent( 'intro', 'value' ); ?>
	}
	<?php } ?>
	
	eblog.drafts.getContent	= function(){
		return <?php echo JFactory::getEditor( $system->config->get( 'layout_editor' ) )->getContent( 'write_content' ); ?>
	}
	
	eblog.editor.toggleSave = function(){
		<?php echo JFactory::getEditor( $system->config->get( 'layout_editor' ) )->save( 'write_content' ); ?>
		<?php if( $system->config->get( 'layout_dashboardintro' ) ){
			echo JFactory::getEditor( $system->config->get( 'layout_editor' ) )->save( 'intro' );
		} ?>
	}
	
	
	eblog.drafts.getIntro = function(){
	    <?php if( $system->config->get( 'layout_dashboardintro' ) ){ ?>
		return <?php echo JFactory::getEditor( $system->config->get( 'layout_editor' ) )->getContent( 'intro' ); ?>
		<?php } else { ?>
		    return '';
		<?php } ?>
	}
	

	sQuery('#title').bind('change', function() {
		eblog.editor.permalink.generate();
	});
	
	sQuery( '#permalink-data' ).bind( 'keyup' , function( e ){
		var code = (e.keyCode ? e.keyCode : e.which);
		if( code == 13 )
		{
			eblog.editor.permalink.save();
		}
	});
	
	sQuery( '#search-content-intro,#search-content-write_content' ).bind( 'keyup' , function( e ){
		var code = (e.keyCode ? e.keyCode : e.which);
		if( code == 13 )
		{
			sQuery( this ).next().click();
		}
	});
	
	sQuery( '#description' ).bind( 'keyup' , function(){
		var length	= sQuery(this).val().length;
		sQuery( '#text-counter' ).val( length );
	});

	<?php
	if( $blog->id )
	{
	?>
	// If blog is edited, we do not want to automatically generate the permalink
	eblog.editor.permalink.edited	= true;
	<?php
	}
	?>
	eblog.checkbox.render();
});

sQuery(window).load(function()
{
	<?php if( ( !$isEdit || ( $isEdit && !$draft->id ) || $isDraft ) && $system->config->get( 'main_autodraft' ) && !$isPending ){ ?>
	eblog.drafts.frequency	= <?php echo $system->config->get( 'main_autodraft_interval' ); ?> * 1000;
	setTimeout( 'eblog.drafts.check()', eblog.drafts.frequency );

	<?php } ?>
});

function changeAuthor(id, name, avatar )
{
	sQuery( '#author-name' ).html( name );
	sQuery( '#author-avatar' ).attr( 'src' , avatar );
	sQuery( '#created_by' ).val( id );
	ejax.closedlg();
}


</script>

<?php if ( empty($this->acl->rules->publish_entry) ){ ?>
	<div class="eblog-message warning">
		<?php echo JText::_('COM_EASYBLOG_DASHBOARD_ALL_NEW_ENTRY_WILL_BE_MODERATE_BY_ADMINS'); ?>
	</div>
<?php } ?>

<?php if( $draft->id && !$isDraft ) { ?>
	<div class="eblog-message warning clearfix">
		<?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_WRITE_DRAFT_EXISTS' ); ?>
		<a class="ui-button" href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=dashboard&layout=write&draft_id=' . $draft->id ); ?>"><?php echo JText::_( 'COM_EASYBLOG_LOAD_AUTOSAVED_BUTTON' ); ?></a>
	</div>
<?php } ?>

<form name="adminForm" id="blogForm" method="post" action="">
<div id="write_container">
	<div class="write-posthead clearfix mbl mts">
		<div id="draft_status" class="ico-draft ico fleft mts"><span></span></div>
		<div class="write-postbutton fright">
			<span class="ui-highlighter publish-to fleft">
				<?php if( 
						$this->acl->rules->update_facebook && $system->config->get( 'integrations_facebook' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'FACEBOOK' ) ||
						$this->acl->rules->update_twitter && $system->config->get( 'integrations_twitter' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'TWITTER' ) ||
						$this->acl->rules->update_linkedin && $system->config->get( 'integrations_linkedin' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'LINKEDIN' ) ){
				?>
                <span><?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_QUICKPOST_ALSO_PUBLISH_TO' );?> : </span>
                <?php } ?>
                
				<?php if( $this->acl->rules->update_facebook && $system->config->get( 'integrations_facebook' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'FACEBOOK' ) ){?>
                <span class="ui-span">
            		<input type="checkbox" name="socialshare[]" value="facebook" id="socialshare-facebook"<?php echo (EasyBlogHelper::getHelper( 'SocialShare' )->hasAutoPost( $system->my->id , 'FACEBOOK' ) && empty($blog->id)) ? ' checked="checked"' : '';?> onclick="eblog.dashboard.socialshare.setActive( this );" />
            		<label for="socialshare-facebook" title="<?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_FACEBOOK' ); ?>"><span class="ir ico-fb"><?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_FACEBOOK' ); ?></span></label>
                </span>
                <?php } ?>
                
				<?php if( $this->acl->rules->update_twitter && $system->config->get( 'integrations_twitter' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'TWITTER' ) ){?>
                <span class="ui-span">
            		<input type="checkbox" name="socialshare[]" value="twitter" id="socialshare-twitter"<?php echo (EasyBlogHelper::getHelper( 'SocialShare' )->hasAutoPost( $system->my->id , 'TWITTER' ) && empty($blog->id)) ? ' checked="checked"' : '';?> onclick="eblog.dashboard.socialshare.setActive( this );" />
            		<label for="socialshare-twitter" title="<?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_TWITTER' ); ?>"><span class="ir ico-tw"><?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_TWITTER' ); ?></span></label>
                </span>
                <?php } ?>
                
				<?php if( $this->acl->rules->update_linkedin && $system->config->get( 'integrations_linkedin' ) && EasyBlogHelper::getHelper( 'SocialShare' )->isAssociated( $system->my->id , 'LINKEDIN' )  ){?>
                <span class="ui-span">
            		<input type="checkbox" name="socialshare[]" value="linkedin" id="socialshare-linkedin"<?php echo (EasyBlogHelper::getHelper( 'SocialShare' )->hasAutoPost( $system->my->id , 'LINKEDIN' ) && empty($blog->id)) ? ' checked="checked"' : '';?> onclick="eblog.dashboard.socialshare.setActive( this );" />
            		<label for="socialshare-linkedin" title="<?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_LINKEDIN' ); ?>"><span class="ir ico-ln"><?php echo JText::_( 'COM_EASYBLOG_SOCIALSHARE_LINKEDIN' ); ?></span></label>
                </span>
                <?php } ?>
            </span>
            
    		<?php if ( !empty( $this->acl->rules->manage_pending ) && $isPending ) : ?>
            <button type="button" id="reject_post_button" onclick="eblog.editor.reject( '<?php echo $draft->id; ?>' );return false;" class="ui-button mlm">
    			<span class="ico btn-del"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_REJECT_POST'); ?></span>
    		</button>
            
			<button type="button" id="save_post_button" onclick="eblog.editor.save();return false;" class="ui-button mlm">
    			<span class="ico btn-tick"><?php echo JText::_('COM_EASYBLOG_DASHBOARD_WRITE_APPROVE_POST'); ?></span>
    		</button>
    		<?php else : ?>
				<?php if( empty($blog->id) ) : ?>
					<button type="button" onclick="eblog.drafts.save();return false;" class="ui-button isBlue mlm"><span class="ico btn-cloud"><?php echo JText::_('COM_EASYBLOG_SAVE_AS_DRAFT_BUTTON'); ?></span></button>
	            <?php endif; ?>
					<button type="button" id="save_post_button" onclick="eblog.editor.save();return false;" class="ui-button isGreen mlm">
	            	<?php if( $isEdit && !empty($this->acl->rules->publish_entry) ){ ?>
	            		<span class="ico btn-tick2"><?php echo JText::_( 'COM_EASYBLOG_UPDATE_POST_BUTTON' ); ?></span>
	            	<?php } else { ?>
	            		<?php if( empty($this->acl->rules->publish_entry) ){ ?>
	                		<span class="ico btn-tick2"><?php echo JText::_( 'COM_EASYBLOG_SUBMIT_FOR_REVIEW_BUTTON' ); ?></span>
	                	<?php } else { ?>
	                		<span class="ico btn-tick2"><?php echo JText::_( 'COM_EASYBLOG_PUBLISH_NOW_BUTTON' ); ?></span>
	                	<?php } ?>
	                <?php } ?>
					</button>
    		<?php endif; ?>
        </div>
    </div><!-- end: .write-posthead -->
    <a id="write-entry">&nbsp;</a>
	<div class="ui-modbox" id="widget-writepost">
		<div class="ui-modhead">
			<div class="ui-modtitle"><?php echo $editorTitle; ?></div>
			<a href="javascript:void(0);" onclick="eblog.dashboard.toggle( this );" class="ui-tog pabs atr ir"><?php echo JText::_( 'COM_EASYBLOG_HIDE' );?></a>
		</div>
		<div class="ui-modbody clearfix">
			<div class="write-postinfo clearfix">
				<div class="fright write-postauthor">
					<img src="<?php echo (empty($author)) ? $user->getAvatar() : $author->getAvatar();?>" width="23" height="23" style="border:1px solid #555" class="fright mls avatar" />
					<span class="ui-span mts">
						<?php echo JText::_( 'COM_EASYBLOG_DASHBOARD_WRITE_PUBLISH_UNDER' ); ?>
						<span id="author-name"><?php echo empty( $author ) ? $user->getName() : $author->getName(); ?></span>
						<?php if( $system->admin || !empty($this->acl->rules->moderate_entry) ){ ?>
						- <a href="javascript:void(0);" onclick="eblog.dashboard.changeAuthor('<?php echo JText::_('COM_EASYBLOG_DASHBOARD_DIALOG_CHANGE_AUTHOR_TITLE'); ?>','<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&controller=dashboard&task=listBloggers&tmpl=component&browse=1');?>');"><?php echo JText::_('COM_EASYBLOG_CHANGE'); ?></a>
						<?php } ?>
					</span>			
					<input type="hidden" name="created_by" id="created_by" value="<?php echo empty($author) ? $user->id : $author->id;?>" />
              	</div>
				<select id="published" name="published" class="ui-select">
					<option value="1"<?php echo $blog->published ? ' selected="selected"' : '';?>><?php echo JText::_('COM_EASYBLOG_PUBLISHED');?></option>
					<option value="0"<?php echo !$blog->published ? ' selected="selected"' : '';?>><?php echo JText::_('COM_EASYBLOG_UNPUBLISHED');?></option>
				</select>
				<?php echo $nestedCategories; ?>
				<?php echo JHTML::_( 'select.genericlist' , EasyBlogHelper::getHelper( 'Privacy' )->getOptions() , 'private' , 'size="1" class="inputbox"' , 'value' , 'text' , $isPrivate );?>
              <div class="clear"></div>
			</div>
			<?php echo $this->set( 'editorName' , 'write_content' ); ?>
			<div class="write-posteditor">
				<div class="ui-inputfull clearfix mbm mts">
					<input type="text" name="title" id="title" value="<?php echo $blog->title; ?>" class="ui-post_title full" />
					<div class="permalink-editor mtm fft">
                  		<strong><?php echo JText::_( 'COM_EASYBLOG_PERMALINK' );?></strong> :
                  		<span id="permalink-value"<?php echo $blog->id ? ' style="display: inline;"' : '';?>>
    						<span id="permalink-url"><?php echo $blog->permalink;?></span>
    						<a href="javascript:void(0);" onclick="eblog.editor.permalink.edit();" id="edit-permalink" class="ui-button" style="display: inline;"><?php echo JText::_('COM_EASYBLOG_EDIT'); ?></a>
    					</span>
    					<span id="permalink-edit" style="display: none;">
    						<span><input type="text" name="permalink" id="permalink-data" value="<?php echo $blog->permalink;?>" class="ui-post_slug" /></span>
    						<!-- show link below after edit button clicked -->
                        	<a href="javascript:eblog.editor.permalink.save();" id="save-slug" class="ui-button"><?php echo JText::_('COM_EASYBLOG_SAVE'); ?></a>
                        	<a href="javascript:eblog.editor.permalink.edit();" id="cancel-slug"><?php echo JText::_('COM_EASYBLOG_CANCEL'); ?></a>
                      	</span>
					</div>
          		</div>
				<?php echo $this->fetch( 'dashboard.write.insert.php' ); ?>
				<div id="wysiwyg" class="clearfix">
					<?php echo $editor->display('write_content', $blog->content, '99%', '350', '10', '10', array('image', 'readmore', 'pagebreak'), null, 'com_easyblog'); ?>
				</div>				
			</div>
			<?php echo $this->fetch( 'dashboard.write.tags.php' ); ?>
			<?php echo $this->fetch( 'dashboard.write.options.php' ); ?>
		</div><!-- end: .ui-modbody -->
	</div>
	<?php if( $system->config->get( 'layout_dashboardintro' ) ){ ?>
	<?php echo $this->fetch( 'dashboard.write.introtext.php' ); ?>
	<?php } ?>
	
	<?php if( $system->config->get( 'layout_dashboardseo' ) ){ ?>
	<?php echo $this->fetch( 'dashboard.write.seo.php' ); ?>
	<?php } ?>
	
	<?php if( $system->config->get( 'layout_dashboardtrackback' ) ){ ?>
	<?php echo $this->fetch( 'dashboard.write.trackback.php' ); ?>
	<?php } ?>
</div>

<?php if( $isPending ) : ?>
<input type="hidden" name="under_approval" value="1" />
<?php endif; ?>
<input type="hidden" name="draft_id" id="draft_id" value="<?php echo $draft->id;?>" />
<input type="hidden" name="option" value="com_easyblog" />
<input type="hidden" name="controller" value="dashboard" />
<input type="hidden" name="task" id="form-task" value="save" />
<input type="hidden" name="id" value="<?php echo $blog->id; ?>" />
<input type="hidden" name="metaid" value="<?php echo $meta->id; ?>" />
</form>
<div class="clearfix"></div>