<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
?>
<div id="section-author" class="blog-section tab_container clearfix">
	<h3 class="section-title"><?php echo JText::_('COM_EASYBLOG_ENTRY_ABOUT_AUTHOR_TITLE'); ?></h3>
	<?php if ( $system->config->get('layout_avatar') ) : ?>
		<img src="<?php echo $blogger->getAvatar();?>" class="avatar fleft mrm" width="64" height="64" />
	<?php endif; ?>
    <div class="tablecell">
    	<h4 class="author-name rip mbs">
    		<a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $blogger->id );?>"><?php echo $blogger->getName(); ?></a>
    	</h4>
        <?php if ( !empty( $blogger->biography ) ) : ?>
        <div class="author-about"><?php echo nl2br($blogger->biography); ?></div>
        <?php endif; ?>
    </div>
    <div class="clear"></div>
	<div class="author-meta">
		<?php if ( $blogger->getWebsite() != '' ) : ?>
			<span><a href="<?php echo $blogger->getWebsite(); ?>" target="_blank" class="author-url fleft mtm"><?php echo $blogger->getWebsite(); ?></a></span>
		<?php endif; ?>
		<span class="fleft mtm mlm"><?php echo EasyBlogHelper::getHelper( 'Messaging' )->getHTML( $blogger->id ); ?></span>
		<span class="fleft mtm mlm"><?php echo EasyBlogHelper::getHelper( 'Friends' )->getHTML( $blogger->id ); ?></span>
		<?php
		if( $blogger->getProfileLink() !== false )
		{ 
		?>
		<span class="fleft mtm mlm">
			<a href="<?php echo $blogger->getProfileLink();?>" class="ico author-profile"><?php echo JText::_( 'COM_EASYBLOG_AUTHOR_VIEW_PROFILE' );?></a>
		</span>
		<?php
		} ?>
	</div>
</div>
