<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-body">
    <div id="ezblog-section"><?php echo JText::_('COM_EASYBLOG_ARCHIVE_PAGE_TITLE') ?></div>
    <div class="eblog-message info"><?php echo $archiveTitle; ?></div>
	<ul class="archive-list ulrest">
    <?php
	if( $data )
	{
		foreach ( $data as $row )
		{
			$isMineBlog = EasyBlogHelper::isMineBlog($row->created_by, $my->id);
			
			$team   = '';
		    if( isset($row->team_id) )
		    {
				$team	= ( !empty( $row->team_id )) ? '&team=' . $row->team_id : '';
		    }
    ?>

			<li id="entry_<?php echo $row->id; ?>" class="post-wrapper <?php echo (!empty($team)) ? 'teamblog-post' : '' ;?>">
                <h3 class="rip blog-title">
    				<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry'.$team.'&id='.$row->id); ?>" class="fsx fwb"><?php echo $row->title; ?></a>
                    <?php if( $row->isFeatured ) { ?><sup class="tag-featured"><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURED'); ?></sup><?php } ?>
                </h3>
				<div><?php echo (JString::strlen($row->text) > 150) ? JString::substr(strip_tags($row->text), 0, 150) . '...' : strip_tags($row->text) ; ?></div>
                <div class="small">
                    <span><?php echo JText::sprintf( 'COM_EASYBLOG_BY_AUTHOR_ON', EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$row->created_by), $row->displayName); ?></span>
                    <span><?php echo $this->formatDate( $config->get('layout_shortdateformat', '%b %d') , $row->created ); ?></span>
                    <b>&middot;</b>
                    <span><?php echo JText::sprintf('COM_EASYBLOG_POSTED_IN_CATEGORY', EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id='.$row->category_id), $row->category); ?></span>
                    <b>&middot;</b>
                    <?php
    				if( $system->config->get('main_comment') && $row->totalComments !== false )
    				{
    				?>
                    <span><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry'.$team.'&id='.$row->id); ?>#comments"><?php echo $this->getNouns( 'COM_EASYBLOG_COMMENT_COUNT' , $row->totalComments , true ); ?></a></span>
    				<?php
    				}
    				?>
                </div>
			</li>
    <?php
    	}
    }
    else
    {
    ?>
    	<div class="eblog-message info mtm"><?php echo $emptyPostMsg;?></div>
    <?php } ?>
    </ul>
    <?php if( $pagination )
    {
    ?>
    <div class="pagination"><?php echo $pagination;?></div>
    <?php
    }
    ?>
</div>
