<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-body">
	<div id="ezblog-section">
		<span><?php echo JText::sprintf('COM_EASYBLOG_BLOGGER_PAGE_HEADING' , $blogger->getName() ); ?></span>
	</div>
	<!-- Blogger Block -->
	<div id="ezblog-detail" class="forBlogger">
        <div id="blogger-<?php echo $blogger->id; ?>" class="profile-head<?php echo ($blogger->isFeatured() ) ? ' featured-blogger' : ''; ?> clearfix prel">
            <?php if ( $system->config->get('layout_avatar') ) : ?>
            <div class="profile-avatar fleft">
                <img src="<?php echo $blogger->getAvatar(); ?>" alt="<?php echo $blogger->getName(); ?>" width="80" class="avatar" />
            </div>
            <?php endif; ?>
            <div class="profile-info tablecell">
            <h3 class="profile-title rip">
                <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$blogger->id); ?>"><?php echo $blogger->getName(); ?></a>
                <?php if ($blogger->isFeatured() ) : ?>
                <sup class="tag-featured"><?php echo JText::_( 'COM_EASYBLOG_FEATURED_BLOGGER_FEATURED' );?></sup>
                <?php endif; ?>
            </h3>

            <div class="profile-connect">
                <?php if ( !empty( $twitterLink ) ) : ?>
                <a class="ico link-twitter" href="<?php echo $twitterLink; ?>" title="<?php echo JText::_('COM_EASYBLOG_INTEGRATIONS_TWITTER_FOLLOW_ME'); ?>"><span><?php echo JText::_('COM_EASYBLOG_INTEGRATIONS_TWITTER_FOLLOW_ME'); ?></span></a>
                <?php endif; ?>
                <?php echo $blogger->getWebsite() == '' ? '' : '<a href="' . $blogger->getWebsite() .'" target="_blank" class="ico link-globe">' . $blogger->getWebsite() . '</a>'; ?>
            </div><!--end: .blogger-connect-->
            <div class="profile-bio"><?php echo $blogger->getBiography();?></div>
            <div class="profile-connect">
				<?php
				if( $blogger->getProfileLink() !== false )
				{ 
				?>
					<a href="<?php echo $blogger->getProfileLink();?>" class="ico author-profile"><?php echo JText::_( 'COM_EASYBLOG_AUTHOR_VIEW_PROFILE' );?></a>
				<?php
				} ?>
                <?php echo EasyBlogHelper::getHelper( 'Messaging' )->getHTML( $blogger->id ); ?>
                <?php if( $system->config->get('main_bloggersubscription') ) { ?>
                <a class="ico link-subscribe" href="javascript:eblog.subscription.show( '<?php echo EBLOG_SUBSCRIPTION_BLOGGER; ?>' , '<?php echo $blogger->id;?>');" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIPTION_SUBSCRIBE_TO_BLOGGER'); ?>">
                    <span><?php echo JText::_('COM_EASYBLOG_SUBSCRIPTION_SUBSCRIBE_TO_BLOGGER'); ?></span>
                </a>
                <?php } ?>

                <?php if( $system->config->get('main_rss') ) { ?>
                <a class="ico link-rss" href="<?php echo $blogger->getRSS();?>" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?>">
                    <span><?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?></span>
                </a>
                <?php } ?>

                <?php if( $system->admin ) : ?>
                <a href="javascript:eblog.featured.add('blogger','<?php echo $blogger->id;?>');" <?php echo ($blogger->isFeatured()) ? 'style="display:none;"' : '';?> class="ico feature-add">
                    <span><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_THIS'); ?></span>
                </a>
                <a href="javascript:eblog.featured.remove('blogger','<?php echo $blogger->id;?>');"  <?php echo ($blogger->isFeatured()) ? '' : 'style="display:none;"';?> class="ico feature-del">
                    <span><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_REMOVE'); ?></span>
                </a>
                <?php endif; ?>
            </div><!--end: .blogger-connect-->
            </div><!--end: .profile-info-->
        </div><!--end: .profile-info-->
    </div>

    <div id="ezblog-posts" class="forBlogger">
	<?php if(isset($statType)) : ?>
    	<div>
    	    <h2><?php echo ($statType == 'tag') ? JText::sprintf( 'COM_EASYBLOG_BLOGGER_STAT_TAG' , $statObject->title) : JText::sprintf('COM_EASYBLOG_BLOGGER_STAT_CATEGORY', $statObject->title); ?></h2>
     	</div>
    	<?php endif ?>
    	<?php
    	if(!empty($blogs))
    	{
    		foreach ($blogs as $row)
    		{
                $isMineBlog = EasyBlogHelper::isMineBlog($row->created_by, $system->my->id);

                $this->set( 'data' , array( $row ) );
                echo $this->fetch( 'blog.item.php' );
    		}
    	}
    	else
    	{
    	?>
    	<div class="eblog-message info"><?php echo JText::sprintf('COM_EASYBLOG_BLOGGERS_NO_POST_YET' , $blogger->getName() ); ?></div>
        <?php
    	}
    	?>
    
    	<div class="pagination">
    		<?php echo $pagination; ?>
    	</div>
    </div>
</div>