<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-body">
    <div id="bloggers-sorting">
    	<form name="frmBlogger" id="frmBlogger" action="<?php echo JRequest::getURI(); ?>" method="get" class="blogger-filter">
    		<input type="hidden" name="option" value="com_easyblog" />
    		<input type="hidden" name="view" value="blogger" />
    		<input type="hidden" name="Itemid" value="<?php echo JRequest::getVar('Itemid', '');?>" />
    		<?php echo $sortHTML; ?>
    		<?php echo $filterHTML; ?>
    		<input class="ui-button" type="submit" value="<?php echo JText::_('COM_EASYBLOG_FILTER');?>" name="btnSubmit" id="btnSubmit" />
    	</form>
    </div><!--end: #bloggers-sorting-->
    
    <div id="ezblog-section"><?php echo JText::_('COM_EASYBLOG_BLOGGERS_PAGE_HEADING'); ?></div>
    
    <div id="ezblog-bloggers">
        <?php foreach($data as $row) {?>
        <div id="blogger-<?php echo $row->id; ?>" class="profile-item<?php echo ( $row->blogger->isFeatured() ) ? ' featured-blogger' : ''; ?> clearfix prel" >
            <div class="profile-head clearfix prel">
                <?php if ( $system->config->get('layout_avatar') ) : ?>
                <div class="profile-avatar fleft">
                    <img src="<?php echo $row->blogger->getAvatar(); ?>" alt="<?php echo $row->blogger->getName(); ?>" width="80" class="avatar" />
                </div>
                <?php endif; ?>

                <div class="profile-info tablecell">
                    <h3 class="profile-title rip">
                        <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $row->id); ?>"><?php echo $row->blogger->getName(); ?></a>
                        <?php if ($row->blogger->isFeatured() ) : ?>
                            <sup class="tag-featured"><?php echo JText::_( 'COM_EASYBLOG_FEATURED_BLOGGER_FEATURED' );?></sup>
                        <?php endif; ?>
                    </h3>

                    <div class="profile-connect">
                        <?php if ( !empty( $row->twitterLink ) ) : ?>
        				    <a class="ico link-twitter" href="<?php echo $row->twitterLink; ?>" title="<?php echo JText::_('COM_EASYBLOG_INTEGRATIONS_TWITTER_FOLLOW_ME'); ?>">
                                <span><?php echo JText::_('COM_EASYBLOG_INTEGRATIONS_TWITTER_FOLLOW_ME'); ?></span>
                            </a>
        				<?php endif; ?>
                        <?php echo ( $row->blogger->getWebsite() == '' ) ? '' : '<a href="'.$row->blogger->getWebsite() .'" target="_blank" class="ico link-globe">' . $row->blogger->getWebsite() . '</a>'; ?>
    				</div><!--end: .blogger-connect-->

                    <div class="profile-bio"><?php echo $row->blogger->getBiography(); ?></div>
                    <div class="profile-connect">
						<?php
						if( $row->blogger->getProfileLink() !== false )
						{ 
						?>
							<a href="<?php echo $row->blogger->getProfileLink();?>" class="ico author-profile"><?php echo JText::_( 'COM_EASYBLOG_AUTHOR_VIEW_PROFILE' );?></a>
						<?php
						} ?>
                    	<?php echo EasyBlogHelper::getHelper( 'Messaging' )->getHTML( $row->id ); ?>
                    	
						<?php if( $system->config->get('main_bloggersubscription') ) { ?>
    						<a class="ico link-subscribe" href="javascript:void(0);" onclick="eblog.subscription.show( '<?php echo EBLOG_SUBSCRIPTION_BLOGGER; ?>' , '<?php echo $row->id;?>');" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIBE'); ?>">
                                <span><?php echo JText::_('COM_EASYBLOG_SUBSCRIPTION_SUBSCRIBE_TO_BLOGGER'); ?></span>
                            </a>
						<?php } ?>
						<?php if( $system->config->get('main_rss') ) { ?>
                            <a class="ico link-rss" href="<?php echo $row->rssLink;?>" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?>"><span><?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?></span></a>
						<?php } ?>

						<?php if( $system->admin ){ ?>
							<?php if( $row->blogger->isFeatured() ){ ?>
							<a href="javascript:eblog.featured.remove('blogger','<?php echo $row->id;?>');"  <?php echo ($row->blogger->isFeatured() ) ? '' : 'style="display:none;"';?> class="ico feature-del">
								<span><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_REMOVE'); ?></span>
							</a>
							<?php } else { ?>
							<a href="javascript:eblog.featured.add('blogger','<?php echo $row->id;?>');" <?php echo ($row->blogger->isFeatured() ) ? 'style="display:none;"' : '';?> class="ico feature-add">
								<span><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_THIS'); ?></span>
							</a>
							<?php } ?>
						<?php } ?>
    				</div><!--end: .blogger-connect-->
                </div><!--end: .profile-info-->
            </div><!--end: .profile-info-->

            <div class="profile-body hasCols clearfix prel">
    		<?php if( empty( $row->blogs ) ) { ?>
                <div class="profile-main">
        			<div class="intro">
        			    <h3 style="padding: 5px;"><?php echo JText::sprintf('COM_EASYBLOG_BLOGGERS_NO_POST_YET', $row->blogger->getName() ); ?></h3>
        			</div>
                </div>
    		<?php } else { ?>
               	<div class="profile-main">
                    <h5 class="rip mbm"><?php echo JText::_( 'COM_EASYBLOG_BLOGGERS_RECENT_POSTS' );?></h5>
    				<ul class="post-list ulrest">
    					<?php foreach( $row->blogs as $entry ){ ?>
    					<?php
		                    $team       = '';
						    if( isset($entry->team_id) )
						    {
								$team	= ( !empty( $entry->team_id )) ? '&team=' . $entry->team_id : '';
						    }
    					?>
    					<li>
    						<h3 class="blog-title rip">
                                <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry'.$team.'&id='.$entry->id); ?>"><?php echo $entry->title; ?></a>
                                <?php if( $entry->isFeatured ) { ?><sup class="tag-featured"><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURED'); ?></sup><?php } ?>
                            </h3>
							<div class="blog-tags mts">
								<span><?php echo JText::sprintf('COM_EASYBLOG_TAG_LIST', $entry->tags); ?></span>
							</div>
                            <div class="small">
                            
                            <?php echo $this->formatDate( $system->config->get('layout_shortdateformat', '%b %d'), $entry->created ); ?>
                            <?php echo JText::sprintf('COM_EASYBLOG_IN', EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id='.$entry->category_id), $entry->category); ?>
                            <?php if( EasyBlogHelper::getHelper( 'Comment' )->isBuiltin() && $system->config->get('main_comment') && $entry->totalComments !== false ){ ?>
                            -
							<span class="post-comments">
								<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$entry->id); ?>#comments">
									<?php echo $this->getNouns( 'COM_EASYBLOG_COMMENT_COUNT' , $entry->totalComments , true );?>
								</a>
							</span>
							<?php } ?>
                            </div>
    					</li>
    					<?php } ?>
    				</ul>
    				<div class="post-listmore">
    					<?php echo JText::sprintf('COM_EASYBLOG_BLOGGERS_OTHER_ENTRIES', EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$row->id), $row->blogger->getName() ); ?>
    				</div>
				</div>

                <?php
                /**
                * ----------------------------------------------------------------------------------------------------------
                * Profile Extra
                * ----------------------------------------------------------------------------------------------------------
                */
                ?>
                <div class="profile-extra tablecell">
                    <div class="profile-module my-stat">
                        <h5 class="rip mbm"><?php echo JText::_( 'COM_EASYBLOG_BLOGGERS_STATISTICS' );?></h5>
                        <div class="clearfix">
                            <ul class="profile-stats ulrest flist">
                                <li class="total-post">
                                    <span class="fleft"><?php echo JText::_( 'COM_EASYBLOG_BLOGGERS_TOTAL_POSTS' );?></span>
                                    <span><?php echo $row->blogCount;?></span>
                                </li>
                                
                                <?php if( EasyBlogHelper::getHelper( 'Comment' )->isBuiltin() && $system->config->get('main_comment')){ ?>
                                <li class="total-comment">
                                    <span class="fleft"><?php echo JText::_( 'COM_EASYBLOG_BLOGGERS_TOTAL_COMMENTS' );?></span>
                                    <span><?php echo $row->commentsCount;?></span>
                                </li>
                                <?php } ?>
                                
                                <li class="total-categories">
                                        <span class="fleft"><?php echo JText::_( 'COM_EASYBLOG_BLOGGERS_TOTAL_CATEGORIES' );?></span>
                                        <span><?php echo count($row->categories); ?></span>

                                    <?php if(count($row->categories) > 0) : ?>
                                    <div class="blog-cat mts mbs">
                                        <?php for($i = 0; $i < count($row->categories); $i++) : ?>
                                        <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=statistic&id='.$row->id. '&stat=category&catid='.$row->categories[$i]->id); ?>" class="clearfix">
                                            <b class="fleft"><?php echo $row->categories[$i]->title; ?></b>
                                            <span class="fright"><?php echo $row->categories[$i]->post_count;?></span>
                                        </a>
                                        <?php endfor; ?>
                                    </div>
                                    <?php endif; ?>
                                </li>
                                <li class="total-tag">
                                    <span class="fleft"><?php echo JText::_( 'COM_EASYBLOG_BLOGGERS_TAGS' );?></span>
                                    <span class="fright"><?php echo count( $row->tags );?></span>
                                    <div class="clear"></div>
                                    <div class="blog-tag mts">
                                    <?php
									if( $row->tags )
									{
										$i	= 1;
										foreach( $row->tags as $tag )
										{
											$delimeter	= $i == count( $row->tags ) ? '' : ',';
									?>
										<a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=blogger&layout=statistic&id='.$row->id.'&stat=tag&tagid=' . $tag->id );?>"><?php echo $tag->title; ?></a><?php echo $delimeter; ?>
									<?php
											$i++;
										}
									}
									?>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div><!--end: .blog-side -->
            <?php } ?>
            </div><!--end: .profile-body-->

        </div><!--end: .profile-item-->
        <?php } //end foreach ?>
    </div><!--end: .blogger-list-->
</div><!--end: #ezblog-body-->