<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-body">
	<div id="ezblog-section"><?php echo JText::_('COM_EASYBLOG_CATEGORIES_PAGE_HEADING'); ?></div>
	<div id="ezblog-category">
		<?php foreach($data as $category) { ?>
		<div class="profile-item clearfix prel">
            <div class="profile-head clearfix prel">
                <?php if($system->config->get('layout_categoryavatar', true)) : ?>
                <div class="profile-avatar fleft"><img src="<?php echo $category->avatar;?>" align="top" width="80" height="80" class="avatar" /></div>
                <?php endif; ?>
                <div class="profile-info tablecell">
        			<h3 class="profile-title rip"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id='.$category->id); ?>"><?php echo $category->title; ?></a></h3>
        			<div class="profile-connect">
                        <?php if($system->config->get('main_categorysubscription')) { ?>
							<a href="javascript:eblog.subscription.show( '<?php echo EBLOG_SUBSCRIPTION_CATEGORY; ?>' , '<?php echo $category->id;?>');" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIPTION_SUBSCRIBE_CATEGORY'); ?>" class="ico link-subscribe">
							<?php echo JText::_('COM_EASYBLOG_SUBSCRIPTION_SUBSCRIBE_CATEGORY'); ?></a>
						<?php } ?>
						<?php if( $system->config->get('main_rss') ){ ?>
				        	<a href="<?php echo $category->rssLink;?>" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?>" class="ico link-rss"><?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?></a>
				        <?php } ?>
                        <span class="ico total-post"><?php echo $this->getNouns( 'COM_EASYBLOG_CATEGORIES_COUNT' , $category->cnt , true ); ?></span>
                    </div>
                    <?php if(! empty($category->nestedLink)) { ?>
                    <div class="profile-child">
                        <span><?php echo JText::_( 'COM_EASYBLOG_CATEGORIES_SUBCATEGORIES' ); ?></span>
                    	<?php echo $category->nestedLink; ?>
                    </div>
                    <?php } ?>
                </div><!--end: .profile-info-->
            </div><!--end: .profile-head-->
            <div class="profile-body clearfix prel">
				<div class="profile-main">
					<?php if(empty($category->blogs)) { ?>
	    				<div class="eblog-message warning"><div><?php echo JText::_('COM_EASYBLOG_CATEGORIES_NO_POST_YET'); ?></div></div>
    				<?php } else { ?>
    				<h5 class="rip mbm"><?php echo JText::_( 'COM_EASYBLOG_CATEGORIES_RECENT_POSTS' );?></h5>
    				<ul class="post-list ulrest">
    				<?php foreach( $category->blogs as $entry ){ ?>
    					<li>
    						<h3 class="blog-title rip">
                                <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $entry->id ); ?>"><?php echo $entry->title; ?></a>
                                <?php if( $entry->isFeatured ) { ?><sup class="tag-featured"><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURED'); ?></sup><?php } ?>
                            </h3>
							<div class="blog-tags mts">
								<span><?php echo JText::sprintf('COM_EASYBLOG_TAG_LIST', $entry->tags); ?></span>
							</div>
                            <div class="small">
                            	<?php echo $this->formatDate( $system->config->get( 'layout_shortdateformat' ), $entry->created ); ?>
                            	<?php echo JText::_( 'COM_EASYBLOG_BY' ); ?>
                            	<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$entry->created_by); ?>"><?php echo $entry->author->getName();?></a>
                            	<?php echo EasyBlogTooltipHelper::getBloggerHTML( $entry->created_by, array('my'=>'left top','at'=>'right bottom','of'=>array('traverseUsing'=>'prev')) ); ?>

                            	<?php if( $system->config->get('main_comment') && $entry->totalComments !== false ){ ?>
                            	-
    							<span class="post-comments <?php echo ( $system->admin || $entry->created_by == $system->my->id ) ? 'with_settings' : ''; ?>">
    								<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$entry->id); ?>#comments">
    									<?php echo $this->getNouns( 'COM_EASYBLOG_COMMENT_COUNT' , $entry->totalComments , true );?>
    								</a>
    							</span>
								<?php } ?>
                            </div>
    					</li>
    					<?php } ?>
    				</ul>
    				<div class="post-listmore">
					   	<span>
					   		<?php echo JText::_('COM_EASYBLOG_OTHER_ENTRIES_FROM'); ?>
					   		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id='.$category->id); ?>"><?php echo $category->title;?></a>
						</span>
    				</div>
					<?php } ?>
				</div><!--end: .blogger-write-->
				
				<?php if( $system->isBloggerMode === false && $category->blogs ) : ?>
				<div class="profile-extra">
                    <div class="blogger-box">
						<h5 class="rip mbm"><?php echo JText::_( 'COM_EASYBLOG_CATEGORIES_ACTIVE_BLOGGERS' );?></h5>
	                    <div class="clearfix">
							<ul class="active-bloggers clearfix flist ulrest<?php echo ( $system->config->get('layout_avatar') ) ? '' : ' no-avatar'; ?>">
	                    		<?php
	                    		    if( !empty( $category->bloggers ) )
	                    		    {
	                    		        foreach( $category->bloggers as $member )
	                    		        {
	                    		 ?>
	                            <li>
	                				<?php if ( $system->config->get('layout_avatar') ) { ?>
	                                    <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$member->id); ?>" title="<?php echo $member->getName(); ?>" class="mrs">
	                						<img class="avatar" src="<?php echo $member->getAvatar(); ?>" alt="<?php echo $member->getName(); ?>" width="50" height="50" />
	                                    </a>
	                                    <?php echo EasyBlogTooltipHelper::getBloggerHTML( $member->id, array('my'=>'left bottom','at'=>'left top','of'=>array('traverseUsing'=>'parent')) ); ?>
	                				<?php } ?>
	                    		</li>
	                    		 <?php
	                    		        }
	                    		    }
	                    		?>
	                    	</ul>
	                    </div>
                    </div>
				</div>
				<?php endif; ?>
        </div><!--end: .blogger-post.for-categories-->
	</div><!--end: .blogger-item-->
	
	<?php } //end foreach ?>
	
	<?php if(count($data) <= 0) { ?>
	<div><?php echo JText::_('COM_EASYBLOG_NO_RECORDS_FOUND'); ?></div>
	<?php } ?>
	
	<div class="pagination">
		<?php echo $pagination; ?>
	</div>		
</div>
</div><!--end: #ezblog-body-->