<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
?>

<div id="ezblog-body">
	<div id="ezblog-section"><?php echo JText::sprintf('COM_EASYBLOG_CATEGORIES_LISTINGS_PAGE_HEADING' , $category->title ); ?></div>
	<?php if ( $teamBlogCount > 0) { ?>
		<div class="eblog-message info"><?php echo $this->getNouns( 'COM_EASYBLOG_CATEGORIES_LISTINGS_TEAMBLOG_COUNT' , $teamBlogCount , true ); ?></div>
	<?php } ?>

    <div id="ezblog-profile" class="forCategory">
    	<div class="profile-head clearfix prel">
    	    <?php if($config->get('layout_categoryavatar', true)) : ?>
    	    <div class="profile-avatar fleft"><img src="<?php echo $category->getAvatar();?>" align="top" width="80" height="80" class="avatar" /></div>
    	    <?php endif; ?>

    	    <div class="profile-info tablecell">
    			<h3 class="profile-title rip"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id='.$category->id); ?>"><?php echo $category->title; ?></a></h3>
    			<div class="profile-connect">

    			<?php if( ($category->private && $system->my->id == 0 ) || $system->config->get( 'main_allowguestsubscribe' )) : ?>
    			    <?php if($config->get('main_categorysubscription')) { ?>
    					<a href="javascript:eblog.subscription.show( '<?php echo EBLOG_SUBSCRIPTION_CATEGORY; ?>' , '<?php echo $category->id;?>');" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIPTION_SUBSCRIBE_CATEGORY'); ?>" class="ico link-subscribe"><?php echo JText::_('COM_EASYBLOG_SUBSCRIPTION_SUBSCRIBE_CATEGORY'); ?></a>
    				<?php } ?>
    			<?php endif; ?>

    			<?php if( (!$category->private) || ($category->private && $system->my->id != 0 ) ) : ?>
    				<?php if( $config->get('main_rss') ){ ?>
    			    	<a href="<?php echo $category->getRSS();?>" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?>" class="ico link-rss"><?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?></a>
    			    <?php } ?>
    		    <?php endif; ?>

    		        <span class="ico total-post"><?php echo $this->getNouns( 'COM_EASYBLOG_CATEGORIES_COUNT' , $category->cnt , true ); ?></span>
    		    </div>
    		    <?php if(! empty($category->nestedLink)) { ?>
    		    <div class="blogger-child small ptm mtm" style="border-top:1px dotted #ccc">
    		        <span><?php echo JText::_( 'COM_EASYBLOG_CATEGORIES_SUBCATEGORIES' ); ?></span>
    		    	<?php echo $category->nestedLink; ?>
    		    </div>
    		    <?php } ?>
    	    </div><!--end: .profile-info-->
    	</div><!--end: .profile-head-->
    </div>


    <div id="ezblog-posts" class="forCategory">
    <?php if($system->my->id == 0 && $category->private) : ?>
        <div class="eblog-message warning"><?php echo JText::_('COM_EASYBLOG_CATEGORIES_FOR_REGISTERED_USERS_ONLY');?></div>
    <?php else : ?>

    	<?php if( $blogs ) { ?>
    		<?php
    		foreach ( $blogs as $row )
    		{
    			$this->set( 'data' , array( $row ) );
    			echo $this->fetch( 'blog.item.php' );
    		}
    		?>
    	<?php } else { ?>
    	<div class="eblog-message warning"><?php echo JText::_('COM_EASYBLOG_NO_BLOG_ENTRY');?></div>
    	<?php } ?>

    	<?php if ( $pagination ) : ?>
    	<div class="pagination">
    		<?php echo $pagination; ?>
    	</div>
    	<?php endif; ?>
    <?php endif; ?>
    </div>

</div><!--end: #ezblog-body-->