<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-body">
	<div id="ezblog-section">
		<span><?php echo JText::_('COM_EASYBLOG_TEAMBLOG_PAGE_HEADING'); ?></span>
	</div>
	<div id="ezblog-profile" class="forTeamBlog">
	
    	<div id="team-blog_<?php echo $team->id; ?>" class="profile-item clearfix prel<?php echo ( $config->get('layout_avatar') ) ? '' : ' no-avatar'; ?>">
            <div class="profile-head clearfix prel">
                <?php if($config->get('layout_teamavatar', true)) : ?>
                <div class="profile-avatar fleft"><img src="<?php echo $team->avatar; ?>" alt="<?php echo $team->title; ?>" width="80" height="80" class="avatar" /></div>
                <?php endif; ?>
                <div class="profile-info tablecell">
                    <h3 class="profile-title rip">
                        <a href="<?php echo  EasyBlogRouter::_('index.php?option=com_easyblog&view=teamblog&layout=listings&id='.$team->id);?>"><?php echo $team->title;?></a>
                        <?php if ($isFeatured) : ?><sup class="tag-featured"><?php echo JText::_( 'COM_EASYBLOG_FEATURED_TEAMBLOG_FEATURED' );?></sup><?php endif; ?>
                    </h3>
                    <div class="profile-bio">
                        <?php if(! empty( $team->description )) : ?>
                        <?php   echo nl2br($team->description); ?>
                        <?php endif; ?>
                    </div>
                    <div class="profile-connect">
                		<?php if($team->access != EBLOG_TEAMBLOG_ACCESS_MEMBER || $team->isMember || EasyBlogHelper::isSiteAdmin() && ($system->config->get( 'main_teamsubscription' )) ){ ?>
                	        <a  class="ico link-subscribe" href="javascript:eblog.subscription.show('<?php echo EBLOG_SUBSCRIPTION_TEAMBLOG; ?>','<?php echo $team->id;?>');" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_TEAM'); ?>"><?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_TEAM'); ?></a>
                		<?php } ?>
                		
                		<?php if($team->access != EBLOG_TEAMBLOG_ACCESS_MEMBER || $team->isMember || EasyBlogHelper::isSiteAdmin() && ($system->config->get( 'main_rss' )) ){ ?>
                			<a class="ico link-rss" href="<?php echo  EasyBlogHelper::getHelper( 'Feeds' )->getFeedURL( 'index.php?option=com_easyblog&view=teamblog&id=' . $team->id );?>" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?>"><?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?></a>
                		<?php } ?>
						<?php if( !$team->isMember && $system->my->id > 0 ) { ?>
							<a class="ico link-jointeam" href="javascript:eblog.teamblog.join('<?php echo $team->id;?>');"><?php echo JText::_( 'COM_EASYBLOG_TEAMBLOG_JOIN_TEAM' );?></a>
						<?php } ?>
						
						<?php if( $siteadmin ) : ?>
                        <?php if ($isFeatured) { ?>
                            <a class="ico feature-del" href="javascript:eblog.featured.remove('teamblog','<?php echo $team->id;?>');" title="<?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_REMOVE_TEAM'); ?>"><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_REMOVE_TEAM'); ?></a>
                        <?php } else { ?>
							<a class="ico feature-add" href="javascript:eblog.featured.add('teamblog','<?php echo $team->id;?>');" title="<?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_THIS_TEAM'); ?>"><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_THIS_TEAM'); ?></a>
                        <?php } ?>
                        <?php endif; ?>
                    </div>
					<?php if($team->access != EBLOG_TEAMBLOG_ACCESS_MEMBER || $team->isMember || EasyBlogHelper::isSiteAdmin() ){ ?>
                    <!-- team members -->
                    <div class="my-writers mtm">
                        <h5 class="rip mbm"><?php echo JText::sprintf('COM_EASYBLOG_TEAMBLOGS_CONTRIBUTORS' , count( $teamMembers ) ); ?></h5>
                        <div class="blogger-team">
                            <ul class="clearfix ulrest flist">
                    		<?php
                    		    if(! empty($teamMembers))
                    		    {
                    		        foreach($teamMembers as $member)
                    		        {
                    		 ?>
                            <li>
                				<?php if ( $config->get('layout_avatar') ) { ?>
                                    <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$member->id); ?>" title="<?php echo $member->displayName; ?>" class="mrs">
                						<img class="avatar" src="<?php echo $member->getAvatar(); ?>" alt="<?php echo $member->displayName; ?>" width="50" height="50" />
                                    </a>
                                    <?php echo EasyBlogTooltipHelper::getBloggerHTML( $member->id, array('my'=>'left bottom','at'=>'left top','of'=>array('traverseUsing'=>'parent')) ); ?>
                				<?php } else { ?>
                                    <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$member->id); ?>"><?php echo $member->displayName;?></a>
                                <?php } ?>
                    		</li>
                    		 <?php
                    		        }
                    		    }
                    		?>
                    	</ul>
                        </div>
                    </div>
                    <?php } ?>
                </div><!--end: .profile-info-->
            </div><!--end: .profile-head-->
    	</div>
    	<!-- Teamblog Block -->
        </div>

    	
		<?php if(isset($statType)) : ?>
		<div>
		    <h2>
		    <?php echo ($statType == 'tag') ? JText::sprintf('COM_EASYBLOG_TEAMBLOG_STAT_TAG', $team->title, $statObject->title) : JText::sprintf('COM_EASYBLOG_TEAMBLOG_STAT_CATEGORY', $team->title, $statObject->title); ?>
		    </h2>
		</div>
		<?php endif ?>
    	
		<div id="ezblog-posts" class="forTeamBlog">
		<?php
		if($team->access == EBLOG_TEAMBLOG_ACCESS_MEMBER && empty($team->isMember))
		{
		?>
			<div class="eblog-message warning mtm">
			    <?php echo JText::_('COM_EASYBLOG_TEAMBLOG_MEMBERS_ONLY'); ?>
				<?php echo ($system->my->id != 0) ? JText::sprintf('COM_EASYBLOG_TEAMBLOG_CLICK_TO_JOIN', 'eblog.teamblog.join('.$team->id.')') : '' ; ?>
		    </div>
		<?php
		}
		else if( $data )
		{
			foreach ( $data as $row )
			{
				$this->set( 'data' , array( $row ) );
                echo $this->fetch( 'blog.item.php' );
		    }
		}
		?>
	    </div>
	
	
    	<?php if(count( $data ) <= 0) { ?>
    	<div><?php echo JText::_('COM_EASYBLOG_NO_BLOG_ENTRY'); ?></div>
    	<?php } ?>


		<?php if ( $pagination ) : ?>
		<div class="pagination">
			<?php echo $pagination; ?>
		</div>
		<?php endif; ?>
</div>