<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-body">
	<div id="ezblog-section">
		<span><?php echo JText::_('COM_EASYBLOG_TEAMBLOG_PAGE_HEADING'); ?></span>
	</div>
	<div id="ezblog-teamblog">
    	<?php foreach($teams as $row) { ?>
    	<div id="team-blog_<?php echo $row->id; ?>" class="profile-item clearfix prel">    
            <div class="profile-head clearfix prel">
                <?php if($system->config->get('layout_teamavatar', true)) : ?>
                <div class="profile-avatar fleft">
                    <img src="<?php echo $row->avatar; ?>" alt="<?php echo $row->title; ?>" width="80" height="80" class="avatar" />
                </div>
                <?php endif; ?>
                <div class="profile-info tablecell">
                    <h3 class="profile-title rip">
                        <a href="<?php echo  EasyBlogRouter::_('index.php?option=com_easyblog&view=teamblog&layout=listings&id='.$row->id);?>"><?php echo $row->title;?></a>
                        <?php if ($row->isFeatured) : ?><sup class="tag-featured cap"><?php echo JText::_( 'COM_EASYBLOG_FEATURED_TEAMBLOG_FEATURED' );?></sup><?php endif; ?>
                    </h3>
                    <div class="profile-bio">
                        <?php if(! empty( $row->description )) : ?>
                        <?php   echo nl2br($row->description); ?>
                        <?php endif; ?>
                    </div>
                    
                    <div class="profile-connect">
                    	<?php if( $row->access != EBLOG_TEAMBLOG_ACCESS_MEMBER || $row->isMember || EasyBloghelper::isSiteAdmin() && ($system->config->get('main_teamsubscription')) ){ ?>
    				        <a class="ico link-subscribe" href="javascript:eblog.subscription.show('<?php echo EBLOG_SUBSCRIPTION_TEAMBLOG; ?>','<?php echo $row->id;?>');"><?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_TEAM'); ?></a>
    					<?php } ?>
                    	
                    	<?php if( $row->access != EBLOG_TEAMBLOG_ACCESS_MEMBER || $row->isMember || EasyBloghelper::isSiteAdmin() && ($system->config->get('main_rss')) ){ ?>
							<a class="ico link-rss" href="<?php echo  EasyBlogHelper::getHelper( 'Feeds' )->getFeedURL( 'index.php?option=com_easyblog&view=teamblog&id=' . $row->id );?>" title="<?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?>"><span><?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_FEEDS'); ?></span></a>
						<?php } ?>
						
						<?php if( !$row->isMember && $system->my->id > 0 ) { ?>
							<a class="ico link-jointeam" href="javascript:eblog.teamblog.join('<?php echo $row->id;?>');"><?php echo JText::_( 'COM_EASYBLOG_TEAMBLOG_JOIN_TEAM' );?></a>
						<?php } ?>

						<?php if( $system->admin ) : ?>
	                        <?php if ($row->isFeatured) { ?>
	                            <a class="ico feature-del" href="javascript:eblog.featured.remove('teamblog','<?php echo $row->id;?>');" title="<?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_REMOVE_TEAM'); ?>"><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_REMOVE_TEAM'); ?></a>
	                        <?php } else { ?>
								<a class="ico feature-add" href="javascript:eblog.featured.add('teamblog','<?php echo $row->id;?>');" title="<?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_THIS_TEAM'); ?>"><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_THIS_TEAM'); ?></a>
	                        <?php } ?>
                        <?php endif; ?>
                    </div>
                </div><!--end: .profile-info-->
            </div><!--end: .profile-head-->


            <div class="profile-body hasCols clearfix prel">
				<?php
				if( $row->access == EBLOG_TEAMBLOG_ACCESS_MEMBER && !$row->isMember && !EasyBloghelper::isSiteAdmin() )
				{
				?>
					<div class="eblog-message warning mtm">
					    <?php echo JText::_('COM_EASYBLOG_TEAMBLOG_MEMBERS_ONLY'); ?>
						<?php echo ($system->my->id != 0) ? JText::sprintf('COM_EASYBLOG_TEAMBLOG_CLICK_TO_JOIN', 'eblog.teamblog.join('.$row->id.')') : '' ; ?>
				    </div>
				<?php
				}
				else
				{
				?>
				<?php if(empty($row->blogs)) { ?>
              	<div class="profile-main">
      				<div class="intro">
      			 		<h3 class="fsx"><?php echo JText::_('COM_EASYBLOG_NO_POST_IN_TEAM'); ?></h3>
      				</div>
              	</div><!--end: .profile-main-->
  				
				<?php }else{ ?>
                <div class="profile-main">
                    <h5 class="rip mbm"><?php echo JText::_( 'COM_EASYBLOG_TEAMBLOG_RECENT_POSTS' );?></h5>
                    <ul class="post-list ulrest">
    					<?php foreach( $row->blogs as $entry ){
							$bloggerLink    = ''

						?>
    					<li>
    						<h3 class="blog-title rip"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&team='.$row->id.'&id='.$entry->id); ?>"><?php echo $entry->title; ?></a></h3>
							<div class="blog-tags mts">
								<span><?php echo JText::sprintf('COM_EASYBLOG_TAG_LIST', $entry->tags); ?></span>
							</div>
                            <div class="small mts">
                                <?php echo $this->formatDate( $system->config->get('layout_shortdateformat', '%b %d'), $entry->created ); ?>
                                <?php echo JText::sprintf('COM_EASYBLOG_IN', EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id='.$entry->category_id), $entry->category); ?>
                                -
                                <?php echo JText::sprintf('COM_EASYBLOG_POSTED_BY_AUTHOR', EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$entry->created_by), $entry->displayName); ?>
                                <?php if( $system->config->get('main_comment') && $entry->totalComments !== false ){ ?>
                                -
    							<span class="post-comments">
    								<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&team='.$row->id.'&id='.$entry->id); ?>#comments"><?php echo $this->getNouns( 'COM_EASYBLOG_COMMENT_COUNT' , $entry->totalComments , true ); ?></a>
    							</span>
    							<?php } ?>
                            </div>
    					</li>
    					<?php } ?>
    				</ul>
                    <div class="post-listmore">
					   	<span>
					   		<?php echo JText::_('COM_EASYBLOG_OTHER_ENTRIES_FROM'); ?>
					   		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=teamblog&layout=listings&id='.$row->id); ?>"><?php echo $row->title;?></a>
						</span>
    					-
                        <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=teamblog&layout=listings&id='.$row->id); ?>"><?php echo JText::_('COM_EASYBLOG_SHOW_ALL'); ?></a>
				    </div>
                </div><!--end: .profile-main-->
                <?php } ?>

                <div class="profile-extra tablecell">
                    <div class="profile-module my-stat">
                        <h5 class="rip mbm"><?php echo JText::_( 'COM_EASYBLOG_TEAMBLOGS_STATISTICS' );?></h5>
                        <div class="clearfix">
                            <ul class="profile-stats ulrest flist">
                                <li class="total-post">
                                    <span class="fleft"><?php echo JText::_( 'COM_EASYBLOG_TEAMBLOGS_POSTS' );?></span>
                                    <span><?php echo $row->totalEntries; ?></span>
                                </li>
                                <li class="total-categories">
                                    <span class="fleft"><?php echo JText::_( 'COM_EASYBLOG_TEAMBLOGS_CATEGORIES' );?></span>
                                    <span><?php echo count( $row->categories );?></span>

                                    <?php if(count($row->categories) > 0) : ?>
                                    <div class="blog-cat mts mbs">
                                        <?php for($i = 0; $i < count($row->categories); $i++) : ?>
                                        <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=teamblog&layout=statistic&id='.$row->id. '&stat=category&catid='.$row->categories[$i]->id); ?>" class="clearfix">
                                            <b class="fleft"><?php echo $row->categories[$i]->title; ?></b>
                                            <span class="fright"><?php echo $row->categories[$i]->post_count;?></span>
                                        </a>
                                        <?php endfor; ?>
                                    </div>
                                    <?php endif; ?>
                                </li>
                                <li class="total-tag">
                                    <span class="fleft"><?php echo JText::_( 'COM_EASYBLOG_TEAMBLOGS_TAGS' );?></span>
                                    <span><?php echo count( $row->tags );?></span>
                                    <div class="blog-tag mts">
                                    <?php
									if( $row->tags )
									{
										$i	= 1;
										foreach( $row->tags as $tag )
										{
											$delimeter	= $i == count( $row->tags ) ? '' : ',';
									?>
										<a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=teamblog&layout=statistic&id=' . $row->id . '&stat=tag&&tagid=' . $tag->id );?>"><?php echo $tag->title; ?></a>
										<?php echo $delimeter; ?>
									<?php
											$i++;
										}
									}
									?>
                                    </div>
                                </li>
                            </ul>
                        </div>
                    </div><!--end: .profile-module.my-stat-->
                    
                    <div class="profile-module my-writers">
                        <h5 class="rip mbm"><?php echo JText::sprintf('COM_EASYBLOG_TEAMBLOGS_CONTRIBUTORS' , count($row->members) ); ?></h5>
                        <div class="clearfix">
                            <ul class="active-blogger clearfix ulrest<?php echo ( $system->config->get('layout_avatar') ) ? '' : ' no-avatar'; ?>">
    							<?php
    							    if(! empty($row->members))
    							    {
    							        foreach($row->members as $member)
    							        {
    							 ?>
    				            <li>
                                    <div class="clearfix">
                                    
    									<?php if ( $system->config->get('layout_avatar') ) { ?>
                                        <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$member->id); ?>" title="<?php echo $member->displayName; ?>" class="fleft mrm">
    										<img class="avatar" src="<?php echo $member->getAvatar(); ?>" alt="<?php echo $member->displayName; ?>" width="50" height="50" />
                                        </a>
                                        <?php echo EasyBlogTooltipHelper::getBloggerHTML( $member->id, array('my'=>'left bottom','at'=>'left top','of'=>array('traverseUsing'=>'prev')) ); ?>
    									<?php } ?>
                                        <div class="table-cell">
                                            <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$member->id); ?>"><?php echo $member->displayName;?></a>
                                        </div>
                                    </div>
    							</li>
    							 <?php
    							        }
    							    }
    							?>
    						</ul>
                        </div>
                    </div><!--end: .profile-module.my-writers-->
                </div><!--end: .profile-extra-->
			<?php } ?>
            </div><!--end: .profile-body-->
    	</div><!--end: .profile-item -->
    	
    	<?php } //end foreach ?>
    	
    	<?php if(count($teams) <= 0) { ?>
    	<div><?php echo JText::_('COM_EASYBLOG_NO_RECORDS_FOUND'); ?></div>
    	<?php } ?>
    	
    	<div class="pagination">
    		<?php echo $pagination; ?>
    	</div>		
    </div>
</div>