<?php
/**
* @package		EasyBlog
* @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Restricted access');

$acl			= EasyBlogACLHelper::getRuleSet();
$isBloggerMode	= EasyBlogRouter::isBloggerMode();
?>
<div id="ezblog-head" class="mbm">
	<div class="ezblog-head-in clearfix">
        <?php if( $system->config->get('main_sitesubscription') && $system->my->id > 0 || $system->config->get( 'main_allowguestsubscribe') ) : ?>
        <a href="javascript:void(0);" onclick="eblog.subscription.show('<?php echo EBLOG_SUBSCRIPTION_SITE; ?>');" class="fright ico subscribe"><span><?php echo JText::_('COM_EASYBLOG_SUBSCRIPTION_SUBSCRIBE_TO_SITE'); ?></span></a>
        <?php endif; ?>
        
        <?php if( $system->config->get('layout_headers') ){ ?>
		<h1 class="rip"><?php echo $title; ?></h1>
		<p class="fsm rip mts mbm"><?php echo $desc; ?></p>
		<?php } ?>
		
		<?php if( $system->config->get('layout_toolbar') ){ ?>
        <div id="ezblog-menu" class="clearfix">
    		<ul class="blog-navi reset flist clearfix">
    			<?php if($system->config->get('layout_latest', 1)) : ?>
    			<li class="toolbar-item toolbar-latest <?php echo $views->home;?>">
    	            <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=latest'); ?>"><span><?php echo JText::_('COM_EASYBLOG_TOOLBAR_LATEST_POSTS'); ?></span></a>
    	        </li>
    	        <?php endif; ?>
    	        
    	        <?php if($system->config->get('layout_categories', 1)) : ?>
    			<li class="toolbar-item toolbar-categories <?php echo $views->categories;?>">
    				<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=categories'); ?>"><span><?php echo JText::_('COM_EASYBLOG_TOOLBAR_CATEGORIES'); ?></span></a>
    			</li>
    	        <?php endif; ?>
    	        
    	        <?php if($system->config->get('layout_tags', 1)) : ?>
    			<li class="toolbar-item toolbar-tags <?php echo $views->tags;?>">
    				<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=tags'); ?>"><span><?php echo JText::_('COM_EASYBLOG_TOOLBAR_TAGS'); ?></span></a>
    			</li>
    	        <?php endif; ?>

    	        <?php if($isBloggerMode === false) : ?>
	    	        <?php if($system->config->get('layout_bloggers', 1)) : ?>
	    			<li class="toolbar-item toolbar-blogger <?php echo $views->blogger;?>">
	    	            <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger'); ?>"><span><?php echo JText::_('COM_EASYBLOG_TOOLBAR_BLOGGERS'); ?></span></a>
	    	        </li>
	    	        <?php endif; ?>
	    	        
	    	        <?php if($system->config->get('layout_teamblog', 1)) : ?>
	    			<li class="toolbar-item toolbar-teamblog <?php echo $views->teamblog;?>">
	    	            <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=teamblog'); ?>"><span><?php echo JText::_('COM_EASYBLOG_TOOLBAR_TEAMBLOGS'); ?></span></a>
	    	        </li>
	    	        <?php endif; ?>
				<?php endif; ?>
				
		        <?php if($system->config->get('layout_search' , 1 ) ) : ?>
				<li class="toolbar_item toolbar-search <?php echo $views->search;?>">
		            <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=search'); ?>"><span><?php echo JText::_('COM_EASYBLOG_TOOLBAR_SEARCH'); ?></span></a>
		        </li>
		        <?php endif; ?>

    	        <?php if($system->config->get('layout_archive', 1)) : ?>
    			<li class="toolbar_item toolbar-archive <?php echo $views->archive;?>">
    	            <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=archive'); ?>"><span><?php echo JText::_('COM_EASYBLOG_TOOLBAR_ARCHIVE'); ?></span></a>
    	        </li>
    	        <?php endif; ?>
				<?php if( $system->my->id > 0 ){ ?>
                <li class="user-setting fright prel">
                    <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard'); ?>"><span><?php echo JText::_('COM_EASYBLOG_TOOLBAR_DASHBOARD_SETTINGS');?></span></a>
                    <ul class="ulrest fsm">
                        <li class="user-info">
                            <a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=dashboard&layout=profile');?>" class="user-avatar fleft">
                                <img class="avatar fleft" src="<?php echo $system->profile->getAvatar();?>" alt="" width="35" height="35" />
                            </a>
                            <div class="dashboard-user">
                                <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $system->my->id); ?>" class="user-name"><b><?php echo $system->profile->getName();?></b></a>
                                <br />
                                <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=profile'); ?>" class="fss"><?php echo JText::_( 'COM_EASYBLOG_TOOLBAR_DASHBOARD_EDIT_PROFILE' );?></a>
                            </div>
                        </li>
		                <?php if(($acl->rules->publish_entry) || ($acl->rules->add_entry) || ($acl->rules->delete_entry)) { ?>
		    			<li class="user-write"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=write'); ?><?php echo ($system->config->get( 'layout_dashboardanchor' ) ) ? '#write-entry' : '';?>"><?php echo JText::_('COM_EASYBLOG_TOOLBAR_DASHBOARD_NEW_POST');?></a></li>
		    			<?php } ?>
                        <?php if(($acl->rules->publish_entry) || ($acl->rules->add_entry) || ($acl->rules->delete_entry)) { ?>
            			<li class="user-blogs"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=entries'); ?>"><?php echo JText::_('COM_EASYBLOG_TOOLBAR_DASHBOARD_ENTRIES');?></a></li>
            			<?php } ?>
                        <?php if($acl->rules->manage_comment && EasyBlogHelper::getHelper( 'Comment')->isBuiltin() ) : ?>
            			<li class="comments">
							<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=comments'); ?>">
								<?php echo JText::_('COM_EASYBLOG_TOOLBAR_DASHBOARD_COMMENTS'); if($totalModComment > 0) { echo '<sup>' . $totalModComment. '</sup>'; } ?>
							</a>
						</li>
            			<?php endif; ?>
                        <?php if($acl->rules->create_category) : ?>
            			<li class="categories"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=categories'); ?>"><?php echo JText::_('COM_EASYBLOG_TOOLBAR_DASHBOARD_CATEGORIES');?></a></li>
            			<?php endif; ?>
                        <?php if($acl->rules->create_tag) : ?>
            			<li class="tags has_separator"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=tags'); ?>"><?php echo JText::_('COM_EASYBLOG_TOOLBAR_DASHBOARD_TAGS');?></a></li>
            			<?php endif; ?>
            			
            			<li class="tags has_separator"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=subscription'); ?>"><?php echo JText::_('COM_EASYBLOG_TOOLBAR_DASHBOARD_SUBSCRIPTION');?></a></li>
            			
					    <?php if($isTeamAdmin) : ?>
					    <li class="teamblogs has_separator">
							<a class="blog" href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=teamblogs'); ?>">
								<?php echo JText::_('COM_EASYBLOG_TOOLBAR_DASHBOARD_TEAMBLOG_REQUESTS'); ?>
								<?php echo ($totalTeamRequest > 0) ? '<sup>' . $totalTeamRequest . '</sup>' : '' ?>
							</a>
						</li>
					    <?php endif; ?>
            			
                        <li class="sign-out">
							<form id="eblog-logout" action="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog' );?>">
					            <a class="logout" href="javascript:eblog.dashboard.logout();"><?php echo JText::_( 'COM_EASYBLOG_TOOLBAR_DASHBOARD_LOGOUT' );?></a>
					            <?php if( EasyBlogHelper::getJoomlaVersion() >= '1.6' ){ ?>
								<input type="hidden" value="com_users"  name="option">
								<input type="hidden" value="user.logout" name="task">
								<input type="hidden" value="<?php echo $logoutURL; ?>" name="return">
								<?php } else { ?>
								<input type="hidden" value="com_user"  name="option">
								<input type="hidden" value="logout" name="task">
								<input type="hidden" value="<?php echo $logoutURL; ?>" name="return">
								<?php } ?>
								<?php echo JHTML::_( 'form.token' ); ?>
							</form>
						</li>
                    </ul>
                </li>
                <?php } ?>
    		</ul>
        </div>
        <?php } ?>
	</div>
</div>