<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');

$class = '';
if(! $system->config->get('layout_avatar'))
{
    $class = 'no-avatar';
}

$team   	= (! empty($teamId)) ? '&team=' . $teamId : '';

foreach($data as $row)
{
	$showAvatar	= isset( $showAvatar ) ? $showAvatar : true;
	$isMineBlog = EasyBlogHelper::isMineBlog($row->created_by, $system->my->id);
	$siteadmin  = EasyBlogHelper::isSiteAdmin();
	
	$loadratings		= true;
	$loadsocialbutton 	= true;
	$loadtags 			= true;
	$loadfblike 		= true;
	$loadcomments		= true;
	if($system->config->get('main_password_protect', true) && !empty($row->blogpassword))
    {	
		if(!EasyBlogHelper::verifyBlogPassword($row->blogpassword, $row->id))
		{
			$loadratings		= false;
			$loadsocialbutton 	= false;
			$loadtags 			= false;
			$loadfblike 		= false;
			$loadcomments		= false;
		}
	}
?>
<div id="entry_<?php echo $row->id; ?>" class="blog-post clearfix prel">
    <?php
    /**
    * ----------------------------------------------------------------------------------------------------------
    * Site Admin Control
    * ----------------------------------------------------------------------------------------------------------
    */
    ?>
    <?php if( $siteadmin || $isMineBlog ) : ?>
	<div class="post-admin-menu pabs gradA">
        <span class="icon-menu"></span>
		<ul class="reset flist fleft pabs admin_menu">
            <?php if($siteadmin) : ?>
			<li class="featured_add" <?php echo ($row->isFeatured) ? 'style="display:none;"' : '';?> >
				<a href="javascript:eblog.featured.add('post','<?php echo $row->id;?>');">
					<?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_THIS'); ?>
				</a>
			</li>
			<li class="featured_remove" <?php echo ($row->isFeatured) ? '' : 'style="display:none;"';?> >
				<a href="javascript:eblog.featured.remove('post','<?php echo $row->id;?>');">
					<?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURE_REMOVE'); ?>
				</a>
			</li>
            <?php endif; ?>
            
			<li class="edit"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=write&blogid='.$row->id);?>"><?php echo Jtext::_('COM_EASYBLOG_EDIT'); ?></a></li>
			<?php if($siteadmin || ($isMineBlog && $acl->rules->delete_entry)) : ?>
            <li class="delete">
				<a href="javascript:eblog.blog.confirmDelete( '<?php echo $row->id;?>' , '<?php echo $currentURL;?>' );"><?php echo Jtext::_('COM_EASYBLOG_ADMIN_DELETE_ENTRY'); ?></a>
			</li>
			<li class="unpublish">
				<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&controller=dashboard&from=eblog&task=toggleBlogStatus&status=0&blogId=' . $row->id );?>"><?php echo Jtext::_('COM_EASYBLOG_ADMIN_UNPUBLISH_ENTRY'); ?></a>
			</li>
            <?php endif; ?>
		</ul>
	</div>
	<?php endif; ?>

    <div class="post-item-s fleft">
        <?php
        /**
        * ----------------------------------------------------------------------------------------------------------
        * Author avatar
        * ----------------------------------------------------------------------------------------------------------
        */
        ?>
        <?php if ( $system->config->get('layout_avatar') && $showAvatar ) : ?>
        <div class="blog-avatar clearfix mbm">
            <div class="fright prel">
    		    <?php
    			  	if( isset( $row->team_id ) )
    			  	{
    					$teamBlog   =& JTable::getInstance( 'TeamBlog', 'Table');
    					$teamBlog->load( $row->team_id );
    			?>
    	        <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=teamblog&layout=listings&id=' . $teamBlog->id ); ?>" class="isTeamBlog fleft prel">
    				<img src="<?php echo $teamBlog->getAvatar(); ?>" alt="<?php echo $teamBlog->title; ?>" class="avatar" width="60" height="60" />
    			</a>
    			<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $row->created_by); ?>" class="isBlogger fleft pabs">
    				<img src="<?php echo $row->avatar; ?>" alt="<?php echo $row->displayName; ?>" class="avatar" width="30" height="30" />
    			</a>
    			<?php
    				} else {
    			?>
    			<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $row->created_by); ?>" class="fleft prel">
    				<img src="<?php echo $row->avatar; ?>" alt="<?php echo $row->displayName; ?>" class="avatar isBlogger" width="60" height="60" />
    			</a>
    			<?php } ?>
            </div>
        </div>
        <?php endif; ?>


        <div class="post-author">
            <span class="blog-author">
            	<span class="ffg fsi fwb fss"><?php echo JText::_( 'COM_EASYBLOG_BY' );?></span>
            	<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$row->created_by);?>" class="fwb"><?php echo $row->displayName; ?></a>
                <?php echo EasyBlogTooltipHelper::getBloggerHTML( $row->created_by, array('my'=>'left top','at'=>'right bottom','of'=>array('traverseUsing'=>'prev')) ); ?>
			</span>
            <div class="fsm small">
                <span class="blog-date"><?php echo $this->formatDate( $system->config->get('layout_dateformat') , $row->created ); ?></span>
            </div>
        </div>


        <div class="post-category mtm fsm">
            <span class="ico blog-category">
                <?php echo JText::sprintf('COM_EASYBLOG_POSTED_IN_CATEGORY_NO', EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id='.$row->category_id), $row->category); ?>
            </span>
        </div>


        <?php
		if( $system->config->get('main_comment') && $row->totalComments !== false )
		{
		?>
        <div class="post-comments mts fsm">
        	<span class="ico blog-comments">
				<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$row->id); ?>#comments">
					<?php echo $this->getNouns( 'COM_EASYBLOG_COMMENT_COUNT' , $row->totalComments , true );?>
				</a>
			</span>
        </div>
		<?php
		}
		?>
        <?php if( $system->config->get( 'layout_hits' ) ): ?>
        <div class="mtm fsm">
            <span class="ico blog-hits"><?php echo JText::sprintf( 'COM_EASYBLOG_HITS_TOTAL' , $row->hits ); ?></span>
        </div>
        <?php endif; ?>
    </div>

    
    <div class="post-item-m clearfix">
        <h2 id="title_<?php echo $row->id; ?>" class="blog-title<?php echo ($row->isFeatured) ? ' featured' : '';?> rip">
            <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry'.$team.'&id='.$row->id); ?>"><?php echo $row->title; ?></a>
            <?php if( $row->isFeatured ) { ?>
            <sup class="tag-featured"><?php echo Jtext::_('COM_EASYBLOG_FEATURED_FEATURED'); ?></sup>
            <?php } ?>
        </h2>
        
        <!-- joomla content plugin call -->
        <?php echo $row->event->afterDisplayTitle; ?>

        <div class="blog-text clearfix prel">
            
            <?php
            /**
            * ----------------------------------------------------------------------------------------------------------
            * Content Text
            * ----------------------------------------------------------------------------------------------------------
            */
            ?>
            <!-- joomla content plugin call -->
            <?php echo $row->event->beforeDisplayContent; ?>
            
            <?php
    		if ( $system->config->get('social_show_frontpage') ) :
    		// show Tweetmeme and Google Buzz if enabled
    		if($system->config->get('main_socialbutton_position') != 'bottom' && $loadsocialbutton) EasyBlogHelper::showSocialButton($row);
    		endif;
    		?>

            <!-- the content -->
    		<?php echo $row->text; ?>

            <?php if( $loadtags ): ?>
            <div class="blog-tags mtm mbm">
                <span class="ico blog-tag small"><?php echo JText::sprintf('COM_EASYBLOG_TAG_LIST', $row->tags); ?></span>
            </div>
			<?php endif; ?>
			
    		<!-- joomla content plugin call -->
    		<?php echo $row->event->afterDisplayContent; ?>
            
            <?php if( $system->config->get('main_facebook_like') && $system->config->get('main_facebook_like_layout') != 'box_count' && $loadfblike) : ?>
            <div class="facebook-like clearfix">
    			<div id="eb-fblikes" class="align<?php echo ($this->getDirection() == 'rtl') ? 'right' : 'left'; ?>">
    				<?php echo $row->facebookLike; ?>
    			</div>
            </div>
			<?php endif; ?>
            
            <?php
			// show Tweetmeme and Google Buzz if enabled
			if($system->config->get('social_show_frontpage') && $system->config->get('main_socialbutton_position') == 'bottom' && $loadsocialbutton)
			{
				EasyBlogHelper::showSocialButton($row);
			}
			?>

            <div class="clearfix">
                <div class="fright">
                   	<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry'.$team.'&id='.$row->id); ?>" class="blog-more"><span><?php echo JText::_('COM_EASYBLOG_READ_MORE'); ?> &raquo;</span></a>
                </div>

                <?php
                /**
                * ----------------------------------------------------------------------------------------------------------
                * Blog rating
                * ----------------------------------------------------------------------------------------------------------
                */
                ?>
                <div class="blog-rating">
                    <?php
    				if($loadratings && $system->config->get( 'main_ratings_frontpage' ) )
    				{
    					echo EasyBlogHelper::getHelper( 'ratings' )->getHTML( $row->id , EBLOG_RATINGS_TYPE_ENTRY , JText::_( 'COM_EASYBLOG_RATINGS_RATE_BLOG_ENTRY') , 'blog-' . $row->id . '-ratings' , $system->config->get( 'main_ratings_frontpage_locked' ));
    				}
    				?>
                </div>
            </div>
            
            <?php
            /**
            * ----------------------------------------------------------------------------------------------------------
            * Comment view in post listing
            * ----------------------------------------------------------------------------------------------------------
            */
            ?>
			
            <?php if($system->config->get('layout_showcomment', false) && $loadcomments && EasyBlogHelper::getHelper( 'Comment')->isBuiltin()) { ?>
			<?php     if(count($row->comments) > 0) { ?>
			<div class="blog-show-comments mtm ptm">
                <span class="blog-arrow"></span>
				<h4 class="rip pbm">
					<span><?php echo $this->getNouns( 'COM_EASYBLOG_RECENT_COMMENT' , count( $row->comments) ); ?></span>
					<span class="showmore"><a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$row->id.'#comment'); ?>"><?php echo JText::_('COM_EASYBLOG_SHOW_ALL'); ?></a></span>
				</h4>

				<ul class="comment-list ulrest pts">
					<?php foreach($row->comments as $item) {
						$commentPosterName  = ($item->created_by) ? $item->poster->getName() : $item->name;
					?>
					<li>
					    <?php if ( $system->config->get('layout_avatar') ){ ?>
                        <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id='.$item->post_id.'#comment-' . $item->id); ?>" class="fleft mrm">
                            <img src="<?php echo $item->poster->getAvatar();?>" width="25" height="25" class="avatar fleft" alt="<?php echo $commentPosterName;?>" />
                        </a>
                        <?php echo EasyBlogTooltipHelper::getBloggerHTML( $item->poster->id, array('my'=>'left bottom','at'=>'left top','of'=>array('traverseUsing'=>'prev')) ); ?>
                        <?php } ?>
                        <div class="comment-mini tablecell">
                            <div class="comment-author"><b><?php echo $commentPosterName?></b> <?php echo JText::_( 'COM_EASYBLOG_SAYS' );?></div>
                            <div class="comment-says fsm">
        					    <?php if($system->config->get('comment_requiretitle', 0) && !empty($item->title)) : ?>
        						<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry'.$team.'&id='.$item->post_id.'#comment-' . $item->id); ?>">
        							<?php echo (JString::strlen($item->title) > 30) ? JString::substr(strip_tags($item->title), 0, 30) . '...' : strip_tags($item->title) ; ?>
        						</a>
        						<span><?php echo (JString::strlen($item->comment) > 100) ? JString::substr(strip_tags($item->comment), 0, 100) . '...' : strip_tags($item->comment) ; ?></span>
        						<?php else : ?>
        						<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry'.$team.'&id='.$item->post_id.'#comment-' . $item->id); ?>">
        							<?php echo (JString::strlen($item->comment) > 130) ? JString::substr(strip_tags($item->comment), 0, 130) . '...' : strip_tags($item->comment) ; ?>
        						</a>
        						<?php endif; ?>
                            </div>
                        </div>
                        <div class="clear"></div>
					</li>
					<?php }//end foreach ?>
				</ul>
			</div>
			<?php    }//end if count ?>
            <?php } ?>
        </div>
    </div><!--end: .blog-content-->
</div><!--end: .blog-post-->
<?php
}//end foreach
?>