<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');

$teamIdLink = '';
if( isset( $team ) )
    $teamIdLink = '&team=' . $team;
?>
<script type="text/javascript">
sQuery(document).ready( function(){
	eblog.blog.tab.init();
});
</script>
<div id="ezblog-body">
	<div id="entry_<?php echo $blog->id; ?>" class="blog-read clearfix">
		<?php if ( !empty( $notice ) ) : ?>
		<div class="eblog-message info"><?php echo $notice; ?></div>
		<?php endif; ?>
		<?php
		/**
		* ----------------------------------------------------------------------------------------------------------
		* Admin or authoroption on this blog
		* ----------------------------------------------------------------------------------------------------------
		*/
		?>
        <?php echo $this->fetch( 'blog.admin.tool.php' ); ?>


        <?php
        /**
        * ----------------------------------------------------------------------------------------------------------
        * Blog-option for blog-navigation, print, PDF, and bookmark
        * ----------------------------------------------------------------------------------------------------------
        */
        ?>
        <div class="blog-option clearfix prel">
            <?php if ( !empty( $prevLink ) OR !empty( $nextLink ) ) : ?>
            <div class="blog-navi-top pabs atl">
                <?php if ( !empty( $prevLink ) ) : ?>
                <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $prevLink['id'] . $teamIdLink); ?>" title="<?php echo JText::sprintf('COM_EASYBLOG_ENTRY_BLOG_PREVIOUS_TITLE', $prevLink['title']); ?>" class="fleft">
                    <span class="ir arrow-l"><?php echo JText::sprintf('COM_EASYBLOG_BLOG_ENTRY_PREV', $prevLink['title']); ?></span>
                </a>
                <?php echo EasyBlogTooltipHelper::getHTML( $prevLink[ 'title' ], array('my'=>'right bottom','at'=>'left top','of'=>array('traverseUsing'=>'prev')) ); ?>
                <?php endif; ?>

                <?php if ( !empty( $nextLink ) ) : ?>
                <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $nextLink['id'] . $teamIdLink); ?>" title="<?php echo JText::sprintf('COM_EASYBLOG_ENTRY_BLOG_NEXT_TITLE', $nextLink['title']); ?>" class="fleft">
                    <span class="ir arrow-r"><?php echo JText::sprintf('COM_EASYBLOG_BLOG_ENTRY_NEXT', $nextLink['title']); ?></span>
                </a>
                <?php echo EasyBlogTooltipHelper::getHTML( $nextLink[ 'title' ], array('my'=>'left bottom','at'=>'right top','of'=>array('traverseUsing'=>'prev')) ); ?>
                <?php endif; ?>
            </div>
            <?php endif; ?>


            <ul class="ulrest flist fright fsm">
                <?php if($system->config->get('main_subscription') && $blog->subscription) { ?>
        		<li class="email">
                    <a href="javascript:eblog.subscription.show('<?php echo EBLOG_SUBSCRIPTION_ENTRY;?>' , '<?php echo $blog->id;?>');"><?php echo JText::_('COM_EASYBLOG_SUBSCRIBE_BLOG'); ?></a>
                </li>
        		<?php } ?>
        		<?php echo EasyBlogHelper::getHelper( 'publishtools' )->getHTML( $blog->id ); ?>
        	</ul>
        </div>
		
		<div class="blog-head clearfix mtb">
            <div class="blog-head-in">
				<?php if( $system->config->get( 'layout_avatar' ) && $system->config->get( 'layout_avatar_in_read_blog' ) ){ ?>
			    <div class="blog-avatar fleft prel mrm">
				    <?php
					  	if( isset( $team ) )
					  	{
							$teamBlog   =& JTable::getInstance( 'TeamBlog', 'Table');
							$teamBlog->load( $team );
					?>
			        <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=teamblog&layout=listings&id=' . $teamBlog->id ); ?>" class="isTeamBlog fleft prel">
						<img src="<?php echo $teamBlog->getAvatar(); ?>" alt="<?php echo $teamBlog->title; ?>" class="avatar" width="60" height="60" />
					</a>
					<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $blog->created_by); ?>" class="isBlogger fleft pabs">
						<img src="<?php echo $blogger->getAvatar(); ?>" alt="<?php echo $blogger->getName(); ?>" class="avatar" width="30" height="30" />
					</a>
					<?php
						} else {
					?>
					<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $blog->created_by); ?>" class="fleft prel">
						<img src="<?php echo $blogger->getAvatar(); ?>" alt="<?php echo $blogger->getName(); ?>" class="avatar isBlogger" width="60" height="60" />
					</a>
					<?php } ?>
			    </div>
		    	<?php } ?>
                <h1 id="title_<?php echo $blog->id; ?>" class="blog-title<?php echo ($isFeatured) ? ' featured-item' : '';?> rip mbm mts">
                    <a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=entry&id=' . $blog->id . $teamIdLink); ?>"><?php echo $blog->title; ?></a>
                </h1>
                <div class="blog-meta mbm">
                    <div class="blog-meta-in clearfix">
                        <span class="ico blog-author"><?php echo JText::sprintf( 'COM_EASYBLOG_BY_AUTHOR_NAME_LINK', EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$blog->created_by), $blogger->getName()); ?></span>
                        <?php echo EasyBlogTooltipHelper::getBloggerHTML( $blog->created_by, array('my'=>'left top','at'=>'right bottom','of'=>array('traverseUsing'=>'prev')) ); ?>
                        <span class="ico blog-date"><?php echo $this->formatDate( $system->config->get('layout_shortdateformat'), $blog->created );?></span>
                        <span class="ico blog-category">
                            <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id='.$blog->category_id); ?>">
                                <?php echo $this->escape( $blog->getCategoryName() ) ;?>
                            </a>
                        </span>
            			<?php if( $system->config->get('main_comment') && $blog->totalComments !== false ){ ?>
                        <span class="ico blog-comments">
            				<a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=entry&id=' . $blog->id . $teamIdLink); ?>#comments"><?php echo $this->getNouns( 'COM_EASYBLOG_COMMENT_COUNT' , $blog->totalComments , true ); ?></a>
            			</span>
            			<?php } ?>
                    </div>
                </div>
            </div>
    	</div>

        <?php
        /**
        * ----------------------------------------------------------------------------------------------------------
        * End blog head. Content start here
        * ----------------------------------------------------------------------------------------------------------
        */
        ?>
        <?php echo $blog->event->afterDisplayTitle; ?>
    	<?php echo $blog->event->beforeDisplayContent; ?>
        <div class="blog-text clearfix prel">
    	    <?php if($system->config->get('main_socialbutton_position') != 'bottom') EasyBlogHelper::showSocialButton($blog); ?>
            <?php if(!empty($blog->toc)){ echo $blog->toc; } ?>
    		<?php echo $blog->intro; ?>
    		<?php echo $blog->content; ?>
            <?php if($system->config->get('main_socialbutton_position') == 'bottom') EasyBlogHelper::showSocialButton($blog); ?>

    		<?php if( $system->config->get('main_facebook_like') && $system->config->get('main_facebook_like_layout') != 'box_count' ) : ?>
        	<div id="eb-fblikes" class="align<?php echo ($this->getDirection() == 'rtl') ? 'right' : 'left'; ?>">
        		<?php echo $facebookLike; ?>
        	</div>
        	<div class="clear"></div>
        	<?php endif; ?>

            <?php
            /**
            * ----------------------------------------------------------------------------------------------------------
            * Blog hit & tags
            * ----------------------------------------------------------------------------------------------------------
            */
            ?>
            <div class="blog-meta-bottom fsm small">
                <div class="blog-meta-in">
                    <span class="ico blog-tag"><?php echo JText::sprintf( 'COM_EASYBLOG_TAG_LIST' , $tags ); ?></span>
        		</div>
        	</div>

            <?php
            /**
            * ----------------------------------------------------------------------------------------------------------
            * Blog rating & hit
            * ----------------------------------------------------------------------------------------------------------
            */
            ?>
            <?php
            $rating = EasyBlogHelper::getHelper( 'ratings' )->getHTML( $blog->id , EBLOG_RATINGS_TYPE_ENTRY , JText::_( 'COM_EASYBLOG_RATINGS_RATE_BLOG_ENTRY') , 'blog-ratings' );

            if( !empty( $rating ) || $system->config->get( 'layout_hits' ) )
            {
            ?>
            <div class="blog-hit-rate">
                <div class="blog-hit-rate-in clearfix">
                <?php if( $system->config->get( 'layout_hits' ) ): ?>
                    <span class="ico blog-hit fsm fleft mrm"><?php echo JText::sprintf( 'COM_EASYBLOG_HITS_TOTAL' , $blog->hits ); ?></span>
                <?php endif; ?>
                    <span class="blog-rating fleft">
                        <?php echo $rating;?>
                    </span>
                </div>
        	</div>
            <?php } ?>
    	</div>
        <?php echo $blog->event->afterDisplayContent; ?>
    </div><!--end: .blog-read-->

<?php
/**
* ----------------------------------------------------------------------------------------------------------
* Entry navigation
* ----------------------------------------------------------------------------------------------------------
*/
?>
<?php if ( !empty( $prevLink ) OR !empty( $nextLink ) ) : ?>
<ul class="blog-navi reset flist small clearfix pbm ptm">
	<?php if ( !empty( $prevLink ) ) : ?>
	<li class="entry-prev">
		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $prevLink['id'] . $teamIdLink); ?>" title="<?php echo JText::sprintf('COM_EASYBLOG_ENTRY_BLOG_PREVIOUS_TITLE', $prevLink['title']); ?>"><?php echo JText::sprintf('COM_EASYBLOG_BLOG_ENTRY_PREV', $prevLink['title']); ?></a>
	</li>
	<?php endif; ?>

	<?php if ( !empty( $nextLink ) ) : ?>
	<li class="entry-next">
		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $nextLink['id'] . $teamIdLink); ?>" title="<?php echo JText::sprintf('COM_EASYBLOG_ENTRY_BLOG_NEXT_TITLE', $nextLink['title']); ?>"><?php echo JText::sprintf('COM_EASYBLOG_BLOG_ENTRY_NEXT', $nextLink['title']); ?></a>
	</li>
	<?php endif; ?>
</ul>
<?php endif; ?>

<?php echo $adsenseHTML; ?>

<ul class="tab_button ulrest flist clearfix">
	<?php if( $system->config->get('main_showauthorinfo') ) { ?>
	<li id="button-author" class="tab_item author"><a href="javascript:void(0);" class="ico"><span><?php echo JText::_('COM_EASYBLOG_ENTRY_BLOG_AUTHOR_TAB'); ?></span></a></li>
	<?php } ?>
	<?php if( !empty( $blogRelatedPost ) ) { ?>
	<li id="button-related" class="tab_item related"><a href="javascript:void(0);" class="ico"><span><?php echo JText::_('COM_EASYBLOG_ENTRY_BLOG_RELATED_POST_TAB'); ?></span></a></li>
	<?php } ?>
	<?php if( $system->config->get('main_trackbacks') ) { ?>
	<li id="button-trackbacks" class="tab_item trackbacks"><a href="javascript:void(0);" class="ico"><span><?php echo JText::_('COM_EASYBLOG_ENTRY_BLOG_TRACKBACKS_TAB'); ?></span></a></li>
	<?php } ?>
</ul>

<?php if( $system->config->get('main_showauthorinfo') ): ?>
	<?php echo $this->fetch( 'author.info.php' ); ?>
<?php endif; ?>

<?php if( $system->config->get('main_trackbacks') ) { ?>
	<?php echo $this->fetch( 'blog.trackback.php' ); ?>
<?php } ?>	

<?php if(! empty($blogRelatedPost)) { ?>
	<?php echo $this->fetch( 'blog.related.php' ); ?>
<?php } ?>

<?php if( $system->config->get('main_comment') ) { ?>
	<?php echo $commentHTML;?>
<?php } ?>
</div><!--end: #ezblog-body-->