<?php
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

defined('_JEXEC') or die();

jimport( 'joomla.application.component.view');

class EasyBlogView extends JView
{
	function setPathway( $name , $link = '' )
	{
		$mainframe	=& JFactory::getApplication();
		$pathway	=& $mainframe->getPathway();
		return $pathway->addItem( $name , $link );
	}
	
	function getModel( $name )
	{
		static $model = array();
		
		if( !isset( $model[ $name ] ) )
		{
			$file	= JString::strtolower( $name );
			$path	= JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'models' . DS . $file . '.php';			
			
			jimport('joomla.filesystem.path');
			if ( JFolder::exists( $path ))
			{
				JError::raiseWarning( 0, 'Model file not found.' );
			}
			
			$modelClass		= 'EasyBlogModel' . ucfirst( $name );
			
			if( !class_exists( $modelClass ) )
				require_once( $path );
			
			
			$model[ $name ] = new $modelClass();
		}

		return $model[ $name ];
	}
	
	function getView( $name , $tmpl = 'html')
	{
		static $view = array();
		
		if( !isset( $view[ $name ] ) )
		{
			$file	= JString::strtolower( $name );

			$path	= JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'views' . DS . $file . DS . 'view.'. $tmpl . '.php';			
			
			jimport('joomla.filesystem.path');
			if ( JFolder::exists( $path ))
			{
				JError::raiseWarning( 0, 'View file not found.' );
			}
			
			$viewClass		= 'EasyBlogView' . ucfirst( $name );
			
			if( !class_exists( $viewClass ) )
				require_once( $path );
			
			
			$view[ $name ] = new $viewClass();
		}

		return $view[ $name ];
	}
}
