<?php
/**
* @package		EasyBlog
* @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');
jimport( 'joomla.html.toolbar' );

require_once( EBLOG_HELPERS . DS . 'date.php' );	
require_once( JPATH_COMPONENT . DS . 'helpers' . DS . 'loader.php' );
require_once( EBLOG_HELPERS . DS . 'helper.php' );
require_once( EBLOG_HELPERS . DS . 'string.php' );

class EasyBlogViewCategories extends EasyBlogView
{
	function display( $tmpl = null )
	{
		$config 	=& EasyBlogHelper::getConfig();

		if( !$config->get( 'main_rss') )
		{
			return;
		}
		
        $id			= JRequest::getCmd('id','0');
	    $category 	=& JTable::getInstance( 'ECategory', 'Table' );
	    $category->load($id);
	    
	    // private category shouldn't allow to access.
	    if( $category->private )
	    {
	        return;
	    }
	    

	    if($category->id == 0)
	    {
	        $category->title    = JText::_('COM_EASYBLOG_UNCATEGORIZED');
	    }
        
		//get the nested categories
		$category->childs = null;

		EasyBlogHelper::buildNestedCategories($category->id, $category);

		$linkage   = '';
		EasyBlogHelper::accessNestedCategories($category, $linkage, '0', '', 'link', '|');

		$catIds     = array();
		$catIds[]   = $category->id;
		EasyBlogHelper::accessNestedCategoriesId($category, $catIds);

		$category->nestedLink    = $linkage;
        
        
        $model		=& $this->getModel( 'Blog' );
        $sort		= JRequest::getCmd('sort', $config->get( 'layout_postorder' ) );
		$data		= $model->getBlogsBy('category', $catIds, $sort );
        
		$document	=& JFactory::getDocument();
		$document->link	= EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&id=' . $id . '&layout=listings');
		$document->setTitle( JText::sprintf( 'COM_EASYBLOG_FEEDS_CATEGORY_TITLE' , $category->title ) );
		$document->setDescription( JText::sprintf( 'COM_EASYBLOG_FEEDS_CATEGORY_DESC' , $category->title ) );

		if( empty($data))
		{
			return;
		}
		for( $i = 0; $i < count( $data ); $i++ )
		{
			$row	=& $data[ $i ];
			$user   =& JFactory::getUser($row->created_by);
			$profile =& JTable::getInstance( 'Profile', 'Table' );
			$profile->load( $user->id );
			
			$created			=& JFactory::getDate($row->created);
			$formatDate         = true;
			if(EasyBlogHelper::getJoomlaVersion() >= '1.6')
			{
			    $langCode   = EasyBlogStringHelper::getLangCode();
			    if($langCode != 'en-GB' || $langCode != 'en-US')
					$formatDate = false;
			}
			//$row->created       = ( $formatDate ) ? $created->toFormat( $config->get('layout_dateformat', '%A, %d %B %Y') ) : $created->toFormat();
			$row->created       = $created->toMySQL();
			$row->text			= ( !empty( $row->excerpt ) ) ? $row->excerpt : $row->content;
			$row->text          = EasyBlogHelper::getHelper( 'Videos' )->strip( $row->text );

			// load individual item creator class
			$item				= new JFeedItem();
			$item->title 		= html_entity_decode( $this->escape( $row->title ) );
			$item->link 		= EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $row->id );
			$item->description 	= $row->text;
			$item->date			= $row->created;
			$item->category   	= $category->title;
			$item->author		= $profile->getName();
			$item->authorEmail	= $profile->user->email;

			$document->addItem( $item );
		}
	}
}