<?php
/**
* @package		EasyBlog
* @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');
require_once( EBLOG_HELPERS . DS . 'string.php' );
require_once( EBLOG_HELPERS . DS . 'date.php' );
require_once( EBLOG_HELPERS . DS . 'comment.php' );

class EasyBlogViewEntry extends EasyBlogView
{	
	var $err	= null;

	function likesComment( $contentId, $status, $likesId)
	{
	    $my		=& JFactory::getUser();
	    $ejax	= new Ejax();
	    
	    if( $my->id <= 0 )
	    {
	    	$ejax->alert( JText::_( 'COM_EASYBLOG_NOT_ALLOWED' ) , '' , '450' );
	    	$ejax->send();
	    	return;
		}

	    $jsLink = '';
	    
	    if($status)
	    {
	        // add likes
	        $id	= EasyBlogHelper::addLikes($contentId, 'comment', $my->id);
	        $jsLink = "<a href=\"javascript:eblog.comment.likes('" . $contentId . "', '0', '" . $id . "');\" class=\"likes\">" . JText::_('COM_EASYBLOG_UNLIKE') . "</a>";
	    }
	    else
	    {
	        // remove likes
	        EasyBlogHelper::removeLikes($likesId);
	        $jsLink = "<a href=\"javascript:eblog.comment.likes('" . $contentId . "', '1', '0');\" class=\"likes\">" . JText::_('COM_EASYBLOG_LIKES') . "</a>";
	    }
	    
	    //now reformat the likes authors
	    $authors	= EasyBlogHelper::getLikesAuthors($contentId, 'comment', $my->id );

		$ejax->assign('likes-'.$contentId, $jsLink);
	    $ejax->assign('likes-container-'.$contentId, $authors);
	    
	    if(empty($authors))
	    {
            $ejax->script("ej('#likes-container-".$contentId."').hide();");
	    }
	    else
	    {
	    	$ejax->script("ej('#likes-container-".$contentId."').show();");
	    }
	    $ejax->script( "eblog.loader.doneLoading();" );
		$ejax->send();
		return;
	}
	
	function showTnc()
	{
	    $config	=& EasyBlogHelper::getConfig();
	    $ejax	= new Ejax();

		$options		  = new stdClass();
		$options->title   = JText::_('COM_EASYBLOG_TERMS_AND_CONDITIONS');
		$options->content = nl2br($config->get('comment_tnctext'));
	
		$ejax->dialog( $options );

		$ejax->send();
		return;
	}

	function commentSave( $post )
	{
		$ejax			= new Ejax();
		$mainframe		=& JFactory::getApplication();
		$my				=& JFactory::getUser();
		$config 		=& EasyBlogHelper::getConfig();
		$acl 			= EasyBlogACLHelper::getRuleSet();
			
		if( empty($acl->rules->allow_comment) && (empty($my->id) && !$config->get('main_allowguestcomment')) )
		{
			$ejax->script('eblog.spinner.hide()');
			$ejax->script( "eblog.loader.doneLoading();" );
			$ejax->script( 'eblog.comment.displayInlineMsg( "error" , "'.JText::_('COM_EASYBLOG_NO_PERMISSION_TO_POST_COMMENT').'");' );
			$ejax->send();
		}

		$isModerate		= false;
		$parentId		= $post['parent_id'];
		$commentDepth	= $post['comment_depth'];
		$blogId			= $post['id'];
		
		array_walk($post, array($this, '_trim') );
		array_walk($post, array($this, '_revertValue') );
		
		if(! $this->_validateFields($post))
		{
			// @task: Reload captcha if necessary
			EasyBlogHelper::getHelper( 'Captcha' )->reload( $ejax , $post );
			
			$ejax->script( "eblog.loader.doneLoading();" );
			$ejax->script('eblog.spinner.hide()');
			$ejax->script( 'ej("#'.$this->err[1].'").addClass("input-error");' );
			$ejax->script( "eblog.element.focus('".$this->err[1]."');" );
			$ejax->script( 'eblog.comment.displayInlineMsg(\'error\', \''.$this->err[0].'\');' );
			$ejax->send();
			return;
		}
	
		// @task: Akismet detection service.
		if( $config->get( 'comment_akismet' ) )
		{
			$data = array(
					'author'    => $post['esname'],
					'email'     => $post['esname'],
					'website'   => JURI::root() ,
					'body'      => $post['comment'] ,
					'permalink' => EasyBlogRouter::_( 'index.php?option=com_easyblog&view=entry&id=' . $post['id'] )
				);

			if( EasyBlogHelper::getHelper( 'Akismet' )->isSpam( $data ) )
			{
				$ejax->script( 'eblog.comment.displayInlineMsg(\'error\', \''.JText::_('COM_EASYBLOG_SPAM_DETECTED_IN_COMMENT').'\');' );
				$ejax->script( "eblog.loader.doneLoading();" );
				$ejax->script('eblog.spinner.hide();');
				$ejax->send();
				return false;
			}
		}
		$model	=& $this->getModel( 'Comment' );
		$now	=& JFactory::getDate();		
		$commt	=& JTable::getInstance( 'Comment', 'Table' );
		
		
		//we need to rename the esname and esemail back to name and email.
		$post['name']	= $post['esname'];
		$post['email']	= $post['esemail'];
		
		unset($post['esname']);
		unset($post['esemail']);
		
		$commt->bindPost($post);
		
		if( !EasyBlogHelper::getHelper( 'Captcha' )->verify( $post ) )
		{
			return EasyBlogHelper::getHelper( 'Captcha' )->getError( $ejax , $post );
		}
		
		//registration
		$register   = (isset($post['esregister'])) ? true : false;
		$fullname   = (isset($post['name'])) ? $post['name'] : '';
		$username   = (isset($post['esusername'])) ? $post['esusername'] : '';
		$email      = $post['email'];
		$msg        = '';
		$newUserId  = 0;
		
        if($register && $my->id == 0)
        {
            $registor   =& EasyBlogHelper::getRegistor();

            $options    = array(
                            'username' => $username,
                            'email' => $email
                        );

            $validate	= $registor->validate($options);

            if($validate !== true)
            {
            	$ejax->script( "eblog.loader.doneLoading();" );
				$ejax->script( 'eblog.comment.displayInlineMsg( "error" , "' . $validate . '");' );
				EasyBlogHelper::getHelper( 'Captcha' )->reload( $ejax , $post );
				
				$ejax->send();
				return;
            }
            else
            {
                $options['fullname']    = $fullname;
				$newId    = $registor->addUser($options, 'comment');

				if(! is_numeric($newId) )
				{
                    // registration failed.
					$msg    = $newId;
				}
				else
				{
				    $newUserId  = $newId;
				}
            }
        }
		
		
		$totalComment		= (empty($post['totalComment'])) ? 1 : $post['totalComment'];		
		$commt->created		= $now->toMySql();
		$commt->modified	= $now->toMySql();		
		$commt->published	= 1;
		$commt->parent_id	= $parentId;
		$commt->sent		= 0;
		
		if ( $my->id != 0 )
		{
			$commt->created_by	= $my->id;
		}
		else if($newUserId != 0)
		{
		    $commt->created_by	= $newUserId;
		}
		
		if( ($config->get( 'comment_moderatecomment') == 1) || ($my->id == 0 && $config->get( 'comment_moderateguestcomment') == 1) )
		{
		     $commt->published	= EBLOG_COMMENT_STATUS_MODERATED;
		     $isModerate		= true;
		}

	    $blog	=& JTable::getInstance( 'Blog', 'Table' );
	    $blog->load($blogId);
		
		// If moderation for author is disabled, ensure that the comment is published.
		if( !$config->get( 'comment_moderateauthorcomment' ) )
		{
			// If the author is the owner of the blog, it should never be moderated.
			if( $blog->created_by == $my->id )
			{
				$commt->published	= 1;
				$isModerate			= false;
			}
		}
		
        $latestCmmt	= $model->getLatestComment($blogId, $parentId);        
		if($parentId != 0)
		{
		
			$parentCommt	=& JTable::getInstance( 'Comment', 'Table' );
			$parentCommt->load($parentId);
					
			//adding new child comment
			$lft		= $parentCommt->lft + 1;
			$rgt		= $parentCommt->lft + 2;
			$nodeVal	= $parentCommt->lft;
			
			if(! empty($latestCmmt))
			{
			 	$lft		= $latestCmmt->rgt + 1;
			 	$rgt		= $latestCmmt->rgt + 2;
			 	$nodeVal	= $latestCmmt->rgt;
			}
			
			$model->updateCommentSibling($blogId, $nodeVal);
			
			$commt->lft	= $lft;
			$commt->rgt	= $rgt;
		}
		else
		{		
			//adding new comment
			$lft	= 1;
			$rgt	= 2;
			
			if(! empty($latestCmmt))
			{
			 	$lft	= $latestCmmt->rgt + 1;
			 	$rgt	= $latestCmmt->rgt + 2;
			 	
			 	$model->updateCommentSibling($blogId, $latestCmmt->rgt);
			}
			
			$commt->lft	= $lft;
			$commt->rgt	= $rgt;			
		
		}		
		
		$message = '';
		
		if( $commt->store() )
		{
			//clean up the comment form
			$ejax->script('ej(\'#title\').val(\'\');');
			$ejax->script('ej(\'#url\').val(\'\');');
			$ejax->script('ej(\'#comment\').val(\'\');');
			$ejax->script('ej(\'#esusername\').val(\'\');');
			$ejax->script('ej(\'#esregister\').attr(\'checked\',false);');

			if(! empty($msg))
			{
			    $message = JText::sprintf('COM_EASYBLOG_COMMENTS_SUCCESS_WITH_ERROR', $msg);
			}
			else if($newUserId != 0 && $register)
			{
                $message = JText::_('COM_EASYBLOG_COMMENTS_SUCCESS_AND_REGISTERED');
			}
			else
			{
			    $message = JText::_('COM_EASYBLOG_COMMENTS_SUCCESS');
			}
			
			
			//get blog title
		    $blog	=& JTable::getInstance( 'Blog', 'Table' );
		    $blog->load($blogId);
				
			// AlphaUserPoints
			// since 1.2				
			if ( ($commt->created_by != '0') && EasyBlogHelper::isAUPEnabled() )
			{
				// get post title
				$post_title = $blog->title;
				
				// get blog post URL
				$post_url = EasyBlogRouter::_( 'index.php?option=com_easyblog&view=entry&id=' . $post['id'] );
				
				$aupid = AlphaUserPointsHelper::getAnyUserReferreID( $commt->created_by );
				AlphaUserPointsHelper::newpoints( 'plgaup_easyblog_add_comment', $aupid, '', JText::sprintf('COM_EASYBLOG_AUP_NEW_COMMENT_SUBMITTED', $post_url, $post_title) );
			}
			
			//add JS activity stream if enableda and userid != guest and comment is not under moderate
			if(($commt->published == '1') && ($commt->created_by != '0') )
			{
				EasyBlogHelper::addJomSocialActivityComment($commt, $blog->title);
			}
			
			$row =& $commt;
			

		    $creator	=& JTable::getInstance( 'Profile', 'Table' );
		    $creator->load( $my->id );

			$row->poster	= $creator;			
			
			$row->comment   = nl2br($row->comment);
			$row->comment   = EasyBlogCommentHelper::parseBBCode($row->comment);
			
			$row->depth 	= (is_null($commentDepth)) ? '0' : $commentDepth;
			$row->likesAuthor   = '';
			
			
			$emailData['blogTitle']		= $blog->title;
			$emailData['commentTitle']	= ( empty($row->title) ) ? '-' : $row->title;
			$emailData['comment']		= $row->comment;
			$emailData['commentPoster']	= ($row->created_by != 0) ? $row->poster->getName() : $row->name;
			
			if($isModerate)
			{
				JTable::addIncludePath( EBLOG_TABLES );
				$hashkey		= JTable::getInstance( 'HashKeys' , 'Table' );
				$hashkey->uid	= $row->id;
				$hashkey->type	= 'comments';
				$hashkey->store();
				
				require_once( EBLOG_HELPERS . DS . 'router.php' );
				$approveURL		= EasyBlogRouter::getRoutedURL( 'index.php?option=com_easyblog&controller=dashboard&task=approvecomment&key=' . $hashkey->key , false , true );
				$emailData[ 'commentModeration' ]	= '<a href="' . $approveURL . '">' . JText::_( 'COM_EASYBLOG_EMAIL_COMMENTS_APPROVE_COMMENT' ) . '</a>';
				
				//send email to administrator.
				$notify	=& EasyBlogHelper::getNotification();
			    if($config->get('notification_email', '') != '')
			    {
					$toNotifyEmails   = explode(',', $config->get('notification_email'));
                	$notify->sendEmails($toNotifyEmails, JText::_('COM_EASYBLOG_NEW_COMMENT_ADDED'), '', 'email.comment.moderate.php', $emailData);
			    }
			    else
			    {
					$notify->send('', 'admin', JText::_('COM_EASYBLOG_NEW_COMMENT_ADDED'), '', 'email.comment.moderate.php', $emailData);
				}
				
				$tpl = new CodeThemes();
				$tpl->set('comment', $row );
				$tpl->set('totalComment', $totalComment );
				$tpl->set( 'config' , $config );
				$tpl->set( 'my' , $my );

				$commentHtml	= $tpl->fetch( 'blog.comment.moderate.php' );

				if($parentId != 0)
				{
				    $ejax->after('comment-' . $parentId, $commentHtml);
					$ejax->script('eblog.comment.cancel(\''.$parentId.'\')');			    
				}
				else
				{				
					$ejax->append('blog-comment', $commentHtml);
				}

				// Reload recaptcha image once the comment is saved.
				EasyBlogHelper::getHelper( 'Captcha' )->reload( $ejax , $post);
				
				$ejax->script( "eblog.loader.doneLoading();" );
				$ejax->script( 'eblog.comment.displayInlineMsg(\'info\', \''.$message.'\');' );
				
				$ejax->send();
				return;
			}
			else
			{

				
				$tpl = new CodeThemes();
				$tpl->set('comment', $row );
				$tpl->set('totalComment', $totalComment );
				$tpl->set( 'config' , $config );
				$tpl->set( 'my' , $my );
				$tpl->set( 'acl' , $acl );
				
				$commentHtml	= $tpl->fetch( 'blog.comment.ejax.php' );				
	
				if($parentId != 0)
				{
				    $ejax->after('comment-' . $parentId, $commentHtml);
					$ejax->script('eblog.comment.cancel(\''.$parentId.'\')');			    
				}
				else
				{				
					$ejax->append('blog-comment', $commentHtml);
				}
				
				//add notification to mailq
				EasyBlogCommentHelper::addNotification($row);
				
				//update the sent flag to sent
				$commt->updateSent();
			}
			
			// Reload whichever captcha necessary for the next run
			EasyBlogHelper::getHelper( 'Captcha' )->reload( $ejax , $post );
			
			$ejax->script( "eblog.loader.doneLoading();" );
			
			//update the comment total count
			$ejax->script('ej(\'#comment-total-count\').text(\''.($totalComment).'\');');
			//the next count.
			$ejax->script('ej(\'#totalComment\').val(\''.($totalComment + 1).'\');');
			
			//$ejax->alert( $message, JText::_('COM_EASYBLOG_INFO') , '450', 'auto');
			$ejax->script( 'eblog.comment.displayInlineMsg(\'info\', \''.$message.'\');' );
			
		}
		else
		{
			//$ejax->alert( JText::_('COM_EASYBLOG_COMMENT_FAILED_TO_SAVE'), JText::_('COM_EASYBLOG_ERROR') , '450', 'auto');
			$ejax->script( 'eblog.comment.displayInlineMsg(\'error\', \''.JText::_('COM_EASYBLOG_COMMENT_FAILED_TO_SAVE').'\');' );
		}

		$ejax->send();		
	}
	
	function _trim(&$text)
	{
		$text = JString::trim($text);		
	}

	function _revertValue(&$text)
	{
	    if( $text == JText::_('COM_EASYBLOG_TITLE') ||
			$text == JText::_('COM_EASYBLOG_USERNAME') ||
			$text == JText::_('COM_EASYBLOG_NAME') ||
			$text == JText::_('COM_EASYBLOG_EMAIL') ||
			$text == JText::_('COM_EASYBLOG_WEBSITE'))
		{
		    $text = '';
		}
	}
	
	function _validateFields($post)
	{
	    $config =& EasyBlogHelper::getConfig();
	    $my     =& JFactory::getUser();
	    
		if(JString::strlen($post['comment']) == 0)
		{
			$this->err[0]	= JText::_('COM_EASYBLOG_COMMENT_IS_EMPTY');
			$this->err[1]	= 'comment';
			return false;
		}
	    
		if( $config->get('comment_requiretitle') && (JString::strlen($post['title']) == 0 || $post['title'] == JText::_('COM_EASYBLOG_TITLE')))
		{
			$this->err[0]	= JText::_( 'COM_EASYBLOG_COMMENT_TITLE_IS_EMPTY' );
			$this->err[1]	= 'title';
			return false;
		}
		
		if(isset($post['esregister']) && isset($post['esusername']))
		{
			if(JString::strlen($post['esusername']) == 0 || $post['esusername'] == JText::_('COM_EASYBLOG_USERNAME'))
			{
				$this->err[0]	= JText::_('COM_EASYBLOG_SUBSCRIPTION_USERNAME_IS_EMPTY');
				$this->err[1]	= 'esusername';
				return false;
			}
		}
		
		if(JString::strlen($post['esname']) == 0 || $post['esname'] == JText::_('COM_EASYBLOG_NAME'))
		{			
			$this->err[0]	= JText::_('COM_EASYBLOG_COMMENT_NAME_IS_EMPTY');
			$this->err[1]	= 'esname';
			return false;
		}
		
		if(JString::strlen($post['esemail']) == 0 || $post['esemail'] == JText::_('COM_EASYBLOG_EMAIL'))
		{			
			$this->err[0]	= JText::_('COM_EASYBLOG_COMMENT_EMAIL_IS_EMPTY');
			$this->err[1]	= 'esemail';
			return false;
		}
		else
		{
		    if(! EasyBlogHelper::getHelper( 'email' )->isValidInetAddress( $post['esemail'] ))
			{
				$this->err[0]	= JText::_('COM_EASYBLOG_COMMENT_EMAIL_INVALID');
				$this->err[1]	= 'esemail';
				return false;
			}
		}

		if($config->get('comment_tnc') == true)
		{
		    if(empty($post['tnc']))
		    {
				$this->err[0]	= JText::_( 'COM_EASYBLOG_YOU_MUST_ACCEPT_TNC' );
				$this->err[1]	= 'tnc';
				return false;
		    }
		}
		
		return true;
	}
	
	/**
	 * Allows caller to reload recaptcha provided that the previous recaptcha reference
	 * is given. This is to avoid any spams on the system.
	 * 
	 * @param	$previousId		The previous recaptcha id reference.
	 * @return	Ejax	The json response.
	 **/	 	 	 	 	 	 	
	public function reloadCaptcha( $previousId )
	{
		// Delete old references to avoid spamming of database.
		JTable::addIncludePath( EBLOG_TABLES );
		$ref	= JTable::getInstance( 'Captcha' , 'Table' );
		$ref->load( $previousId );
		$ref->delete();
		
		// Generate a new captcha
		$captcha			= JTable::getInstance( 'Captcha' , 'Table' );
		$captcha->created	= JFactory::getDate()->toMySQL();
		$captcha->store();
		
		$ajax		= new Ejax();
		$ajax->script( 'eblog.captcha.reloadImage( "' . $captcha->id . '" , "' . EasyBlogRouter::_( 'index.php?option=com_easyblog&controller=captcha&captcha-id=' . $captcha->id . '&no_html=1&tmpl=component' ) . '")' );
		
		return $ajax->send();
	}
	
	/**
	 * comment save function used by cb.easyblog plugin.
	 */
	function saveCBcomment( $post )
	{
		require_once( JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'constants.php' );
		$mainframe		=& JFactory::getApplication();
		$my				=& JFactory::getUser();
		$config 		=& EasyBlogHelper::getConfig();

		$ajax		= new Ejax();

		if(JString::strlen($post['comment']) == 0)
		{
			$ajax->script( 'easyblogApp.comment.notify("'.$post[ 'id' ].'","'.JText::_( 'Comment is empty' ).'","'.'error'.'")');
			$ajax->script( 'easyblogApp.spinner.hide()');
			$ajax->script( 'easyblogApp.element.focus("comment")');

			return $ajax->send();
		}

		// We don't require a title here.
		$post[ 'title' ]	= '';

		//real work start here.
		$isModerate		= false;
		$parentId		= "0";
		$commentDepth	= $post['comment_depth'];
		$blogId			= $post['id'];

		//we need to rename the esname and esemail back to name and email.
		$post['url']	= '';
		$post['name']	= $post['esname'];
		$post['email']	= $post['esemail'];

		unset($post['esname']);
		unset($post['esemail']);

        JTable::addIncludePath( EBLOG_TABLES );
		$db     	=& JFactory::getDBO();
        $comment	= JTable::getInstance( 'Comment' , 'Table' );
        $comment->bindPost($post);

        $now                	=& JFactory::getDate();
		$totalComment			= (empty($post['totalComment'])) ? 1 : $post['totalComment'];
		$comment->created		= $now->toMySql();
		$comment->modified		= $now->toMySql();
		$comment->published		= 1;
		$comment->parent_id		= $parentId;
		$comment->created_by	= $my->id;

		if(($my->id != 0 && $config->get( 'comment_moderatecomment') == 1) || ($my->id == 0 && $config->get( 'comment_moderateguestcomment') == 1))
		{
		     $comment->published	= 0;
		     $isModerate			= true;
		}

		jimport( 'joomla.application.component.model' );
		JLoader::import( 'Comment' , EBLOG_ROOT . DS . 'models' );
		$model			=& JModel::getInstance( 'Comment' , 'EasyBlogModel' );
		$latestComment	= $model->getLatestComment( $blogId , $parentId );
		$left			= 1;
		$right			= 2;

		if( !empty( $latestComment ) )
		{
			$left		= $latestComment->rgt + 1;
			$right		= $latestComment->rgt + 2;

			$model->updateCommentSibling( $blogId , $latestComment->rgt );
		}
		$comment->lft	= $left;
		$comment->rgt	= $right;

		if( !$comment->store() )
		{
			$ajax->script( 'easyblogApp.comment.notify("'.$post[ 'id' ].'","'.JText::_( 'Comment add failed' ).'","'.'error'.'")');
			$ajax->script( 'easyblogApp.spinner.hide()');
			$ajax->$ajax( 'easyblogApp.element.focus("comment")');
			return $ajax->send();
		}

		$profile	= JTable::getInstance( 'Profile' , 'Table' );
		require_once( EBLOG_HELPERS . DS . 'integrate.php' );

		$profile->load( $comment->created_by );
		$profile->setUser( $my );
		$comment->creator	= EasyBlogIntegrate::integrate( $profile );

		$date	= EasyBlogDateHelper::dateWithOffSet( $comment->created );
		$comment->formattedDate	= $date->toFormat( $config->get('layout_dateformat', '%A, %d %B %Y') );
		$text		= (JString::strlen( $comment->comment) > 50) ? JString::substr( strip_tags( $comment->comment), 0, 50) . '...' : strip_tags($comment->comment);

		$commentText	= '
				<li>
					<div class="blog-comment-avatar">
						<a href="' . $comment->creator->profileLink . '"><img src="'  . $comment->creator->avatar . '" width="32" /></a>
					</div>
					<div class="blog-comment-item eztc">
						<div class="small">
							<a href="' . $comment->creator->profileLink . '">' . $comment->creator->getName() . '</a>
							' . JText::_( 'on' ) . '
							<span class="small">' . $comment->formattedDate . '</span>
						</div>
						' . $text . '
					</div>
					<div style="clear: both;"></div>
				</li>';

		$ajax->prepend( 'comments-wrapper' . $blogId, $commentText);
		$ajax->script( 'easyblogApp.comment.cancel("'.$blogId.'")');
		$ajax->script( 'easyblogApp.spinner.hide()');
		$ajax->script( 'easyblogApp.comment.notify("'.$blogId.'","'.JText::_( 'Comment Added' ).'","'.'success'.'")');

		return $ajax->send();
	}

	/*
	 * @since 2.0.3300
	 * AJAX method to edit a comment
	 *
	 * @param	int		$id		The comment subject.
	 * @return	string	JSON encoded stiring.
	 */
	public function editComment( $id )
	{
	    $config     =& EasyBlogHelper::getConfig();
	    $my			= JFactory::getUser();
		$ajax		= new Ejax();
		$acl		= EasyBlogACLHelper::getRuleSet();

		JTable::addIncludePath( EBLOG_TABLES );
		$comment	= JTable::getInstance( 'Comment' , 'Table' );
		$comment->load( $id );
		
		if( $my->id != $comment->created_by && !EasyBlogHelper::isSiteAdmin() || $my->id == 0 )
		{
			$ajax->alert( JText::_('COM_EASYBLOG_NO_PERMISSION_TO_EDIT_COMMENT'), JText::_('COM_EASYBLOG_INFO'), '450', 'auto' );
			return $ajax->send();
		}
		
		$tpl = new CodeThemes();
		$tpl->set('comment'	, $comment );

		$options		  = new stdClass();
		$options->title   = JText::_('COM_EASYBLOG_DASHBOARD_EDIT_COMMENT');
		$options->content = $tpl->fetch( 'ajax.dialog.comments.edit.php' );

		$ajax->dialog( $options );
		$ajax->send();			
	}

	/*
	 * @since 2.0.3471
	 * AJAX method to delete a comment
	 *
	 * @param	int		$id		The comment subject.
	 * @return	string	JSON encoded stiring.
	 */
	public function deleteComment( $id )
	{
	    $config     =& EasyBlogHelper::getConfig();
	    $my			= JFactory::getUser();
		$ajax		= new Ejax();
		$acl		= EasyBlogACLHelper::getRuleSet();

		JTable::addIncludePath( EBLOG_TABLES );
		$comment	= JTable::getInstance( 'Comment' , 'Table' );
		$comment->load( $id );
		
		if( !EasyBlogHelper::isSiteAdmin() || $my->id == 0 )
		{
			$ajax->alert( JText::_('COM_EASYBLOG_NO_PERMISSION_TO_EDIT_COMMENT'), JText::_('COM_EASYBLOG_INFO'), '450', 'auto' );
			return $ajax->send();
		}
		
		$tpl = new CodeThemes();
		$tpl->set('comment'	, $comment );

		$options		  = new stdClass();
		$options->title   = JText::_('COM_EASYBLOG_DASHBOARD_DELETE_COMMENT');
		$options->content = $tpl->fetch( 'ajax.dialog.comments.delete.php' );

		$ajax->dialog( $options );
		$ajax->send();			
	}
}