<?php
/**
* @package		EasyBlog
* @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');
jimport( 'joomla.html.toolbar' );

require_once( EBLOG_HELPERS . DS . 'date.php' );	
require_once( JPATH_COMPONENT . DS . 'helpers' . DS . 'loader.php' );
require_once( EBLOG_HELPERS . DS . 'helper.php' );
require_once( EBLOG_HELPERS . DS . 'string.php' );

class EasyBlogViewFeatured extends EasyBlogView
{
	function display( $tmpl = null )
	{
	    $config =& EasyBlogHelper::getConfig();
	
		if( !$config->get( 'main_rss') )
		{
			return;
		}
		
        $model		=& $this->getModel( 'Featured' );
        $data		= $model->getFeaturedBlog();
        
		$document	=& JFactory::getDocument();
		$document->link	= EasyBlogRouter::_('index.php?option=com_easyblog&view=featured');

		$document->setTitle( JText::_( 'COM_EASYBLOG_FEEDS_FEATURED_TITLE' ) );
		$document->setDescription( JText::sprintf( 'COM_EASYBLOG_FEEDS_FEATURED_DESC' , JURI::root() ) );

		if(!empty($data))
		{
			for( $i = 0; $i < count( $data ); $i++ )
			{
				$row	=& $data[ $i ];
				
				$profile =& JTable::getInstance( 'Profile', 'Table' );
				$profile->load( $row->created_by );
				
				$created			= EasyBlogDateHelper::dateWithOffSet($row->created);				
				$formatDate         = true;
				if(EasyBlogHelper::getJoomlaVersion() >= '1.6')
				{
				    $langCode   = EasyBlogStringHelper::getLangCode();
				    if($langCode != 'en-GB' || $langCode != 'en-US')
						$formatDate = false;
				}
				// $row->created       = ( $formatDate ) ? $created->toFormat( $config->get('layout_dateformat', '%A, %d %B %Y') ) : $created->toFormat();
				$row->created       = $created->toMySQL();
				$row->text			= ( !empty( $row->excerpt ) ) ? $row->excerpt : $row->content;
				$row->text          = EasyBlogHelper::getHelper( 'Videos' )->strip( $row->text );

				$category	=& JTable::getInstance( 'ECategory', 'Table' );
				$category->load( $row->category_id );
								
				// Assign to feed item
				$title	= $this->escape( $row->title );
				$title	= html_entity_decode( $title );

				// load individual item creator class
				$item				= new JFeedItem();
				$item->title 		= $title;
				$item->link 		= EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $row->id );
				$item->description 	= $row->text;
				$item->date			= $row->created;
				$item->category   	= $category->title;
				$item->author		= $profile->getName();
				$item->authorEmail	= $profile->user->email;

				$document->addItem( $item );
			}
		}
	}
}