<?php
/**
* @package		EasyBlog
* @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');
jimport( 'joomla.html.toolbar' );

require_once( EBLOG_HELPERS . DS . 'router.php' );

class EasyBlogViewFeatured extends EasyBlogView
{
	function display( $tmpl = null )
	{
		require_once( EBLOG_HELPERS . DS . 'image.php' );
		require_once( EBLOG_HELPERS . DS . 'date.php' );	
		require_once( EBLOG_HELPERS . DS . 'integrate.php' );
		
		JPluginHelper::importPlugin( 'easyblog' );
		$dispatcher =& JDispatcher::getInstance();
		$mainframe	=& JFactory::getApplication();
		$document	=& JFactory::getDocument();
		$config		=& EasyBlogHelper::getConfig();
		
		$document->setTitle( JText::_( 'COM_EASYBLOG_FEATURED_PAGE_TITLE' ) );
	    $this->setPathway( JText::_('COM_EASYBLOG_FEATURED_BREADCRUMB') );
		
		// set meta tags for featured view
		EasyBlogHelper::setMeta( META_ID_FEATURED, META_TYPE_VIEW );
        
		EasyBlogHelper::getHelper( 'Feeds' )->addHeaders( 'index.php?option=com_easyblog&view=featured' );

        $model		= $this->getModel( 'Featured' );        
        $data   	= $model->getFeaturedBlog();
        $pagination	= $model->getPagination();
		$params		= $mainframe->getParams('com_easyblog');
		$data		= EasyBlogHelper::formatBlog( $data );
		$blogModel	= $this->getModel( 'Blog' );
		
		if($config->get('layout_showcomment', false))
		{
		    for($i = 0; $i < count($data); $i++)
		    {
		        $row  			=& $data[$i];
				$maxComment 	= $config->get('layout_showcommentcount', 3);
    			$comments		= EasyBlogHelper::getHelper( 'Comment' )->getBlogComment( $row->id, $maxComment , 'desc' );
                $comments   	= EasyBlogHelper::formatBlogCommentsLite($comments);
	    		$row->comments	= $comments;
		    }
		}
        
		$theme	= new CodeThemes();
		$theme->set('data', $data );
		$theme->set('pagination', $pagination->getPagesLinks());
		$theme->set( 'currentURL' , 'index.php?option=com_easyblog&view=featured' );
		$theme->set('siteadmin', EasyBlogHelper::isSiteAdmin() );
		$theme->set('config', $config );
		
		echo $theme->fetch( 'blog.featured.php' );
	}
}