<?php
/**
* @package		EasyBlog
* @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');
jimport( 'joomla.filesystem.file' );
jimport( 'joomla.filesystem.folder' );

require_once( JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . 'com_media' . DS . 'helpers' . DS . 'media.php' );

class EasyBlogViewImages extends EasyBlogView
{
	function display($tpl = null)
	{
		$config     = EasyBlogHelper::getConfig();
		
		$document	= JFactory::getDocument();
		$my         = JFactory::getUser();
		$user		= JFactory::getUser(JRequest::getInt('blogger_id', $my->id));

		$app 	= JFactory::getApplication();
		
		if( $my->id <= 0 )
		{
			echo JText::_( 'COM_EASYBLOG_NOT_ALLOWED' );
			exit;
		}

		JHTML::_('script'    , 'plupload.js', 'components/com_easyblog/assets/vendors/plupload/');
		JHTML::_('script'    , 'plupload.html4.js', 'components/com_easyblog/assets/vendors/plupload/');
		JHTML::_('script'    , 'plupload.flash.js', 'components/com_easyblog/assets/vendors/plupload/');
		JHTML::_('stylesheet', 'common.css', 'components/com_easyblog/themes/dashboard/system/css/');
		JHTML::_('stylesheet', 'styles.css', 'components/com_easyblog/themes/dashboard/system/css/');
		JHTML::_('stylesheet', 'imagemanager.css', 'components/com_easyblog/assets/css/');

		$main_image_path	= $config->get('main_image_path');
        $main_image_path 	= rtrim($main_image_path, '/');
		$userImagePath  	= str_replace('/', DS, $main_image_path . DS . $user->id);
		$userImageBasePath  = $main_image_path . '/' . $user->id;
  		$userUploadPath     = JPATH_ROOT . DS . str_replace('/', DS, $main_image_path . DS . $user->id);
  		$userUploadPathBase = '/'. $main_image_path . '/' . $user->id;

  		if(! JFolder::exists($userUploadPath))
  		{
  		    JFolder::create( $userUploadPath );
	        $source 		= JPATH_ROOT . DS . 'components' . DS . 'com_easyblog' . DS . 'index.html';
			$destination	= $userUploadPath . DS .'index.html';
        	JFile::copy( $source , $destination );
  		}

		$images = $this->getImages( $userUploadPath , JURI::root() . $userImageBasePath );

		$theme = new CodeThemes( true );
		$theme->set( 'baseURL',	JURI::root() . $userImageBasePath );
		$theme->set( 'session', JFactory::getSession() );
		$theme->set( 'images' , $images );
		$theme->set( 'blogger_id' , $user->id );

		echo $theme->fetch( 'dashboard.images.php' );
	}
	
	function setFolder($index = 0)
	{
		if (isset($this->folders[$index])) {
			$this->_tmp_folder = &$this->folders[$index];
		} else {
			$this->_tmp_folder = new JObject;
		}
	}
	
	function setImage($index = 0)
	{
		if (isset($this->images[$index])) {
			$this->_tmp_img = &$this->images[$index];
		} else {
			$this->_tmp_img = new JObject;
		}
	}
	
	public function getImages( $folder )
	{
		static $list;

		if (is_array($list))
		{
			return $list;
		}
		
		// Retrieve files
		$files		= JFolder::files( $folder , '.' , false , true );
		$data		= array();

		array_multisort(
    		array_map( 'filectime', $files ),
    		SORT_NUMERIC,
    		SORT_DESC,
    		$files
		);

		if( $files )
		{
			foreach( $files as $file )
			{
				$file	= str_ireplace( $folder . DS , '' , $file );

				if( is_file( $folder . DS . $file ) && substr($file, 0, 1) != '.' && strtolower($file) !== 'index.html')
				{
					$data[] = EasyBlogHelper::getHelper( 'ImageData' )->getObject( $folder , $file );
				}
			}
		}
		krsort( $data );

		return $data;
	}


}
