<?php
/**
* @package		EasyBlog
* @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Restricted access');

jimport( 'joomla.application.component.view');
jimport( 'joomla.html.toolbar' );

class EasyBlogViewSearch extends EasyBlogView
{
	function display( $tmpl = null )
	{		
		// set meta tags for latest post
		EasyBlogHelper::setMeta( META_ID_SEARCH , META_TYPE_SEARCH );
		$document	= JFactory::getDocument();
		$document->setTitle( EasyBlogHelper::getPageTitle( JText::_( 'COM_EASYBLOG_SEACH_PAGE_TITLE' ) ) );
		
		$this->setPathway( JText::_( 'COM_EASYBLOG_SEARCH_BREADCRUMB' ) );
		
		$query		= JRequest::getVar( 'query' );
		$Itemid     = JRequest::getInt( 'Itemid' );
		
		if( empty( $query ) )
		{
			$posts		= array();
			$pagination	= '';
		}
		else
		{
			$model		= $this->getModel( 'Search' );
			$result		= $model->getData();
			$posts		= EasyBlogHelper::formatBlog( $result );
			$pagination	= $model->getPagination();
		}
		
		$jConfig		= JFactory::getConfig();
		$theme			= new CodeThemes();
		$theme->set( 'jConfig'		, $jConfig );
		$theme->set( 'query'		, $query );
		$theme->set( 'posts'		, $posts );
		$theme->set( 'pagination'	, $pagination );
		$theme->set( 'Itemid'	, $Itemid );
		
		echo $theme->fetch( 'search.php' );
	}
	
	function parseQuery()
	{
		$mainframe	=& JFactory::getApplication();
		$query		= JRequest::getVar('query', '');
		$query		= rtrim( $query , '.' );
		$mainframe->redirect(EasyBlogRouter::_( 'index.php?option=com_easyblog&view=search&query='.$query, false ));
		$mainframe->close();
	}
}