<?php
/**
 * @package		mod_easyblograndompost
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-randompost" class="ezb-mod eblog-randompost<?php echo $params->get( 'moduleclass_sfx' ); ?>">
<?php if(!empty($posts)): ?>
	<?php foreach($posts as $post) :			
		$EasyBlogDateHelper	= EasyBlogDateHelper::dateWithOffSet($post->created);
		$date		= $EasyBlogDateHelper->toFormat($config->get('layout_dateformat', '%A, %d %B %Y'));

		$postURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $post->id );
		$postLink	= '<a href="'.$postURL.'">'.$post->title.'</a>';

		$posterURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $post->author->id );
		$posterLink	= '<a href="'.$posterURL.'">'.$post->author->getName().'</a>';
	?>
	<div class="ezitem">
		<div class="post-head ezcf">
            <div class="eztc">
                <a href="<?php echo EasyBlogRouter::_( 'index.php?option=com_easyblog&view=entry&id=' . $post->id );?>"><?php echo $post->title;?></a>
            </div>
        </div>
	 	<div class="intro">
		 	<?php
		 	if($post->protect)
			{
				echo  $post->content;
			}
			else
			{
				$summary = ($params->get( 'showintro' ) == '0')? strip_tags( $post->intro ) . '...' : strip_tags( $post->content ) . '...';
	
				if( $textcount == 0 )
					echo $summary;
				else
					echo JString::substr( strip_tags( $summary ) , 0 , $textcount );
			}
			?>
		</div>
		
		<div class="post-meta small ezpts">
			<?php $url = EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $post->id ); ?>
			<?php if($params->get('showcommentcount', true)) : ?>
			<a href="<?php echo $url; ?>" class="post-comments"><?php echo JText::sprintf( 'MOD_EASYBLOGRANDOMPOST_COUNT', $post->commentCount );?></a>
		    <b>&middot;</b>
			<?php endif; ?>
		    <?php if( $params->get( 'showhits' , true ) ): ?>
			<a href="<?php echo $url;?>"><?php echo JText::sprintf( 'MOD_EASYBLOGRANDOMPOST_HITS' , $post->hits );?></a>
			<b>&middot;</b>
			<?php endif; ?>
			<?php if( $params->get( 'showreadmore' , true ) ): ?>
			<a href="<?php echo $url; ?>" class="post-more"><?php echo JText::_('MOD_EASYBLOGRANDOMPOST_READMORE'); ?></a>
			<?php endif; ?>
		</div>
		
		<?php if( $params->get( 'showratings', true ) && $post->showRating ): ?>
		<div class="blog-rating"><?php echo EasyBlogHelper::getHelper( 'ratings' )->getHTML( $post->id , 'entry' , JText::_( 'MOD_EASYBLOGRANDOMPOST_RATEBLOG' ) , 'mod-randompost-' . $post->id );?></div>
		<?php endif; ?>
		
		<div class="post-author-info ezcf ezmts ezpts ezsp">
			<?php if( $params->get( 'showavatar' ) ){ ?>
				<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $post->author->id ); ?>" class="post-avatar ezfl ezmrs" alt="<?php echo $post->author->getName(); ?>">
                    <img src="<?php echo $post->author->getAvatar();?>" width="30" title="<?php echo $post->author->getName(); ?>" class="ezavatar" />
                </a>
			<?php } ?>
		 	<div class="post-author eztc">
			 	<?php echo JText::sprintf('MOD_EASYBLOGRANDOMPOST_POSTED_BY', $posterLink, $date); ?>
			</div>
		</div>
		
	</div>
	<?php endforeach; ?>

	<?php else: ?>
		<?php echo JText::_('MOD_EASYBLOGRANDOMPOST_NO_POST'); ?>
	<?php endif; ?>
</div>
