<?php // no direct access
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-latestpostbyblogger" class="ezb-mod ezblog-latestpostbyblogger<?php echo $params->get( 'moduleclass_sfx' ) ?>">
	<?php if(!empty($bloggers)): ?>

	<?php foreach($bloggers as $blogger) :
		
		$posterURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $blogger->details->id );
		$posterLink	= '<a href="'.$posterURL.'">'.$blogger->details->getName().'</a>';
		
		$posterWebsite	= '<a href="'.$blogger->details->url.'" target="_blank">'.$blogger->details->url.'</a>';
		
	?>
	<div class="ezitem">
	    <div class="ezcf">
	        <?php if ($params->get('showavatar', true)) : ?>
			<div class="ezfl ezmrs">
				<img class="avatar" src="<?php echo $blogger->details->getAvatar();?>" alt="<?php echo $blogger->details->getName(); ?>" width="35" />
			</div>
			<?php endif;?>
			<div class="eztc">
                <div class="ezauthorlink">
				    <?php echo $posterLink; ?>
                </div>
                <?php if($params->get('showcount', true)) : ?>
                <div class="ezpostcount small">
        	       <?php echo JText::sprintf('MOD_EASYBLOGLATESTPOSTBYBLOGGER_COUNT', $blogger->postcount);?>
                </div>
        	    <?php endif; ?>
			</div>
	    </div>
	    <div>
		    <?php if(! empty($blogger->details->biography)) : ?>
		        "<?php echo (JString::strlen($blogger->details->biography) > 50) ? JString::substr($blogger->details->biography, 0, 50) . '...' : $blogger->details->biography ; ?>"
		    <?php else: ?>
		        "..."
		    <?php endif; ?>
	    </div>
	    <?php if($params->get('showwebsite', true) && !empty($blogger->details->url) && !($blogger->details->url == 'http://')) : ?>
	    <div class="small">
			<?php echo $posterWebsite;?>
	    </div>
	    <?php endif; ?>

        <!--display author post after this-->

        <?php
			if(! empty($blogger->posts))
			{
			    foreach($blogger->posts as $item)
			    {
			    	$jdate		= JFactory::getDate($item->created);
					$date		= EasyBlogDateHelper::toFormat( $jdate , $config->get('layout_dateformat', '%A, %d %B %Y') );
					$postURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $item->id );
					$postLink	= '<a href="'.$postURL.'">'.$item->title.'</a>';
		?>
        <div class="ezpostitem">
			<h3 class="ezposttitle"><?php echo $postLink; ?></h3>
		 	
		 	<?php if($params->get('showintro', true)) : ?>
		 	<div class="intro">
			<?php 
				if($item->protect)
				{
					echo  $item->content;
				}
				else
				{
					echo (empty($item->intro)) ? JString::substr($item->content, 0, 150) : JString::substr($item->intro, 0, 150); 
				}
			?>
			</div>
		 	<?php endif; ?>
		 	
		 	<div class="ezpostmeta small ezpts">
				<?php $url = EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $item->id ); ?>
				<?php if($params->get('showcommentcount', true)) : ?>
				<a href="<?php echo $url; ?>" class="post-comments"><?php echo JText::sprintf( 'MOD_EASYBLOGLATESTPOSTBYBLOGGER_COMMENTCOUNT', $item->commentCount );?></a>
			    <b>&middot;</b>
				<?php endif; ?>
			    <?php if( $params->get( 'showhits' , true ) ): ?>
				<a href="<?php echo $url;?>"><?php echo JText::sprintf( 'MOD_EASYBLOGLATESTPOSTBYBLOGGER_HITS' , $item->hits );?></a>
				<b>&middot;</b>
				<?php endif; ?>
				<?php if( $params->get( 'showreadmore' , true ) ): ?>
				<a href="<?php echo $url; ?>" class="post-more"><?php echo JText::_('MOD_EASYBLOGLATESTPOSTBYBLOGGER_READMORE'); ?></a>
				<?php endif; ?>
			</div>
			
			<?php if( $params->get( 'showratings', true ) && $item->showRating ): ?>
			<div class="blog-rating small"><?php echo EasyBlogHelper::getHelper( 'ratings' )->getHTML( $item->id , 'entry' , JText::_( 'MOD_EASYBLOGLATESTPOSTBYBLOGGER_RATEBLOG' ) , 'mod-latestbyblogger-' . $item->id );?></div>
			<?php endif; ?>
			
			<div class="ezpostdate small">
			 	<?php echo JText::sprintf('MOD_EASYBLOGLATESTPOSTBYBLOGGER_POSTED_ON', $date); ?>
			</div>
        </div>
		<?php
		        }//end foreach
			}//end if
		?>
	</div>
	<?php endforeach; ?>


	<?php else: ?>
		<?php echo JText::_('MOD_EASYBLOGLATESTPOSTBYBLOGGER_NO_BLOGGER'); ?>
	<?php endif; ?>
</div>
