<?php
/*
 * @package		mod_easyblogwelcome
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-welcome" class="ezb-mod ezblog-welcome<?php echo $params->get( 'moduleclass_sfx' ) ?>">
<?php if($isLogged && !empty($blogger->id))
{
?>
    <div class="ezprofilehead ezcf">
        <div class="ezuseravatar ezfl ezmrm">
    		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$blogger->id );?>">
                <img src="<?php echo $blogger->getAvatar();?>" class="avatar" width="35" />
            </a>
    	</div>
        <div class="eztc">
            <div class="ezusername">
                <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id='.$blogger->id );?>"><?php echo $blogger->getName();?></a>
            </div>
            <?php if( $acl->rules->add_entry ){ ?>
            <a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=profile');?>" class="small"><?php echo JText::_( 'MOD_EASYBLOGWELCOME_SETTINGS');?></a>
            <?php } ?>
    	</div>
    </div>
	<?php if( $acl->rules->add_entry ){ ?>
	<div class="hasicon ezwrite">
		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=write');?>"><?php echo JText::_( 'MOD_EASYBLOGWELCOME_WRITE_NEW');?></a>
	</div>
	<?php //exit; ?>
	<div class="hasicon ezmyblog">
		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=entries');?>"><?php echo JText::_( 'MOD_EASYBLOGWELCOME_MYBLOGS');?></a>
	</div>
	<div class="hasicon ezmydrafts">
		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=drafts');?>"><?php echo JText::_( 'MOD_EASYBLOGWELCOME_MYDRAFTS');?></a>
	</div>
	<div class="hasicon ezmycomment">
		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=dashboard&layout=comments');?>"><?php echo JText::_( 'MOD_EASYBLOGWELCOME_MYCOMMENTS');?></a>
	</div>
	<?php } ?>
    <div class="hasicon ezmysubscription">
		<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=subscription');?>"><?php echo JText::_( 'MOD_EASYBLOGWELCOME_MYSUBSCRIPTION');?></a>
	</div>
	<div class="hasicon ezlogout">
		<a href="<?php echo JRoute::_('index.php?option='.$comUserOption.'&task='.$tasklogout. '&' . JUtility::getToken() . '=1&return='.$return);?>"><?php echo JText::_( 'MOD_EASYBLOGWELCOME_LOGOUT');?></a>
	</div>
<?php 
}
else
{
?>
<form action="<?php echo JRoute::_( 'index.php', true, $params->get('usesecure')); ?>" method="post" name="login" id="form-login" >
	<?php echo $params->get('pretext'); ?>
	<fieldset class="input">
	<p id="form-login-username">
		<label for="modlgn_username"><?php echo JText::_('MOD_EASYBLOGWELCOME_USERNAME') ?></label><br />
		<input id="modlgn_username" type="text" name="username" class="inputbox" alt="username" size="18" />
	</p>
	<p id="form-login-password">
		<label for="modlgn_passwd"><?php echo JText::_('MOD_EASYBLOGWELCOME_PASSWORD') ?></label><br />
		<input id="modlgn_passwd" type="password" name="<?php echo $InputPassword; ?>" class="inputbox" size="18" alt="password" />
	</p>
<?php 
	if(JPluginHelper::isEnabled('system', 'remember'))
	{
?>
		<p id="form-login-remember">
			<label for="modlgn_remember"><?php echo JText::_('MOD_EASYBLOGWELCOME_REMEMBER_ME') ?></label>
			<input id="modlgn_remember" type="checkbox" name="remember" class="inputbox" value="yes" alt="Remember Me" />
		</p>
<?php 
	}
?>
	<input type="submit" name="Submit" class="button" value="<?php echo JText::_('MOD_EASYBLOGWELCOME_LOGIN') ?>" />
	</fieldset>
	<ul>
		<li>
			<a href="<?php echo JRoute::_( 'index.php?option='.$comUserOption.'&view=reset' ); ?>">
			<?php echo JText::_('MOD_EASYBLOGWELCOME_FORGOT_YOUR_PASSWORD'); ?></a>
		</li>
		<li>
			<a href="<?php echo JRoute::_( 'index.php?option='.$comUserOption.'&view=remind' ); ?>">
			<?php echo JText::_('MOD_EASYBLOGWELCOME_FORGOT_YOUR_USERNAME'); ?></a>
		</li>
		<?php
		$usersConfig = &JComponentHelper::getParams( 'com_users' );
		if ($usersConfig->get('allowUserRegistration')) : ?>
		<li>
			<a href="<?php echo JRoute::_( 'index.php?option='.$comUserOption.'&view='.$viewRegister ); ?>">
				<?php echo JText::_('MOD_EASYBLOGWELCOME_REGISTER'); ?></a>
		</li>
		<?php endif; ?>
	</ul>
	<?php echo $params->get('posttext'); ?>

	<input type="hidden" name="option" value="<?php echo $comUserOption; ?>" />
	<input type="hidden" name="task" value="<?php echo $tasklogin; ?>" />
	<input type="hidden" name="return" value="<?php echo $return; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>
<?php 
}
?>
</div>