<?php
/*
 * @package		mod_easyblogmostcommentedpost
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-mostcommentedpost" class="ezb-mod ezblog-mostcommentedpost<?php echo $params->get( 'moduleclass_sfx' ) ?>">
	<?php if(!empty($posts)){ ?>

	<?php foreach($posts as $post){
		
		$EasyBlogDateHelper	= EasyBlogDateHelper::dateWithOffSet($post->created);
		$date		= JHTML::_('date', $EasyBlogDateHelper->toFormat(), JText::_('DATE_FORMAT_LC1'));

		$postURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $post->id );
		$postLink	= '<a href="'.$postURL.'">'.$post->title.'</a>';
	?>
	<div class="ezitem">
		<h3><?php echo $postLink; ?></h3>
		
		<div class="intro">
		 	<?php
		 	if($post->protect)
			{
				echo $post->content;
			}
			else
			{
				$summary = ($params->get( 'showintro' ) == '0')? strip_tags( $post->intro ) . '...' : strip_tags( $post->content ) . '...';
	
				if( $textcount == 0 )
					echo $summary;
				else
					echo JString::substr( strip_tags( $summary ) , 0 , $textcount );
			}
			?>
		</div>
		
		<div class="post-meta small ezpts">
			<?php $url = EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $post->id ); ?>
			<?php if($params->get('showcount', true)) : ?>
			<a href="<?php echo $url; ?>" class="post-comments"><?php echo JText::sprintf( 'MOD_EASYBLOGMOSTCOMMENTEDPOST_COUNT', $post->comment_count );?></a>
		    <b>&middot;</b>
			<?php endif; ?>
		    <?php if( $params->get( 'showhits' , true ) ): ?>
			<a href="<?php echo $url;?>"><?php echo JText::sprintf( 'MOD_EASYBLOGMOSTCOMMENTEDPOST_HITS' , $post->hits );?></a>
			<b>&middot;</b>
			<?php endif; ?>
			<?php if( $params->get( 'showreadmore' , true ) ): ?>
			<a href="<?php echo $url; ?>" class="post-more"><?php echo JText::_('MOD_EASYBLOGMOSTCOMMENTEDPOST_READMORE'); ?></a>
			<?php endif; ?>
		</div>
		
		<?php if( $params->get( 'showratings', true ) && $post->showRating ): ?>
		<div class="blog-rating small"><?php echo EasyBlogHelper::getHelper( 'ratings' )->getHTML( $post->id , 'entry' , JText::_( 'MOD_EASYBLOGMOSTCOMMENTEDPOST_RATEBLOG' ) , 'mod-mostcommentedpost-' . $post->id );?></div>
		<?php endif; ?>
		
		<div class="post-author-info ezcf ezmts ezpts ezsp">
		<?php if($params->get('showlatestcomment', true)) : ?>
			<?php
			$commentorName	= $post->commentor->getName();
			$commentorURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $post->commentor->id );
			$commentorLink	= '<a href="'.$commentorURL.'">'. $commentorName .'</a>';
			?>
			<?php if( $params->get( 'showavatar', true ) ){ ?>
				<a href="<?php echo $commentorURL; ?>" class="post-avatar ezfl ezmrs" alt="<?php echo $commentorName; ?>">
                    <img src="<?php echo $post->commentor->getAvatar();?>" width="30" title="<?php echo $commentorName; ?>" class="ezavatar" />
                </a>
			<?php } ?>
			"<?php echo (JString::strlen($post->comment) > 150) ? nl2br(JString::substr($post->comment, 0, 150)) . '...' : nl2br($post->comment) ; ?>"
			<div class="post-author eztc">
				<?php echo JText::sprintf('MOD_EASYBLOGMOSTCOMMENTEDPOST_COMMENTED_BY', $commentorLink); ?>
			</div>
		<?php else : ?>
			<?php
			$posterName	= $post->author->getName();
			$posterURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $post->author->id );
			$posterLink	= '<a href="'.$posterURL.'">'. $posterName .'</a>';
			?>
			<?php if( $params->get( 'showavatar', true ) ){ ?>
				<a href="<?php echo $posterURL; ?>" class="post-avatar ezfl ezmrs" alt="<?php echo $posterName; ?>">
                    <img src="<?php echo $post->author->getAvatar();?>" width="30" title="<?php echo $posterName; ?>" class="ezavatar" />
                </a>
			<?php } ?>
		 	<div class="post-author eztc">
			 	<?php echo JText::sprintf('MOD_EASYBLOGMOSTCOMMENTEDPOST_POSTED_BY', $posterLink, $date); ?>
			</div>
		<?php endif; ?>
		</div>
	</div>
	<?php } ?>


	<div class="ezclear"></div>
	<?php }else{ ?>
		<?php echo JText::_('MOD_EASYBLOGMOSTCOMMENTEDPOST_NO_POST'); ?>
	<?php } ?>
</div>
