<?php
/*
 * @package		mod_easyblogmostpopularpost
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-mostpopularpost" class="ezb-mod ezblog-mostpopularpost<?php echo $params->get( 'moduleclass_sfx' ) ?>">
	<?php if(!empty($posts)){ ?>

	<?php foreach($posts as $post){
		$poster 	= JFactory::getUser($post->created_by);
		$blogger 	=& JTable::getInstance( 'Profile', 'Table' );
		
		$blogger->setUser($poster);
		$blogger->displayName = $blogger->getName();
		
		$EasyBlogDateHelper	= EasyBlogDateHelper::dateWithOffSet($post->created);
		$date		= $EasyBlogDateHelper->toFormat($config->get('layout_dateformat', '%A, %d %B %Y'));

		$postURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $post->id );
		$postLink	= '<a href="'.$postURL.'">'.$post->title.'</a>';

		$posterURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $poster->id);
		$posterLink	= '<a href="'.$posterURL.'">'.$blogger->displayName.'</a>';
	?>
	<div class="ezitem">
		<h3><?php echo $postLink; ?></h3>

	 	<div class="intro">
		 	<?php
		 	if($post->protect)
			{
				echo  $post->content;
			}
			else
			{
				$summary = ($params->get( 'showintro' ) == '0')? strip_tags( $post->intro ) . '...' : strip_tags( $post->content ) . '...';
	
				if( $textcount == 0 )
					echo $summary;
				else
					echo JString::substr( strip_tags( $summary ) , 0 , $textcount );
			}
			?>
		</div>
		
		<div class="post-meta small ezpts">
			<?php if($params->get('showcommentcount', true)) : ?>
			<a href="<?php echo $postURL; ?>" class="post-comments"><?php echo JText::sprintf( 'MOD_EASYBLOGMOSTPOPULARPOST_COUNT', $post->commentCount );?></a>
		    <b>&middot;</b>
			<?php endif; ?>
		    <?php if( $params->get( 'showhits' , true ) ): ?>
			<a href="<?php echo $postURL;?>"><?php echo JText::sprintf( 'MOD_EASYBLOGMOSTPOPULARPOST_HITS' , $post->hits );?></a>
			<b>&middot;</b>
			<?php endif; ?>
			<?php if( $params->get( 'showreadmore' , true ) ): ?>
			<a href="<?php echo $postURL; ?>" class="post-more"><?php echo JText::_('MOD_EASYBLOGMOSTPOPULARPOST_READMORE'); ?></a>
			<?php endif; ?>
		</div>
		
		<?php if( $params->get( 'showratings', true ) && $post->showRating ): ?>
		<div class="blog-rating small"><?php echo EasyBlogHelper::getHelper( 'ratings' )->getHTML( $post->id , 'entry' , JText::_( 'MOD_EASYBLOGMOSTPOPULARPOST_RATEBLOG' ) , 'mod-mostpopularpost-' . $post->id );?></div>
		<?php endif; ?>
		
		<div class="post-author-info ezcf ezmts ezpts ezsp">
			<?php if( $params->get( 'showavatar', true ) ){ ?>
				<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $post->author->id ); ?>" class="post-avatar ezfl ezmrs" alt="<?php echo $post->author->getName(); ?>">
                    <img src="<?php echo $post->author->getAvatar();?>" width="30" title="<?php echo $post->author->getName(); ?>" class="ezavatar" />
                </a>
			<?php } ?>
		 	<div class="post-author eztc">
			 	<?php echo JText::sprintf('MOD_EASYBLOGMOSTPOPULARPOST_POSTED_BY', $posterLink, $date); ?>
			</div>
		</div>
		
	</div>
	<?php } ?>


	<?php } else { ?>
		<?php echo JText::_('MOD_EASYBLOGMOSTPOPULARPOST_NO_POST'); ?>
	<?php } ?>
</div>
