<?php // no direct access
/**
 * @package		EasyBlog
 * @copyright	Copyright (C) 2010 Stack Ideas Private Limited. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 *  
 * EasyBlog is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */
defined('_JEXEC') or die('Restricted access');
?>
<div id="ezblog-latestpostbycategory" class="ezb-mod ezblog-latestpostbycategory<?php echo $params->get( 'moduleclass_sfx' ) ?>">
    <?php if(!empty($categoryId)) : ?>
    <div class="ezcategoryhead ezcf">
        <?php if ($params->get('showcavatar', true)) : ?>
		<div class="avatar ezfl ezmrs">
			<img style="border-style:solid; border-width:1px; border-color:grey;" src="<?php echo $category->getAvatar(); ?>" width="35" alt="<?php echo $category->title; ?>" />
		</div>
		<?php endif; ?>

        <div class="eztc">
            <div class="ezcategorytitle">
            <?php
				$catURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=categories&layout=listings&id=' . $category->id );
				$catLink	= '<a href="'.$catURL.'">'.$category->title.'</a>';
				echo $catLink;
			?>
            </div>
            <?php if($params->get('showcount', true)) : ?>
            <div class="ezpostcount small">
                <?php echo JText::sprintf('MOD_EASYBLOGLATESTPOSTBYCATEGORY_COUNT', $category->postcount);?>
            </div>
            <?php endif; ?>
        </div>
    </div>
    <?php endif; ?>


	<?php if(!empty($posts)): ?>
	<?php foreach($posts as $blog) :
		
		$posterURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $blog->author->id );
		$posterLink	= '<a href="'.$posterURL.'">'.$blog->author->getName().'</a>';
		
		$jdate		= JFactory::getDate($blog->created);
		$date		= EasyBlogDateHelper::toFormat( $jdate , $config->get('layout_dateformat', '%A, %d %B %Y') );

		$postURL 	= EasyBlogRouter::_('index.php?option=com_easyblog&view=entry&id=' . $blog->id );
		$postLink	= '<a href="'.$postURL.'">'.$blog->title.'</a>';
	?>
	<div class="ezpostitem ezcf">
		<h3><?php echo $postLink; ?></h3>
		
		<?php if($params->get('showintro', true)) : ?>
	 	<div class="intro">
		<?php
			if($blog->protect)
			{
				echo  $blog->content;
			}
			else
			{
				echo (empty($blog->intro)) ? JString::substr($blog->content, 0, 150) : JString::substr($blog->intro, 0, 150);
			}
		?>
		</div>
	 	<?php endif; ?>
		
		<div class="post-meta small ezpts">
		<?php if($params->get('showcommentcount', true)) : ?>
		<a href="<?php echo $postURL; ?>" class="post-comments"><?php echo JText::sprintf( 'MOD_EASYBLOGLATESTPOSTBYCATEGORY_COMMENTCOUNT', $blog->commentCount );?></a>
	    <b>&middot;</b>
		<?php endif; ?>
	    <?php if( $params->get( 'showhits' , true ) ): ?>
		<a href="<?php echo $postURL;?>"><?php echo JText::sprintf( 'MOD_EASYBLOGLATESTPOSTBYCATEGORY_HITS' , $blog->hits );?></a>
		<b>&middot;</b>
		<?php endif; ?>
		<?php if( $params->get( 'showreadmore' , true ) ): ?>
		<a href="<?php echo $postURL; ?>" class="post-more"><?php echo JText::_('MOD_EASYBLOGLATESTPOSTBYCATEGORY_READMORE'); ?></a>
		<?php endif; ?>
		</div>
		
		<?php if( $params->get( 'showratings', true ) && $blog->showRating ): ?>
		<div class="blog-rating small"><?php echo EasyBlogHelper::getHelper( 'ratings' )->getHTML( $blog->id , 'entry' , JText::_( 'MOD_EASYBLOGLATESTPOSTBYCATEGORY_RATEBLOG' ) , 'mod-latestbycategory-' . $blog->id );?></div>
		<?php endif; ?>
		
		<div class="post-author-info ezcf ezmts ezpts ezsp">
			<?php if( $params->get( 'showavatar' ) ){ ?>
				<a href="<?php echo EasyBlogRouter::_('index.php?option=com_easyblog&view=blogger&layout=listings&id=' . $blog->author->id ); ?>" class="post-avatar ezfl ezmrs" alt="<?php echo $blog->author->getName(); ?>">
                    <img src="<?php echo $blog->author->getAvatar();?>" width="30" title="<?php echo $blog->author->getName(); ?>" class="ezavatar" />
                </a>
			<?php } ?>
		 	<div class="post-author eztc">
			 	<?php echo JText::sprintf('MOD_EASYBLOGLATESTPOSTBYCATEGORY_POSTED_BY', $posterLink, $date); ?>
			</div>
		</div>
	</div>
	<?php endforeach; ?>

	<?php else: ?>
		<?php echo JText::_('MOD_EASYBLOGLATESTPOSTBYCATEGORY_NO_CATEGORY'); ?>
	<?php endif; ?>
</div>